import * as antlr from "antlr4ng";
import { Token } from "antlr4ng";
import { PostgreSqlParserListener } from "./PostgreSqlParserListener.js";
import { PostgreSqlParserVisitor } from "./PostgreSqlParserVisitor.js";
import { SQLParserBase } from '../SQLParserBase';
export declare class PostgreSqlParser extends SQLParserBase {
    static readonly Dollar = 1;
    static readonly OPEN_PAREN = 2;
    static readonly CLOSE_PAREN = 3;
    static readonly OPEN_BRACKET = 4;
    static readonly CLOSE_BRACKET = 5;
    static readonly COMMA = 6;
    static readonly SEMI = 7;
    static readonly COLON = 8;
    static readonly STAR = 9;
    static readonly EQUAL = 10;
    static readonly DOT = 11;
    static readonly PLUS = 12;
    static readonly MINUS = 13;
    static readonly SLASH = 14;
    static readonly CARET = 15;
    static readonly LT = 16;
    static readonly GT = 17;
    static readonly LESS_LESS = 18;
    static readonly GREATER_GREATER = 19;
    static readonly COLON_EQUALS = 20;
    static readonly LESS_EQUALS = 21;
    static readonly EQUALS_GREATER = 22;
    static readonly GREATER_EQUALS = 23;
    static readonly DOT_DOT = 24;
    static readonly NOT_EQUALS = 25;
    static readonly TYPECAST = 26;
    static readonly PERCENT = 27;
    static readonly PARAM = 28;
    static readonly Operator = 29;
    static readonly KW_ALL = 30;
    static readonly KW_ANALYSE = 31;
    static readonly KW_ANALYZE = 32;
    static readonly KW_AND = 33;
    static readonly KW_ANY = 34;
    static readonly KW_ARRAY = 35;
    static readonly KW_AS = 36;
    static readonly KW_ASC = 37;
    static readonly KW_ASYMMETRIC = 38;
    static readonly KW_BOTH = 39;
    static readonly KW_CASE = 40;
    static readonly KW_CAST = 41;
    static readonly KW_CHECK = 42;
    static readonly KW_COLLATE = 43;
    static readonly KW_COLUMN = 44;
    static readonly KW_CONSTRAINT = 45;
    static readonly KW_CREATE = 46;
    static readonly KW_CURRENT_CATALOG = 47;
    static readonly KW_CURRENT_DATE = 48;
    static readonly KW_CURRENT_ROLE = 49;
    static readonly KW_CURRENT_TIME = 50;
    static readonly KW_CURRENT_TIMESTAMP = 51;
    static readonly KW_CURRENT_USER = 52;
    static readonly KW_DEFAULT = 53;
    static readonly KW_DEFERRABLE = 54;
    static readonly KW_DESC = 55;
    static readonly KW_DISTINCT = 56;
    static readonly KW_DO = 57;
    static readonly KW_ELSE = 58;
    static readonly KW_EXCEPT = 59;
    static readonly KW_FALSE = 60;
    static readonly KW_FETCH = 61;
    static readonly KW_FOR = 62;
    static readonly KW_FOREIGN = 63;
    static readonly KW_FROM = 64;
    static readonly KW_GRANT = 65;
    static readonly KW_GROUP = 66;
    static readonly KW_HAVING = 67;
    static readonly KW_IN = 68;
    static readonly KW_INITIALLY = 69;
    static readonly KW_INTERSECT = 70;
    static readonly KW_INTO = 71;
    static readonly KW_LATERAL = 72;
    static readonly KW_LEADING = 73;
    static readonly KW_LIMIT = 74;
    static readonly KW_LOCALTIME = 75;
    static readonly KW_LOCALTIMESTAMP = 76;
    static readonly KW_NOT = 77;
    static readonly KW_NULL = 78;
    static readonly KW_OFFSET = 79;
    static readonly KW_ON = 80;
    static readonly KW_ONLY = 81;
    static readonly KW_OR = 82;
    static readonly KW_ORDER = 83;
    static readonly KW_PLACING = 84;
    static readonly KW_PRIMARY = 85;
    static readonly KW_REFERENCES = 86;
    static readonly KW_RETURNING = 87;
    static readonly KW_SELECT = 88;
    static readonly KW_SESSION_USER = 89;
    static readonly KW_SOME = 90;
    static readonly KW_SYMMETRIC = 91;
    static readonly KW_TABLE = 92;
    static readonly KW_THEN = 93;
    static readonly KW_TO = 94;
    static readonly KW_TRAILING = 95;
    static readonly KW_TRUE = 96;
    static readonly KW_UNION = 97;
    static readonly KW_UNIQUE = 98;
    static readonly KW_USER = 99;
    static readonly KW_USING = 100;
    static readonly KW_VARIADIC = 101;
    static readonly KW_WHEN = 102;
    static readonly KW_WHERE = 103;
    static readonly KW_WINDOW = 104;
    static readonly KW_WITH = 105;
    static readonly KW_AUTHORIZATION = 106;
    static readonly KW_BINARY = 107;
    static readonly KW_COLLATION = 108;
    static readonly KW_CONCURRENTLY = 109;
    static readonly KW_CROSS = 110;
    static readonly KW_CURRENT_SCHEMA = 111;
    static readonly KW_FREEZE = 112;
    static readonly KW_FULL = 113;
    static readonly KW_ILIKE = 114;
    static readonly KW_INNER = 115;
    static readonly KW_IS = 116;
    static readonly KW_ISNULL = 117;
    static readonly KW_JOIN = 118;
    static readonly KW_LEFT = 119;
    static readonly KW_LIKE = 120;
    static readonly KW_NATURAL = 121;
    static readonly KW_NOTNULL = 122;
    static readonly KW_OUTER = 123;
    static readonly KW_OVER = 124;
    static readonly KW_OVERLAPS = 125;
    static readonly KW_RIGHT = 126;
    static readonly KW_SIMILAR = 127;
    static readonly KW_VERBOSE = 128;
    static readonly KW_ABORT = 129;
    static readonly KW_ABSOLUTE = 130;
    static readonly KW_ACCESS = 131;
    static readonly KW_ACTION = 132;
    static readonly KW_ADD = 133;
    static readonly KW_ADMIN = 134;
    static readonly KW_AFTER = 135;
    static readonly KW_AGGREGATE = 136;
    static readonly KW_ALSO = 137;
    static readonly KW_ALTER = 138;
    static readonly KW_ALWAYS = 139;
    static readonly KW_ASSERTION = 140;
    static readonly KW_ASSIGNMENT = 141;
    static readonly KW_AT = 142;
    static readonly KW_ATTRIBUTE = 143;
    static readonly KW_BACKWARD = 144;
    static readonly KW_BEFORE = 145;
    static readonly KW_BEGIN = 146;
    static readonly KW_BY = 147;
    static readonly KW_CACHE = 148;
    static readonly KW_CALLED = 149;
    static readonly KW_CASCADE = 150;
    static readonly KW_CASCADED = 151;
    static readonly KW_CATALOG = 152;
    static readonly KW_CHAIN = 153;
    static readonly KW_CHARACTERISTICS = 154;
    static readonly KW_CHECKPOINT = 155;
    static readonly KW_CLASS = 156;
    static readonly KW_CLOSE = 157;
    static readonly KW_CLUSTER = 158;
    static readonly KW_COMMENT = 159;
    static readonly KW_COMMENTS = 160;
    static readonly KW_COMMIT = 161;
    static readonly KW_COMMITTED = 162;
    static readonly KW_CONFIGURATION = 163;
    static readonly KW_CONNECTION = 164;
    static readonly KW_CONSTRAINTS = 165;
    static readonly KW_CONTENT = 166;
    static readonly KW_CONTINUE = 167;
    static readonly KW_CONVERSION = 168;
    static readonly KW_COPY = 169;
    static readonly KW_COST = 170;
    static readonly KW_CSV = 171;
    static readonly KW_CURSOR = 172;
    static readonly KW_CYCLE = 173;
    static readonly KW_DATA = 174;
    static readonly KW_DATABASE = 175;
    static readonly KW_DAY = 176;
    static readonly KW_DEALLOCATE = 177;
    static readonly KW_DECLARE = 178;
    static readonly KW_DEFAULTS = 179;
    static readonly KW_DEFERRED = 180;
    static readonly KW_DEFINER = 181;
    static readonly KW_DELETE = 182;
    static readonly KW_DELIMITER = 183;
    static readonly KW_DELIMITERS = 184;
    static readonly KW_DICTIONARY = 185;
    static readonly KW_DISABLE = 186;
    static readonly KW_DISCARD = 187;
    static readonly KW_DOCUMENT = 188;
    static readonly KW_DOMAIN = 189;
    static readonly KW_DOUBLE = 190;
    static readonly KW_DROP = 191;
    static readonly KW_EACH = 192;
    static readonly KW_ENABLE = 193;
    static readonly KW_ENCODING = 194;
    static readonly KW_ENCRYPTED = 195;
    static readonly KW_ENUM = 196;
    static readonly KW_ESCAPE = 197;
    static readonly KW_EVENT = 198;
    static readonly KW_EXCLUDE = 199;
    static readonly KW_EXCLUDING = 200;
    static readonly KW_EXCLUSIVE = 201;
    static readonly KW_EXECUTE = 202;
    static readonly KW_EXPLAIN = 203;
    static readonly KW_EXTENSION = 204;
    static readonly KW_EXTERNAL = 205;
    static readonly KW_FAMILY = 206;
    static readonly KW_FIRST = 207;
    static readonly KW_FOLLOWING = 208;
    static readonly KW_FORCE = 209;
    static readonly KW_FORWARD = 210;
    static readonly KW_FUNCTION = 211;
    static readonly KW_FUNCTIONS = 212;
    static readonly KW_GLOBAL = 213;
    static readonly KW_GRANTED = 214;
    static readonly KW_HANDLER = 215;
    static readonly KW_HEADER = 216;
    static readonly KW_HOLD = 217;
    static readonly KW_HOUR = 218;
    static readonly KW_IDENTITY = 219;
    static readonly KW_IF = 220;
    static readonly KW_IMMEDIATE = 221;
    static readonly KW_IMMUTABLE = 222;
    static readonly KW_IMPLICIT = 223;
    static readonly KW_INCLUDING = 224;
    static readonly KW_INCREMENT = 225;
    static readonly KW_INDEX = 226;
    static readonly KW_INDEXES = 227;
    static readonly KW_INHERIT = 228;
    static readonly KW_NOINHERIT = 229;
    static readonly KW_SUPERUSER = 230;
    static readonly KW_NOSUPERUSER = 231;
    static readonly KW_CREATEDB = 232;
    static readonly KW_NOCREATEDB = 233;
    static readonly KW_CREATEROLE = 234;
    static readonly KW_NOCREATEROLE = 235;
    static readonly KW_CREATEUSER = 236;
    static readonly KW_NOCREATEUSER = 237;
    static readonly KW_INHERITS = 238;
    static readonly KW_INLINE = 239;
    static readonly KW_INSENSITIVE = 240;
    static readonly KW_INSERT = 241;
    static readonly KW_INSTEAD = 242;
    static readonly KW_INVOKER = 243;
    static readonly KW_ISOLATION = 244;
    static readonly KW_KEY = 245;
    static readonly KW_LABEL = 246;
    static readonly KW_LANGUAGE = 247;
    static readonly KW_LARGE = 248;
    static readonly KW_LAST = 249;
    static readonly KW_LEAKPROOF = 250;
    static readonly KW_LEVEL = 251;
    static readonly KW_LISTEN = 252;
    static readonly KW_LOAD = 253;
    static readonly KW_LOCAL = 254;
    static readonly KW_LOCATION = 255;
    static readonly KW_LOCK = 256;
    static readonly KW_MAPPING = 257;
    static readonly KW_MATCH = 258;
    static readonly KW_MATERIALIZED = 259;
    static readonly KW_MAXVALUE = 260;
    static readonly KW_MINUTE = 261;
    static readonly KW_MINVALUE = 262;
    static readonly KW_MODE = 263;
    static readonly KW_MONTH = 264;
    static readonly KW_MOVE = 265;
    static readonly KW_NAME = 266;
    static readonly KW_NAMES = 267;
    static readonly KW_NEXT = 268;
    static readonly KW_NO = 269;
    static readonly KW_NOTHING = 270;
    static readonly KW_NOTIFY = 271;
    static readonly KW_NOWAIT = 272;
    static readonly KW_NULLS = 273;
    static readonly KW_OBJECT = 274;
    static readonly KW_OF = 275;
    static readonly KW_OFF = 276;
    static readonly KW_OIDS = 277;
    static readonly KW_OPERATOR = 278;
    static readonly KW_OPTION = 279;
    static readonly KW_OPTIONS = 280;
    static readonly KW_OWNED = 281;
    static readonly KW_OWNER = 282;
    static readonly KW_PARSER = 283;
    static readonly KW_PARTIAL = 284;
    static readonly KW_PARTITION = 285;
    static readonly KW_PASSING = 286;
    static readonly KW_PASSWORD = 287;
    static readonly KW_PLANS = 288;
    static readonly KW_PRECEDING = 289;
    static readonly KW_PREPARE = 290;
    static readonly KW_PREPARED = 291;
    static readonly KW_PRESERVE = 292;
    static readonly KW_PRIOR = 293;
    static readonly KW_PRIVILEGES = 294;
    static readonly KW_PROCEDURAL = 295;
    static readonly KW_PROCEDURE = 296;
    static readonly KW_PROGRAM = 297;
    static readonly KW_QUOTE = 298;
    static readonly KW_RANGE = 299;
    static readonly KW_READ = 300;
    static readonly KW_REASSIGN = 301;
    static readonly KW_RECHECK = 302;
    static readonly KW_RECURSIVE = 303;
    static readonly KW_REF = 304;
    static readonly KW_REFRESH = 305;
    static readonly KW_REINDEX = 306;
    static readonly KW_RELATIVE = 307;
    static readonly KW_RELEASE = 308;
    static readonly KW_RENAME = 309;
    static readonly KW_REPEATABLE = 310;
    static readonly KW_REPLACE = 311;
    static readonly KW_REPLICA = 312;
    static readonly KW_RESET = 313;
    static readonly KW_RESTART = 314;
    static readonly KW_RESTRICT = 315;
    static readonly KW_RETURNS = 316;
    static readonly KW_REVOKE = 317;
    static readonly KW_ROLE = 318;
    static readonly KW_ROLLBACK = 319;
    static readonly KW_ROWS = 320;
    static readonly KW_RULE = 321;
    static readonly KW_SAVEPOINT = 322;
    static readonly KW_SCHEMA = 323;
    static readonly KW_SCROLL = 324;
    static readonly KW_SEARCH = 325;
    static readonly KW_SECOND = 326;
    static readonly KW_SECURITY = 327;
    static readonly KW_SEQUENCE = 328;
    static readonly KW_SEQUENCES = 329;
    static readonly KW_SERIALIZABLE = 330;
    static readonly KW_SERVER = 331;
    static readonly KW_SESSION = 332;
    static readonly KW_SET = 333;
    static readonly KW_SHARE = 334;
    static readonly KW_SHOW = 335;
    static readonly KW_SIMPLE = 336;
    static readonly KW_SNAPSHOT = 337;
    static readonly KW_STABLE = 338;
    static readonly KW_STANDALONE = 339;
    static readonly KW_START = 340;
    static readonly KW_STATEMENT = 341;
    static readonly KW_STATISTICS = 342;
    static readonly KW_STDIN = 343;
    static readonly KW_STDOUT = 344;
    static readonly KW_STORAGE = 345;
    static readonly KW_STRICT = 346;
    static readonly KW_STRIP = 347;
    static readonly KW_SYSID = 348;
    static readonly KW_SYSTEM = 349;
    static readonly KW_TABLES = 350;
    static readonly KW_TABLESPACE = 351;
    static readonly KW_TEMP = 352;
    static readonly KW_TEMPLATE = 353;
    static readonly KW_TEMPORARY = 354;
    static readonly KW_TEXT = 355;
    static readonly KW_TRANSACTION = 356;
    static readonly KW_TRIGGER = 357;
    static readonly KW_TRUNCATE = 358;
    static readonly KW_TRUSTED = 359;
    static readonly KW_TYPE = 360;
    static readonly KW_TYPES = 361;
    static readonly KW_UNBOUNDED = 362;
    static readonly KW_UNCOMMITTED = 363;
    static readonly KW_UNENCRYPTED = 364;
    static readonly KW_UNKNOWN = 365;
    static readonly KW_UNLISTEN = 366;
    static readonly KW_UNLOGGED = 367;
    static readonly KW_UNTIL = 368;
    static readonly KW_UPDATE = 369;
    static readonly KW_VACUUM = 370;
    static readonly KW_VALID = 371;
    static readonly KW_VALIDATE = 372;
    static readonly KW_VALIDATOR = 373;
    static readonly KW_VARYING = 374;
    static readonly KW_VERSION = 375;
    static readonly KW_VIEW = 376;
    static readonly KW_VOLATILE = 377;
    static readonly KW_WHITESPACE = 378;
    static readonly KW_WITHOUT = 379;
    static readonly KW_WORK = 380;
    static readonly KW_WRAPPER = 381;
    static readonly KW_WRITE = 382;
    static readonly KW_XML = 383;
    static readonly KW_YEAR = 384;
    static readonly KW_YES = 385;
    static readonly KW_ZONE = 386;
    static readonly KW_BETWEEN = 387;
    static readonly KW_BIGINT = 388;
    static readonly KW_BIT = 389;
    static readonly KW_BOOLEAN = 390;
    static readonly KW_CHAR = 391;
    static readonly KW_CHARACTER = 392;
    static readonly KW_COALESCE = 393;
    static readonly KW_DEC = 394;
    static readonly KW_DECIMAL = 395;
    static readonly KW_EXISTS = 396;
    static readonly KW_EXTRACT = 397;
    static readonly KW_FLOAT = 398;
    static readonly KW_GREATEST = 399;
    static readonly KW_INOUT = 400;
    static readonly KW_INT = 401;
    static readonly KW_INTEGER = 402;
    static readonly KW_INTERVAL = 403;
    static readonly KW_LEAST = 404;
    static readonly KW_NATIONAL = 405;
    static readonly KW_NCHAR = 406;
    static readonly KW_NONE = 407;
    static readonly KW_NULLIF = 408;
    static readonly KW_NUMERIC = 409;
    static readonly KW_OVERLAY = 410;
    static readonly KW_POSITION = 411;
    static readonly KW_PRECISION = 412;
    static readonly KW_REAL = 413;
    static readonly KW_ROW = 414;
    static readonly KW_SETOF = 415;
    static readonly KW_SMALLINT = 416;
    static readonly KW_SUBSTRING = 417;
    static readonly KW_TIME = 418;
    static readonly KW_TIMESTAMP = 419;
    static readonly KW_TREAT = 420;
    static readonly KW_TRIM = 421;
    static readonly KW_VALUES = 422;
    static readonly KW_VARCHAR = 423;
    static readonly KW_XMLATTRIBUTES = 424;
    static readonly KW_XMLCONCAT = 425;
    static readonly KW_XMLELEMENT = 426;
    static readonly KW_XMLEXISTS = 427;
    static readonly KW_XMLFOREST = 428;
    static readonly KW_XMLPARSE = 429;
    static readonly KW_XMLPI = 430;
    static readonly KW_XMLROOT = 431;
    static readonly KW_XMLSERIALIZE = 432;
    static readonly KW_CALL = 433;
    static readonly KW_CURRENT = 434;
    static readonly KW_ATTACH = 435;
    static readonly KW_DETACH = 436;
    static readonly KW_EXPRESSION = 437;
    static readonly KW_GENERATED = 438;
    static readonly KW_LOGGED = 439;
    static readonly KW_STORED = 440;
    static readonly KW_INCLUDE = 441;
    static readonly KW_ROUTINE = 442;
    static readonly KW_TRANSFORM = 443;
    static readonly KW_IMPORT = 444;
    static readonly KW_POLICY = 445;
    static readonly KW_METHOD = 446;
    static readonly KW_REFERENCING = 447;
    static readonly KW_NEW = 448;
    static readonly KW_OLD = 449;
    static readonly KW_VALUE = 450;
    static readonly KW_SUBSCRIPTION = 451;
    static readonly KW_PUBLICATION = 452;
    static readonly KW_OUT = 453;
    static readonly KW_END = 454;
    static readonly KW_ROUTINES = 455;
    static readonly KW_SCHEMAS = 456;
    static readonly KW_PROCEDURES = 457;
    static readonly KW_INPUT = 458;
    static readonly KW_SUPPORT = 459;
    static readonly KW_PARALLEL = 460;
    static readonly KW_SQL = 461;
    static readonly KW_DEPENDS = 462;
    static readonly KW_OVERRIDING = 463;
    static readonly KW_CONFLICT = 464;
    static readonly KW_SKIP = 465;
    static readonly KW_LOCKED = 466;
    static readonly KW_TIES = 467;
    static readonly KW_ROLLUP = 468;
    static readonly KW_CUBE = 469;
    static readonly KW_GROUPING = 470;
    static readonly KW_SETS = 471;
    static readonly KW_TABLESAMPLE = 472;
    static readonly KW_ORDINALITY = 473;
    static readonly KW_XMLTABLE = 474;
    static readonly KW_COLUMNS = 475;
    static readonly KW_XMLNAMESPACES = 476;
    static readonly KW_ROWTYPE = 477;
    static readonly KW_NORMALIZED = 478;
    static readonly KW_WITHIN = 479;
    static readonly KW_FILTER = 480;
    static readonly KW_GROUPS = 481;
    static readonly KW_OTHERS = 482;
    static readonly KW_NFC = 483;
    static readonly KW_NFD = 484;
    static readonly KW_NFKC = 485;
    static readonly KW_NFKD = 486;
    static readonly KW_UESCAPE = 487;
    static readonly KW_VIEWS = 488;
    static readonly KW_NORMALIZE = 489;
    static readonly KW_DUMP = 490;
    static readonly KW_PRINT_STRICT_PARAMS = 491;
    static readonly KW_VARIABLE_CONFLICT = 492;
    static readonly KW_ERROR = 493;
    static readonly KW_USE_VARIABLE = 494;
    static readonly KW_USE_COLUMN = 495;
    static readonly KW_ALIAS = 496;
    static readonly KW_CONSTANT = 497;
    static readonly KW_PERFORM = 498;
    static readonly KW_GET = 499;
    static readonly KW_DIAGNOSTICS = 500;
    static readonly KW_STACKED = 501;
    static readonly KW_ELSIF = 502;
    static readonly KW_WHILE = 503;
    static readonly KW_REVERSE = 504;
    static readonly KW_FOREACH = 505;
    static readonly KW_SLICE = 506;
    static readonly KW_EXIT = 507;
    static readonly KW_RETURN = 508;
    static readonly KW_QUERY = 509;
    static readonly KW_RAISE = 510;
    static readonly KW_SQLSTATE = 511;
    static readonly KW_DEBUG = 512;
    static readonly KW_LOG = 513;
    static readonly KW_INFO = 514;
    static readonly KW_NOTICE = 515;
    static readonly KW_WARNING = 516;
    static readonly KW_EXCEPTION = 517;
    static readonly KW_ASSERT = 518;
    static readonly KW_LOOP = 519;
    static readonly KW_OPEN = 520;
    static readonly KW_PEFERENCES = 521;
    static readonly KW_USAGE = 522;
    static readonly KW_CONNECT = 523;
    static readonly KW_PUBLIC = 524;
    static readonly KW_MERGE = 525;
    static readonly KW_MATCHED = 526;
    static readonly KW_BREADTH = 527;
    static readonly KW_DEPTH = 528;
    static readonly KW_UNSAFE = 529;
    static readonly KW_RESTRICTED = 530;
    static readonly KW_SAFE = 531;
    static readonly KW_FINALIZE = 532;
    static readonly KW_MODULUS = 533;
    static readonly KW_REMAINDER = 534;
    static readonly KW_LOGIN = 535;
    static readonly KW_NOLOGIN = 536;
    static readonly KW_REPLICATION = 537;
    static readonly KW_NOREPLICATION = 538;
    static readonly KW_BYPASSRLS = 539;
    static readonly KW_NOBYPASSRLS = 540;
    static readonly KW_PERMISSIVE = 541;
    static readonly KW_RESTRICTIVE = 542;
    static readonly KW_COMPRESSION = 543;
    static readonly KW_PLAIN = 544;
    static readonly KW_EXTENDED = 545;
    static readonly KW_MAIN = 546;
    static readonly KW_SKIP_LOCKED = 547;
    static readonly KW_BUFFER_USAGE_LIMIT = 548;
    static readonly Identifier = 549;
    static readonly QuotedIdentifier = 550;
    static readonly UnterminatedQuotedIdentifier = 551;
    static readonly InvalidQuotedIdentifier = 552;
    static readonly InvalidUnterminatedQuotedIdentifier = 553;
    static readonly UnicodeQuotedIdentifier = 554;
    static readonly UnterminatedUnicodeQuotedIdentifier = 555;
    static readonly InvalidUnicodeQuotedIdentifier = 556;
    static readonly InvalidUnterminatedUnicodeQuotedIdentifier = 557;
    static readonly StringConstant = 558;
    static readonly UnterminatedStringConstant = 559;
    static readonly UnicodeEscapeStringConstant = 560;
    static readonly UnterminatedUnicodeEscapeStringConstant = 561;
    static readonly BeginDollarStringConstant = 562;
    static readonly BinaryStringConstant = 563;
    static readonly UnterminatedBinaryStringConstant = 564;
    static readonly InvalidBinaryStringConstant = 565;
    static readonly InvalidUnterminatedBinaryStringConstant = 566;
    static readonly HexadecimalStringConstant = 567;
    static readonly UnterminatedHexadecimalStringConstant = 568;
    static readonly InvalidHexadecimalStringConstant = 569;
    static readonly InvalidUnterminatedHexadecimalStringConstant = 570;
    static readonly Integral = 571;
    static readonly NumericFail = 572;
    static readonly Numeric = 573;
    static readonly PLSQLVARIABLENAME = 574;
    static readonly PLSQLIDENTIFIER = 575;
    static readonly Whitespace = 576;
    static readonly Newline = 577;
    static readonly LineComment = 578;
    static readonly BlockComment = 579;
    static readonly UnterminatedBlockComment = 580;
    static readonly MetaCommand = 581;
    static readonly EndMetaCommand = 582;
    static readonly ErrorCharacter = 583;
    static readonly EscapeStringConstant = 584;
    static readonly UnterminatedEscapeStringConstant = 585;
    static readonly InvalidEscapeStringConstant = 586;
    static readonly InvalidUnterminatedEscapeStringConstant = 587;
    static readonly DollarText = 588;
    static readonly EndDollarStringConstant = 589;
    static readonly AfterEscapeStringConstantWithNewlineMode_Continued = 590;
    static readonly RULE_program = 0;
    static readonly RULE_singleStmt = 1;
    static readonly RULE_stmt = 2;
    static readonly RULE_callstmt = 3;
    static readonly RULE_createrolestmt = 4;
    static readonly RULE_alteroptroleelem = 5;
    static readonly RULE_createoptroleelem = 6;
    static readonly RULE_createuserstmt = 7;
    static readonly RULE_alterrolestmt = 8;
    static readonly RULE_alterrolesetstmt = 9;
    static readonly RULE_alterroutinestmt = 10;
    static readonly RULE_alter_routine_cluase = 11;
    static readonly RULE_routine_action = 12;
    static readonly RULE_creategroupstmt = 13;
    static readonly RULE_altergroupstmt = 14;
    static readonly RULE_createschemastmt = 15;
    static readonly RULE_schema_name_create = 16;
    static readonly RULE_schema_stmt = 17;
    static readonly RULE_variablesetstmt = 18;
    static readonly RULE_set_rest = 19;
    static readonly RULE_generic_set = 20;
    static readonly RULE_set_rest_more = 21;
    static readonly RULE_var_name = 22;
    static readonly RULE_var_list = 23;
    static readonly RULE_var_value = 24;
    static readonly RULE_iso_level = 25;
    static readonly RULE_opt_boolean_or_string_column = 26;
    static readonly RULE_opt_boolean_or_string = 27;
    static readonly RULE_zone_value = 28;
    static readonly RULE_nonreservedword_or_sconst = 29;
    static readonly RULE_variableresetstmt = 30;
    static readonly RULE_reset_rest = 31;
    static readonly RULE_setresetclause = 32;
    static readonly RULE_functionsetresetclause = 33;
    static readonly RULE_variableshowstmt = 34;
    static readonly RULE_constraintssetstmt = 35;
    static readonly RULE_checkpointstmt = 36;
    static readonly RULE_discardstmt = 37;
    static readonly RULE_altertablestmt = 38;
    static readonly RULE_alter_table_cmds = 39;
    static readonly RULE_partition_bound_spec = 40;
    static readonly RULE_partition_bound_cluase = 41;
    static readonly RULE_partition_bound_choose = 42;
    static readonly RULE_partition_with_cluase = 43;
    static readonly RULE_partition_cmd = 44;
    static readonly RULE_index_partition_cmd = 45;
    static readonly RULE_alter_table_cmd = 46;
    static readonly RULE_alter_column_default = 47;
    static readonly RULE_opt_drop_behavior = 48;
    static readonly RULE_opt_collate_clause = 49;
    static readonly RULE_reloptions = 50;
    static readonly RULE_opt_reloptions = 51;
    static readonly RULE_reloption_elem = 52;
    static readonly RULE_partitionboundspec = 53;
    static readonly RULE_altercompositetypestmt = 54;
    static readonly RULE_alter_type_cmd = 55;
    static readonly RULE_closeportalstmt = 56;
    static readonly RULE_copystmt = 57;
    static readonly RULE_copy_options = 58;
    static readonly RULE_copy_generic_opt_elem = 59;
    static readonly RULE_createstmt = 60;
    static readonly RULE_opttemp = 61;
    static readonly RULE_opttypedtableelementlist = 62;
    static readonly RULE_tableelementlist = 63;
    static readonly RULE_tableelement = 64;
    static readonly RULE_typedtableelement = 65;
    static readonly RULE_column_def = 66;
    static readonly RULE_colconstraint = 67;
    static readonly RULE_colconstraintelem = 68;
    static readonly RULE_generated_when = 69;
    static readonly RULE_tablelikeoption = 70;
    static readonly RULE_constraintelem = 71;
    static readonly RULE_opt_column_list = 72;
    static readonly RULE_opt_column_list_create = 73;
    static readonly RULE_column_list = 74;
    static readonly RULE_opt_c_include = 75;
    static readonly RULE_key_match = 76;
    static readonly RULE_exclusionconstraintelem = 77;
    static readonly RULE_key_actions = 78;
    static readonly RULE_key_update = 79;
    static readonly RULE_key_delete = 80;
    static readonly RULE_key_action = 81;
    static readonly RULE_optinherit = 82;
    static readonly RULE_partitionspec = 83;
    static readonly RULE_part_elem = 84;
    static readonly RULE_table_access_method_clause = 85;
    static readonly RULE_optwith = 86;
    static readonly RULE_oncommitoption = 87;
    static readonly RULE_opttablespace = 88;
    static readonly RULE_optconstablespace = 89;
    static readonly RULE_existingindex = 90;
    static readonly RULE_createstatsstmt = 91;
    static readonly RULE_alterstatsstmt = 92;
    static readonly RULE_createasstmt = 93;
    static readonly RULE_create_as_target = 94;
    static readonly RULE_opt_with_data = 95;
    static readonly RULE_creatematviewstmt = 96;
    static readonly RULE_refreshmatviewstmt = 97;
    static readonly RULE_createseqstmt = 98;
    static readonly RULE_alterseqstmt = 99;
    static readonly RULE_seqoptelem = 100;
    static readonly RULE_numericonly = 101;
    static readonly RULE_createplangstmt = 102;
    static readonly RULE_createtablespacestmt = 103;
    static readonly RULE_createextensionstmt = 104;
    static readonly RULE_alterextensionstmt = 105;
    static readonly RULE_alterextensioncontentsstmt = 106;
    static readonly RULE_createfdwstmt = 107;
    static readonly RULE_fdw_option = 108;
    static readonly RULE_alterfdwstmt = 109;
    static readonly RULE_create_generic_options = 110;
    static readonly RULE_alter_generic_options = 111;
    static readonly RULE_alter_generic_option_elem = 112;
    static readonly RULE_generic_option_elem = 113;
    static readonly RULE_createforeignserverstmt = 114;
    static readonly RULE_foreign_server_version = 115;
    static readonly RULE_alterforeignserverstmt = 116;
    static readonly RULE_createforeigntablestmt = 117;
    static readonly RULE_importforeignschemastmt = 118;
    static readonly RULE_createusermappingstmt = 119;
    static readonly RULE_alterusermappingstmt = 120;
    static readonly RULE_createpolicystmt = 121;
    static readonly RULE_alterpolicystmt = 122;
    static readonly RULE_alterprocedurestmt = 123;
    static readonly RULE_procedure_action = 124;
    static readonly RULE_rowsecurityoptionalexpr = 125;
    static readonly RULE_rowsecurityoptionalwithcheck = 126;
    static readonly RULE_createamstmt = 127;
    static readonly RULE_createtrigstmt = 128;
    static readonly RULE_triggeractiontime = 129;
    static readonly RULE_triggerevents = 130;
    static readonly RULE_triggeroneevent = 131;
    static readonly RULE_triggerwhen = 132;
    static readonly RULE_function_or_procedure = 133;
    static readonly RULE_triggerfuncargs = 134;
    static readonly RULE_triggerfuncarg = 135;
    static readonly RULE_constraintattributeElem = 136;
    static readonly RULE_createeventtrigstmt = 137;
    static readonly RULE_event_trigger_when_item = 138;
    static readonly RULE_altereventtrigstmt = 139;
    static readonly RULE_createassertionstmt = 140;
    static readonly RULE_definestmt = 141;
    static readonly RULE_definition = 142;
    static readonly RULE_def_elem = 143;
    static readonly RULE_def_arg = 144;
    static readonly RULE_old_aggr_elem = 145;
    static readonly RULE_alterenumstmt = 146;
    static readonly RULE_opt_if_not_exists = 147;
    static readonly RULE_createopclassstmt = 148;
    static readonly RULE_opclass_item = 149;
    static readonly RULE_createopfamilystmt = 150;
    static readonly RULE_alteropfamilystmt = 151;
    static readonly RULE_opclass_drop = 152;
    static readonly RULE_reassignownedstmt = 153;
    static readonly RULE_dropstmt = 154;
    static readonly RULE_object_type_any_name = 155;
    static readonly RULE_object_type_name = 156;
    static readonly RULE_any_name_list = 157;
    static readonly RULE_any_name = 158;
    static readonly RULE_attrs = 159;
    static readonly RULE_truncatestmt = 160;
    static readonly RULE_truncate_table = 161;
    static readonly RULE_commentstmt = 162;
    static readonly RULE_seclabelstmt = 163;
    static readonly RULE_fetchstmt = 164;
    static readonly RULE_fetch_args = 165;
    static readonly RULE_from_in = 166;
    static readonly RULE_grantstmt = 167;
    static readonly RULE_revokestmt = 168;
    static readonly RULE_privileges = 169;
    static readonly RULE_beforeprivilegeselect = 170;
    static readonly RULE_privilege = 171;
    static readonly RULE_privilege_target = 172;
    static readonly RULE_grantee_list = 173;
    static readonly RULE_grantrolestmt = 174;
    static readonly RULE_revokerolestmt = 175;
    static readonly RULE_alterdefaultprivilegesstmt = 176;
    static readonly RULE_defaclaction = 177;
    static readonly RULE_defacl_privilege_target = 178;
    static readonly RULE_indexstmt = 179;
    static readonly RULE_index_params = 180;
    static readonly RULE_index_elem = 181;
    static readonly RULE_createfunctionstmt = 182;
    static readonly RULE_opt_or_replace = 183;
    static readonly RULE_func_args = 184;
    static readonly RULE_func_args_list = 185;
    static readonly RULE_routine_with_argtypes_list = 186;
    static readonly RULE_routine_with_argtypes = 187;
    static readonly RULE_procedure_with_argtypes_list = 188;
    static readonly RULE_procedure_with_argtypes = 189;
    static readonly RULE_function_with_argtypes_list = 190;
    static readonly RULE_function_with_argtypes = 191;
    static readonly RULE_func_arg = 192;
    static readonly RULE_arg_class = 193;
    static readonly RULE_func_type = 194;
    static readonly RULE_func_arg_with_default = 195;
    static readonly RULE_aggr_args = 196;
    static readonly RULE_aggregate_with_argtypes = 197;
    static readonly RULE_common_func_opt_item = 198;
    static readonly RULE_createfunc_opt_item = 199;
    static readonly RULE_opt_definition = 200;
    static readonly RULE_table_func_column = 201;
    static readonly RULE_alterfunctionstmt = 202;
    static readonly RULE_removefuncstmt = 203;
    static readonly RULE_removeaggrstmt = 204;
    static readonly RULE_removeoperstmt = 205;
    static readonly RULE_oper_argtypes = 206;
    static readonly RULE_any_operator = 207;
    static readonly RULE_operator_with_argtypes = 208;
    static readonly RULE_dostmt = 209;
    static readonly RULE_createcaststmt = 210;
    static readonly RULE_opt_if_exists = 211;
    static readonly RULE_createtransformstmt = 212;
    static readonly RULE_sql_with_function = 213;
    static readonly RULE_reindexstmt = 214;
    static readonly RULE_altertblspcstmt = 215;
    static readonly RULE_renamestmt = 216;
    static readonly RULE_alterobjectdependsstmt = 217;
    static readonly RULE_alterobjectschemastmt = 218;
    static readonly RULE_alteroperatorstmt = 219;
    static readonly RULE_operator_def_list = 220;
    static readonly RULE_operator_def_elem = 221;
    static readonly RULE_altertypestmt = 222;
    static readonly RULE_alterownerstmt = 223;
    static readonly RULE_createpublicationstmt = 224;
    static readonly RULE_alterpublicationstmt = 225;
    static readonly RULE_createsubscriptionstmt = 226;
    static readonly RULE_altersubscriptionstmt = 227;
    static readonly RULE_rulestmt = 228;
    static readonly RULE_ruleactionstmt = 229;
    static readonly RULE_notifystmt = 230;
    static readonly RULE_notify_payload = 231;
    static readonly RULE_listenstmt = 232;
    static readonly RULE_unlistenstmt = 233;
    static readonly RULE_transactionstmt = 234;
    static readonly RULE_opt_transaction = 235;
    static readonly RULE_transaction_mode_item = 236;
    static readonly RULE_transaction_mode_list = 237;
    static readonly RULE_viewstmt = 238;
    static readonly RULE_loadstmt = 239;
    static readonly RULE_createdbstmt = 240;
    static readonly RULE_createdb_opt_item = 241;
    static readonly RULE_alterdatabasestmt = 242;
    static readonly RULE_alterdatabasesetstmt = 243;
    static readonly RULE_altercollationstmt = 244;
    static readonly RULE_altersystemstmt = 245;
    static readonly RULE_createdomainstmt = 246;
    static readonly RULE_alterdomainstmt = 247;
    static readonly RULE_altertsdictionarystmt = 248;
    static readonly RULE_altertsconfigurationstmt = 249;
    static readonly RULE_createconversionstmt = 250;
    static readonly RULE_clusterstmt = 251;
    static readonly RULE_vacuumstmt = 252;
    static readonly RULE_analyzestmt = 253;
    static readonly RULE_analyze_keyword = 254;
    static readonly RULE_vac_analyze_option_elem = 255;
    static readonly RULE_analyze_option_elem = 256;
    static readonly RULE_opt_verbose = 257;
    static readonly RULE_vacuum_relation = 258;
    static readonly RULE_vacuum_relation_list = 259;
    static readonly RULE_explainstmt = 260;
    static readonly RULE_explainablestmt = 261;
    static readonly RULE_explain_option_list = 262;
    static readonly RULE_preparestmt = 263;
    static readonly RULE_prep_type_clause = 264;
    static readonly RULE_preparablestmt = 265;
    static readonly RULE_executestmt = 266;
    static readonly RULE_execute_param_clause = 267;
    static readonly RULE_deallocatestmt = 268;
    static readonly RULE_insertstmt = 269;
    static readonly RULE_insert_rest = 270;
    static readonly RULE_insert_column_list = 271;
    static readonly RULE_insert_column_item = 272;
    static readonly RULE_returning_clause = 273;
    static readonly RULE_deletestmt = 274;
    static readonly RULE_lockstmt = 275;
    static readonly RULE_updatestmt = 276;
    static readonly RULE_set_clause_list = 277;
    static readonly RULE_set_clause = 278;
    static readonly RULE_declarecursorstmt = 279;
    static readonly RULE_selectstmt = 280;
    static readonly RULE_select_with_parens = 281;
    static readonly RULE_select_no_parens = 282;
    static readonly RULE_select_clause = 283;
    static readonly RULE_simple_select = 284;
    static readonly RULE_set_operator_with_all_or_distinct = 285;
    static readonly RULE_with_clause = 286;
    static readonly RULE_common_table_expr = 287;
    static readonly RULE_search_cluase = 288;
    static readonly RULE_cycle_cluase = 289;
    static readonly RULE_into_clause = 290;
    static readonly RULE_opttempTableName = 291;
    static readonly RULE_distinct_clause = 292;
    static readonly RULE_sort_clause = 293;
    static readonly RULE_sortby = 294;
    static readonly RULE_select_limit = 295;
    static readonly RULE_limit_clause = 296;
    static readonly RULE_fetch_clause = 297;
    static readonly RULE_offset_clause = 298;
    static readonly RULE_select_fetch_first_value = 299;
    static readonly RULE_group_clause = 300;
    static readonly RULE_group_by_list = 301;
    static readonly RULE_group_by_item = 302;
    static readonly RULE_for_locking_clause = 303;
    static readonly RULE_values_clause = 304;
    static readonly RULE_from_clause = 305;
    static readonly RULE_from_list = 306;
    static readonly RULE_table_ref = 307;
    static readonly RULE_alias_clause = 308;
    static readonly RULE_func_alias_clause = 309;
    static readonly RULE_join_type = 310;
    static readonly RULE_join_qual = 311;
    static readonly RULE_relation_expr = 312;
    static readonly RULE_publication_relation_expr = 313;
    static readonly RULE_relation_expr_list = 314;
    static readonly RULE_relation_expr_opt_alias = 315;
    static readonly RULE_tablesample_clause = 316;
    static readonly RULE_func_table = 317;
    static readonly RULE_rowsfrom_item = 318;
    static readonly RULE_where_clause = 319;
    static readonly RULE_where_or_current_clause = 320;
    static readonly RULE_tablefuncelementlist = 321;
    static readonly RULE_tablefuncelement = 322;
    static readonly RULE_xmltable = 323;
    static readonly RULE_xmltable_column_el = 324;
    static readonly RULE_xml_namespace_el = 325;
    static readonly RULE_typename = 326;
    static readonly RULE_simpletypename = 327;
    static readonly RULE_consttypename = 328;
    static readonly RULE_numeric = 329;
    static readonly RULE_opt_float = 330;
    static readonly RULE_bit = 331;
    static readonly RULE_character = 332;
    static readonly RULE_constdatetime = 333;
    static readonly RULE_opt_interval = 334;
    static readonly RULE_interval_second = 335;
    static readonly RULE_comparisonOperator = 336;
    static readonly RULE_expression = 337;
    static readonly RULE_booleanExpression = 338;
    static readonly RULE_predicate = 339;
    static readonly RULE_valueExpression = 340;
    static readonly RULE_primaryExpression = 341;
    static readonly RULE_func_application = 342;
    static readonly RULE_func_expr = 343;
    static readonly RULE_func_expr_windowless = 344;
    static readonly RULE_func_expr_common_subexpr = 345;
    static readonly RULE_xml_attribute_list = 346;
    static readonly RULE_xml_attribute_el = 347;
    static readonly RULE_document_or_content = 348;
    static readonly RULE_xmlexists_argument = 349;
    static readonly RULE_xml_passing_mech = 350;
    static readonly RULE_window_clause = 351;
    static readonly RULE_window_definition = 352;
    static readonly RULE_over_clause = 353;
    static readonly RULE_window_specification = 354;
    static readonly RULE_opt_frame_clause = 355;
    static readonly RULE_frame_bound = 356;
    static readonly RULE_row = 357;
    static readonly RULE_explicit_row = 358;
    static readonly RULE_sub_type = 359;
    static readonly RULE_all_op = 360;
    static readonly RULE_mathop = 361;
    static readonly RULE_qual_op = 362;
    static readonly RULE_qual_all_op = 363;
    static readonly RULE_subquery_Op = 364;
    static readonly RULE_expr_list = 365;
    static readonly RULE_column_expr = 366;
    static readonly RULE_column_expr_noparen = 367;
    static readonly RULE_func_arg_list = 368;
    static readonly RULE_func_arg_expr = 369;
    static readonly RULE_array_expr = 370;
    static readonly RULE_extract_arg = 371;
    static readonly RULE_unicode_normal_form = 372;
    static readonly RULE_substr_list = 373;
    static readonly RULE_when_clause = 374;
    static readonly RULE_indirection_el = 375;
    static readonly RULE_indirection = 376;
    static readonly RULE_opt_indirection = 377;
    static readonly RULE_target_list = 378;
    static readonly RULE_target_el = 379;
    static readonly RULE_qualified_name_list = 380;
    static readonly RULE_table_name_list = 381;
    static readonly RULE_schema_name_list = 382;
    static readonly RULE_database_nameList = 383;
    static readonly RULE_tablespace_name_create = 384;
    static readonly RULE_tablespace_name = 385;
    static readonly RULE_table_name_create = 386;
    static readonly RULE_table_name = 387;
    static readonly RULE_view_name_create = 388;
    static readonly RULE_view_name = 389;
    static readonly RULE_qualified_name = 390;
    static readonly RULE_tablespace_name_list = 391;
    static readonly RULE_name_list = 392;
    static readonly RULE_database_name_create = 393;
    static readonly RULE_database_name = 394;
    static readonly RULE_schema_name = 395;
    static readonly RULE_routine_name_create = 396;
    static readonly RULE_routine_name = 397;
    static readonly RULE_procedure_name = 398;
    static readonly RULE_procedure_name_create = 399;
    static readonly RULE_column_name = 400;
    static readonly RULE_column_name_create = 401;
    static readonly RULE_function_name_create = 402;
    static readonly RULE_function_name = 403;
    static readonly RULE_sconst = 404;
    static readonly RULE_anysconst = 405;
    static readonly RULE_signediconst = 406;
    static readonly RULE_rolespec = 407;
    static readonly RULE_role_list = 408;
    static readonly RULE_colid = 409;
    static readonly RULE_type_function_name = 410;
    static readonly RULE_nonreservedword = 411;
    static readonly RULE_collabel = 412;
    static readonly RULE_identifier = 413;
    static readonly RULE_unreserved_keyword = 414;
    static readonly RULE_col_name_keyword = 415;
    static readonly RULE_type_func_name_keyword = 416;
    static readonly RULE_reserved_keyword = 417;
    static readonly RULE_pl_block = 418;
    static readonly RULE_label_decl = 419;
    static readonly RULE_decl_statement = 420;
    static readonly RULE_decl_cursor_arg = 421;
    static readonly RULE_assign_operator = 422;
    static readonly RULE_proc_stmt = 423;
    static readonly RULE_stmt_perform = 424;
    static readonly RULE_stmt_call = 425;
    static readonly RULE_stmt_assign = 426;
    static readonly RULE_stmt_getdiag = 427;
    static readonly RULE_getdiag_list_item = 428;
    static readonly RULE_assign_var = 429;
    static readonly RULE_stmt_if = 430;
    static readonly RULE_stmt_else = 431;
    static readonly RULE_stmt_case = 432;
    static readonly RULE_stmt_loop_while_for = 433;
    static readonly RULE_for_control = 434;
    static readonly RULE_stmt_foreach_a = 435;
    static readonly RULE_stmt_exit = 436;
    static readonly RULE_stmt_return = 437;
    static readonly RULE_stmt_raise = 438;
    static readonly RULE_opt_raise_using_elem = 439;
    static readonly RULE_stmt_assert = 440;
    static readonly RULE_loop_body = 441;
    static readonly RULE_stmt_execsql = 442;
    static readonly RULE_stmt_dynexecute = 443;
    static readonly RULE_opt_execute_into = 444;
    static readonly RULE_stmt_open = 445;
    static readonly RULE_opt_open_bound_list_item = 446;
    static readonly RULE_stmt_fetch = 447;
    static readonly RULE_opt_fetch_direction = 448;
    static readonly RULE_stmt_move = 449;
    static readonly RULE_mergestmt = 450;
    static readonly RULE_data_source = 451;
    static readonly RULE_merge_when_clause = 452;
    static readonly RULE_merge_insert = 453;
    static readonly RULE_merge_update = 454;
    static readonly RULE_default_values_or_values = 455;
    static readonly RULE_exprofdefault = 456;
    static readonly RULE_stmt_close = 457;
    static readonly RULE_stmt_null = 458;
    static readonly RULE_stmt_commit_or_rollback = 459;
    static readonly RULE_stmt_set = 460;
    static readonly RULE_cursor_variable = 461;
    static readonly RULE_exception_sect = 462;
    static readonly RULE_proc_condition = 463;
    static readonly RULE_any_identifier = 464;
    static readonly RULE_sql_expression = 465;
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly ruleNames: string[];
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    protected createFailedPredicateException(predicate?: string, message?: string): antlr.FailedPredicateException;
    constructor(input: antlr.TokenStream);
    program(): ProgramContext;
    singleStmt(): SingleStmtContext;
    stmt(): StmtContext;
    callstmt(): CallstmtContext;
    createrolestmt(): CreaterolestmtContext;
    alteroptroleelem(): AlteroptroleelemContext;
    createoptroleelem(): CreateoptroleelemContext;
    createuserstmt(): CreateuserstmtContext;
    alterrolestmt(): AlterrolestmtContext;
    alterrolesetstmt(): AlterrolesetstmtContext;
    alterroutinestmt(): AlterroutinestmtContext;
    alter_routine_cluase(): Alter_routine_cluaseContext;
    routine_action(): Routine_actionContext;
    creategroupstmt(): CreategroupstmtContext;
    altergroupstmt(): AltergroupstmtContext;
    createschemastmt(): CreateschemastmtContext;
    schema_name_create(): Schema_name_createContext;
    schema_stmt(): Schema_stmtContext;
    variablesetstmt(): VariablesetstmtContext;
    set_rest(): Set_restContext;
    generic_set(): Generic_setContext;
    set_rest_more(): Set_rest_moreContext;
    var_name(): Var_nameContext;
    var_list(): Var_listContext;
    var_value(): Var_valueContext;
    iso_level(): Iso_levelContext;
    opt_boolean_or_string_column(): Opt_boolean_or_string_columnContext;
    opt_boolean_or_string(): Opt_boolean_or_stringContext;
    zone_value(): Zone_valueContext;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext;
    variableresetstmt(): VariableresetstmtContext;
    reset_rest(): Reset_restContext;
    setresetclause(): SetresetclauseContext;
    functionsetresetclause(): FunctionsetresetclauseContext;
    variableshowstmt(): VariableshowstmtContext;
    constraintssetstmt(): ConstraintssetstmtContext;
    checkpointstmt(): CheckpointstmtContext;
    discardstmt(): DiscardstmtContext;
    altertablestmt(): AltertablestmtContext;
    alter_table_cmds(): Alter_table_cmdsContext;
    partition_bound_spec(): Partition_bound_specContext;
    partition_bound_cluase(): Partition_bound_cluaseContext;
    partition_bound_choose(): Partition_bound_chooseContext;
    partition_with_cluase(): Partition_with_cluaseContext;
    partition_cmd(): Partition_cmdContext;
    index_partition_cmd(): Index_partition_cmdContext;
    alter_table_cmd(): Alter_table_cmdContext;
    alter_column_default(): Alter_column_defaultContext;
    opt_drop_behavior(): Opt_drop_behaviorContext;
    opt_collate_clause(): Opt_collate_clauseContext;
    reloptions(): ReloptionsContext;
    opt_reloptions(): Opt_reloptionsContext;
    reloption_elem(): Reloption_elemContext;
    partitionboundspec(): PartitionboundspecContext;
    altercompositetypestmt(): AltercompositetypestmtContext;
    alter_type_cmd(): Alter_type_cmdContext;
    closeportalstmt(): CloseportalstmtContext;
    copystmt(): CopystmtContext;
    copy_options(): Copy_optionsContext;
    copy_generic_opt_elem(): Copy_generic_opt_elemContext;
    createstmt(): CreatestmtContext;
    opttemp(): OpttempContext;
    opttypedtableelementlist(): OpttypedtableelementlistContext;
    tableelementlist(): TableelementlistContext;
    tableelement(): TableelementContext;
    typedtableelement(): TypedtableelementContext;
    column_def(): Column_defContext;
    colconstraint(): ColconstraintContext;
    colconstraintelem(): ColconstraintelemContext;
    generated_when(): Generated_whenContext;
    tablelikeoption(): TablelikeoptionContext;
    constraintelem(): ConstraintelemContext;
    opt_column_list(): Opt_column_listContext;
    opt_column_list_create(): Opt_column_list_createContext;
    column_list(): Column_listContext;
    opt_c_include(): Opt_c_includeContext;
    key_match(): Key_matchContext;
    exclusionconstraintelem(): ExclusionconstraintelemContext;
    key_actions(): Key_actionsContext;
    key_update(): Key_updateContext;
    key_delete(): Key_deleteContext;
    key_action(): Key_actionContext;
    optinherit(): OptinheritContext;
    partitionspec(): PartitionspecContext;
    part_elem(): Part_elemContext;
    table_access_method_clause(): Table_access_method_clauseContext;
    optwith(): OptwithContext;
    oncommitoption(): OncommitoptionContext;
    opttablespace(): OpttablespaceContext;
    optconstablespace(): OptconstablespaceContext;
    existingindex(): ExistingindexContext;
    createstatsstmt(): CreatestatsstmtContext;
    alterstatsstmt(): AlterstatsstmtContext;
    createasstmt(): CreateasstmtContext;
    create_as_target(): Create_as_targetContext;
    opt_with_data(): Opt_with_dataContext;
    creatematviewstmt(): CreatematviewstmtContext;
    refreshmatviewstmt(): RefreshmatviewstmtContext;
    createseqstmt(): CreateseqstmtContext;
    alterseqstmt(): AlterseqstmtContext;
    seqoptelem(): SeqoptelemContext;
    numericonly(): NumericonlyContext;
    createplangstmt(): CreateplangstmtContext;
    createtablespacestmt(): CreatetablespacestmtContext;
    createextensionstmt(): CreateextensionstmtContext;
    alterextensionstmt(): AlterextensionstmtContext;
    alterextensioncontentsstmt(): AlterextensioncontentsstmtContext;
    createfdwstmt(): CreatefdwstmtContext;
    fdw_option(): Fdw_optionContext;
    alterfdwstmt(): AlterfdwstmtContext;
    create_generic_options(): Create_generic_optionsContext;
    alter_generic_options(): Alter_generic_optionsContext;
    alter_generic_option_elem(): Alter_generic_option_elemContext;
    generic_option_elem(): Generic_option_elemContext;
    createforeignserverstmt(): CreateforeignserverstmtContext;
    foreign_server_version(): Foreign_server_versionContext;
    alterforeignserverstmt(): AlterforeignserverstmtContext;
    createforeigntablestmt(): CreateforeigntablestmtContext;
    importforeignschemastmt(): ImportforeignschemastmtContext;
    createusermappingstmt(): CreateusermappingstmtContext;
    alterusermappingstmt(): AlterusermappingstmtContext;
    createpolicystmt(): CreatepolicystmtContext;
    alterpolicystmt(): AlterpolicystmtContext;
    alterprocedurestmt(): AlterprocedurestmtContext;
    procedure_action(): Procedure_actionContext;
    rowsecurityoptionalexpr(): RowsecurityoptionalexprContext;
    rowsecurityoptionalwithcheck(): RowsecurityoptionalwithcheckContext;
    createamstmt(): CreateamstmtContext;
    createtrigstmt(): CreatetrigstmtContext;
    triggeractiontime(): TriggeractiontimeContext;
    triggerevents(): TriggereventsContext;
    triggeroneevent(): TriggeroneeventContext;
    triggerwhen(): TriggerwhenContext;
    function_or_procedure(): Function_or_procedureContext;
    triggerfuncargs(): TriggerfuncargsContext;
    triggerfuncarg(): TriggerfuncargContext;
    constraintattributeElem(): ConstraintattributeElemContext;
    createeventtrigstmt(): CreateeventtrigstmtContext;
    event_trigger_when_item(): Event_trigger_when_itemContext;
    altereventtrigstmt(): AltereventtrigstmtContext;
    createassertionstmt(): CreateassertionstmtContext;
    definestmt(): DefinestmtContext;
    definition(): DefinitionContext;
    def_elem(): Def_elemContext;
    def_arg(): Def_argContext;
    old_aggr_elem(): Old_aggr_elemContext;
    alterenumstmt(): AlterenumstmtContext;
    opt_if_not_exists(): Opt_if_not_existsContext;
    createopclassstmt(): CreateopclassstmtContext;
    opclass_item(): Opclass_itemContext;
    createopfamilystmt(): CreateopfamilystmtContext;
    alteropfamilystmt(): AlteropfamilystmtContext;
    opclass_drop(): Opclass_dropContext;
    reassignownedstmt(): ReassignownedstmtContext;
    dropstmt(): DropstmtContext;
    object_type_any_name(): Object_type_any_nameContext;
    object_type_name(): Object_type_nameContext;
    any_name_list(): Any_name_listContext;
    any_name(): Any_nameContext;
    attrs(): AttrsContext;
    truncatestmt(): TruncatestmtContext;
    truncate_table(): Truncate_tableContext;
    commentstmt(): CommentstmtContext;
    seclabelstmt(): SeclabelstmtContext;
    fetchstmt(): FetchstmtContext;
    fetch_args(): Fetch_argsContext;
    from_in(): From_inContext;
    grantstmt(): GrantstmtContext;
    revokestmt(): RevokestmtContext;
    privileges(): PrivilegesContext;
    beforeprivilegeselect(): BeforeprivilegeselectContext;
    privilege(): PrivilegeContext;
    privilege_target(): Privilege_targetContext;
    grantee_list(): Grantee_listContext;
    grantrolestmt(): GrantrolestmtContext;
    revokerolestmt(): RevokerolestmtContext;
    alterdefaultprivilegesstmt(): AlterdefaultprivilegesstmtContext;
    defaclaction(): DefaclactionContext;
    defacl_privilege_target(): Defacl_privilege_targetContext;
    indexstmt(): IndexstmtContext;
    index_params(): Index_paramsContext;
    index_elem(): Index_elemContext;
    createfunctionstmt(): CreatefunctionstmtContext;
    opt_or_replace(): Opt_or_replaceContext;
    func_args(): Func_argsContext;
    func_args_list(): Func_args_listContext;
    routine_with_argtypes_list(): Routine_with_argtypes_listContext;
    routine_with_argtypes(): Routine_with_argtypesContext;
    procedure_with_argtypes_list(): Procedure_with_argtypes_listContext;
    procedure_with_argtypes(): Procedure_with_argtypesContext;
    function_with_argtypes_list(): Function_with_argtypes_listContext;
    function_with_argtypes(): Function_with_argtypesContext;
    func_arg(): Func_argContext;
    arg_class(): Arg_classContext;
    func_type(): Func_typeContext;
    func_arg_with_default(): Func_arg_with_defaultContext;
    aggr_args(): Aggr_argsContext;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext;
    common_func_opt_item(): Common_func_opt_itemContext;
    createfunc_opt_item(): Createfunc_opt_itemContext;
    opt_definition(): Opt_definitionContext;
    table_func_column(): Table_func_columnContext;
    alterfunctionstmt(): AlterfunctionstmtContext;
    removefuncstmt(): RemovefuncstmtContext;
    removeaggrstmt(): RemoveaggrstmtContext;
    removeoperstmt(): RemoveoperstmtContext;
    oper_argtypes(): Oper_argtypesContext;
    any_operator(): Any_operatorContext;
    operator_with_argtypes(): Operator_with_argtypesContext;
    dostmt(): DostmtContext;
    createcaststmt(): CreatecaststmtContext;
    opt_if_exists(): Opt_if_existsContext;
    createtransformstmt(): CreatetransformstmtContext;
    sql_with_function(): Sql_with_functionContext;
    reindexstmt(): ReindexstmtContext;
    altertblspcstmt(): AltertblspcstmtContext;
    renamestmt(): RenamestmtContext;
    alterobjectdependsstmt(): AlterobjectdependsstmtContext;
    alterobjectschemastmt(): AlterobjectschemastmtContext;
    alteroperatorstmt(): AlteroperatorstmtContext;
    operator_def_list(): Operator_def_listContext;
    operator_def_elem(): Operator_def_elemContext;
    altertypestmt(): AltertypestmtContext;
    alterownerstmt(): AlterownerstmtContext;
    createpublicationstmt(): CreatepublicationstmtContext;
    alterpublicationstmt(): AlterpublicationstmtContext;
    createsubscriptionstmt(): CreatesubscriptionstmtContext;
    altersubscriptionstmt(): AltersubscriptionstmtContext;
    rulestmt(): RulestmtContext;
    ruleactionstmt(): RuleactionstmtContext;
    notifystmt(): NotifystmtContext;
    notify_payload(): Notify_payloadContext;
    listenstmt(): ListenstmtContext;
    unlistenstmt(): UnlistenstmtContext;
    transactionstmt(): TransactionstmtContext;
    opt_transaction(): Opt_transactionContext;
    transaction_mode_item(): Transaction_mode_itemContext;
    transaction_mode_list(): Transaction_mode_listContext;
    viewstmt(): ViewstmtContext;
    loadstmt(): LoadstmtContext;
    createdbstmt(): CreatedbstmtContext;
    createdb_opt_item(): Createdb_opt_itemContext;
    alterdatabasestmt(): AlterdatabasestmtContext;
    alterdatabasesetstmt(): AlterdatabasesetstmtContext;
    altercollationstmt(): AltercollationstmtContext;
    altersystemstmt(): AltersystemstmtContext;
    createdomainstmt(): CreatedomainstmtContext;
    alterdomainstmt(): AlterdomainstmtContext;
    altertsdictionarystmt(): AltertsdictionarystmtContext;
    altertsconfigurationstmt(): AltertsconfigurationstmtContext;
    createconversionstmt(): CreateconversionstmtContext;
    clusterstmt(): ClusterstmtContext;
    vacuumstmt(): VacuumstmtContext;
    analyzestmt(): AnalyzestmtContext;
    analyze_keyword(): Analyze_keywordContext;
    vac_analyze_option_elem(): Vac_analyze_option_elemContext;
    analyze_option_elem(): Analyze_option_elemContext;
    opt_verbose(): Opt_verboseContext;
    vacuum_relation(): Vacuum_relationContext;
    vacuum_relation_list(): Vacuum_relation_listContext;
    explainstmt(): ExplainstmtContext;
    explainablestmt(): ExplainablestmtContext;
    explain_option_list(): Explain_option_listContext;
    preparestmt(): PreparestmtContext;
    prep_type_clause(): Prep_type_clauseContext;
    preparablestmt(): PreparablestmtContext;
    executestmt(): ExecutestmtContext;
    execute_param_clause(): Execute_param_clauseContext;
    deallocatestmt(): DeallocatestmtContext;
    insertstmt(): InsertstmtContext;
    insert_rest(): Insert_restContext;
    insert_column_list(): Insert_column_listContext;
    insert_column_item(): Insert_column_itemContext;
    returning_clause(): Returning_clauseContext;
    deletestmt(): DeletestmtContext;
    lockstmt(): LockstmtContext;
    updatestmt(): UpdatestmtContext;
    set_clause_list(): Set_clause_listContext;
    set_clause(): Set_clauseContext;
    declarecursorstmt(): DeclarecursorstmtContext;
    selectstmt(): SelectstmtContext;
    select_with_parens(): Select_with_parensContext;
    select_no_parens(): Select_no_parensContext;
    select_clause(): Select_clauseContext;
    simple_select(): Simple_selectContext;
    set_operator_with_all_or_distinct(): Set_operator_with_all_or_distinctContext;
    with_clause(): With_clauseContext;
    common_table_expr(): Common_table_exprContext;
    search_cluase(): Search_cluaseContext;
    cycle_cluase(): Cycle_cluaseContext;
    into_clause(): Into_clauseContext;
    opttempTableName(): OpttempTableNameContext;
    distinct_clause(): Distinct_clauseContext;
    sort_clause(): Sort_clauseContext;
    sortby(): SortbyContext;
    select_limit(): Select_limitContext;
    limit_clause(): Limit_clauseContext;
    fetch_clause(): Fetch_clauseContext;
    offset_clause(): Offset_clauseContext;
    select_fetch_first_value(): Select_fetch_first_valueContext;
    group_clause(): Group_clauseContext;
    group_by_list(): Group_by_listContext;
    group_by_item(): Group_by_itemContext;
    for_locking_clause(): For_locking_clauseContext;
    values_clause(): Values_clauseContext;
    from_clause(): From_clauseContext;
    from_list(): From_listContext;
    table_ref(): Table_refContext;
    alias_clause(): Alias_clauseContext;
    func_alias_clause(): Func_alias_clauseContext;
    join_type(): Join_typeContext;
    join_qual(): Join_qualContext;
    relation_expr(): Relation_exprContext;
    publication_relation_expr(): Publication_relation_exprContext;
    relation_expr_list(): Relation_expr_listContext;
    relation_expr_opt_alias(): Relation_expr_opt_aliasContext;
    tablesample_clause(): Tablesample_clauseContext;
    func_table(): Func_tableContext;
    rowsfrom_item(): Rowsfrom_itemContext;
    where_clause(): Where_clauseContext;
    where_or_current_clause(): Where_or_current_clauseContext;
    tablefuncelementlist(): TablefuncelementlistContext;
    tablefuncelement(): TablefuncelementContext;
    xmltable(): XmltableContext;
    xmltable_column_el(): Xmltable_column_elContext;
    xml_namespace_el(): Xml_namespace_elContext;
    typename(): TypenameContext;
    simpletypename(): SimpletypenameContext;
    consttypename(): ConsttypenameContext;
    numeric(): NumericContext;
    opt_float(): Opt_floatContext;
    bit(): BitContext;
    character(): CharacterContext;
    constdatetime(): ConstdatetimeContext;
    opt_interval(): Opt_intervalContext;
    interval_second(): Interval_secondContext;
    comparisonOperator(): ComparisonOperatorContext;
    expression(): ExpressionContext;
    booleanExpression(): BooleanExpressionContext;
    booleanExpression(_p: number): BooleanExpressionContext;
    predicate(value: antlr.ParserRuleContext): PredicateContext;
    valueExpression(): ValueExpressionContext;
    valueExpression(_p: number): ValueExpressionContext;
    primaryExpression(): PrimaryExpressionContext;
    primaryExpression(_p: number): PrimaryExpressionContext;
    func_application(): Func_applicationContext;
    func_expr(): Func_exprContext;
    func_expr_windowless(): Func_expr_windowlessContext;
    func_expr_common_subexpr(): Func_expr_common_subexprContext;
    xml_attribute_list(): Xml_attribute_listContext;
    xml_attribute_el(): Xml_attribute_elContext;
    document_or_content(): Document_or_contentContext;
    xmlexists_argument(): Xmlexists_argumentContext;
    xml_passing_mech(): Xml_passing_mechContext;
    window_clause(): Window_clauseContext;
    window_definition(): Window_definitionContext;
    over_clause(): Over_clauseContext;
    window_specification(): Window_specificationContext;
    opt_frame_clause(): Opt_frame_clauseContext;
    frame_bound(): Frame_boundContext;
    row(): RowContext;
    explicit_row(): Explicit_rowContext;
    sub_type(): Sub_typeContext;
    all_op(): All_opContext;
    mathop(): MathopContext;
    qual_op(): Qual_opContext;
    qual_all_op(): Qual_all_opContext;
    subquery_Op(): Subquery_OpContext;
    expr_list(): Expr_listContext;
    column_expr(): Column_exprContext;
    column_expr_noparen(): Column_expr_noparenContext;
    func_arg_list(): Func_arg_listContext;
    func_arg_expr(): Func_arg_exprContext;
    array_expr(): Array_exprContext;
    extract_arg(): Extract_argContext;
    unicode_normal_form(): Unicode_normal_formContext;
    substr_list(): Substr_listContext;
    when_clause(): When_clauseContext;
    indirection_el(): Indirection_elContext;
    indirection(): IndirectionContext;
    opt_indirection(): Opt_indirectionContext;
    target_list(): Target_listContext;
    target_el(): Target_elContext;
    qualified_name_list(): Qualified_name_listContext;
    table_name_list(): Table_name_listContext;
    schema_name_list(): Schema_name_listContext;
    database_nameList(): Database_nameListContext;
    tablespace_name_create(): Tablespace_name_createContext;
    tablespace_name(): Tablespace_nameContext;
    table_name_create(): Table_name_createContext;
    table_name(): Table_nameContext;
    view_name_create(): View_name_createContext;
    view_name(): View_nameContext;
    qualified_name(): Qualified_nameContext;
    tablespace_name_list(): Tablespace_name_listContext;
    name_list(): Name_listContext;
    database_name_create(): Database_name_createContext;
    database_name(): Database_nameContext;
    schema_name(): Schema_nameContext;
    routine_name_create(): Routine_name_createContext;
    routine_name(): Routine_nameContext;
    procedure_name(): Procedure_nameContext;
    procedure_name_create(): Procedure_name_createContext;
    column_name(): Column_nameContext;
    column_name_create(): Column_name_createContext;
    function_name_create(): Function_name_createContext;
    function_name(): Function_nameContext;
    sconst(): SconstContext;
    anysconst(): AnysconstContext;
    signediconst(): SignediconstContext;
    rolespec(): RolespecContext;
    role_list(): Role_listContext;
    colid(): ColidContext;
    type_function_name(): Type_function_nameContext;
    nonreservedword(): NonreservedwordContext;
    collabel(): CollabelContext;
    identifier(): IdentifierContext;
    unreserved_keyword(): Unreserved_keywordContext;
    col_name_keyword(): Col_name_keywordContext;
    type_func_name_keyword(): Type_func_name_keywordContext;
    reserved_keyword(): Reserved_keywordContext;
    pl_block(): Pl_blockContext;
    label_decl(): Label_declContext;
    decl_statement(): Decl_statementContext;
    decl_cursor_arg(): Decl_cursor_argContext;
    assign_operator(): Assign_operatorContext;
    proc_stmt(): Proc_stmtContext;
    stmt_perform(): Stmt_performContext;
    stmt_call(): Stmt_callContext;
    stmt_assign(): Stmt_assignContext;
    stmt_getdiag(): Stmt_getdiagContext;
    getdiag_list_item(): Getdiag_list_itemContext;
    assign_var(): Assign_varContext;
    stmt_if(): Stmt_ifContext;
    stmt_else(): Stmt_elseContext;
    stmt_case(): Stmt_caseContext;
    stmt_loop_while_for(): Stmt_loop_while_forContext;
    for_control(): For_controlContext;
    stmt_foreach_a(): Stmt_foreach_aContext;
    stmt_exit(): Stmt_exitContext;
    stmt_return(): Stmt_returnContext;
    stmt_raise(): Stmt_raiseContext;
    opt_raise_using_elem(): Opt_raise_using_elemContext;
    stmt_assert(): Stmt_assertContext;
    loop_body(): Loop_bodyContext;
    stmt_execsql(): Stmt_execsqlContext;
    stmt_dynexecute(): Stmt_dynexecuteContext;
    opt_execute_into(): Opt_execute_intoContext;
    stmt_open(): Stmt_openContext;
    opt_open_bound_list_item(): Opt_open_bound_list_itemContext;
    stmt_fetch(): Stmt_fetchContext;
    opt_fetch_direction(): Opt_fetch_directionContext;
    stmt_move(): Stmt_moveContext;
    mergestmt(): MergestmtContext;
    data_source(): Data_sourceContext;
    merge_when_clause(): Merge_when_clauseContext;
    merge_insert(): Merge_insertContext;
    merge_update(): Merge_updateContext;
    default_values_or_values(): Default_values_or_valuesContext;
    exprofdefault(): ExprofdefaultContext;
    stmt_close(): Stmt_closeContext;
    stmt_null(): Stmt_nullContext;
    stmt_commit_or_rollback(): Stmt_commit_or_rollbackContext;
    stmt_set(): Stmt_setContext;
    cursor_variable(): Cursor_variableContext;
    exception_sect(): Exception_sectContext;
    proc_condition(): Proc_conditionContext;
    any_identifier(): Any_identifierContext;
    sql_expression(): Sql_expressionContext;
    sempred(localContext: antlr.RuleContext | null, ruleIndex: number, predIndex: number): boolean;
    private booleanExpression_sempred;
    private valueExpression_sempred;
    private primaryExpression_sempred;
    private column_name_sempred;
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): antlr.ATN;
    private static readonly vocabulary;
    get vocabulary(): antlr.Vocabulary;
    private static readonly decisionsToDFA;
}
export declare class ProgramContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    EOF(): antlr.TerminalNode;
    singleStmt(): SingleStmtContext[];
    singleStmt(i: number): SingleStmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SingleStmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    stmt(): StmtContext;
    SEMI(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class StmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    altereventtrigstmt(): AltereventtrigstmtContext | null;
    altercollationstmt(): AltercollationstmtContext | null;
    alterdatabasestmt(): AlterdatabasestmtContext | null;
    alterdatabasesetstmt(): AlterdatabasesetstmtContext | null;
    alterdefaultprivilegesstmt(): AlterdefaultprivilegesstmtContext | null;
    alterdomainstmt(): AlterdomainstmtContext | null;
    alterenumstmt(): AlterenumstmtContext | null;
    alterextensionstmt(): AlterextensionstmtContext | null;
    alterextensioncontentsstmt(): AlterextensioncontentsstmtContext | null;
    alterfdwstmt(): AlterfdwstmtContext | null;
    alterforeignserverstmt(): AlterforeignserverstmtContext | null;
    alterfunctionstmt(): AlterfunctionstmtContext | null;
    altergroupstmt(): AltergroupstmtContext | null;
    alterobjectdependsstmt(): AlterobjectdependsstmtContext | null;
    alterobjectschemastmt(): AlterobjectschemastmtContext | null;
    alterownerstmt(): AlterownerstmtContext | null;
    alteroperatorstmt(): AlteroperatorstmtContext | null;
    altertypestmt(): AltertypestmtContext | null;
    alterpolicystmt(): AlterpolicystmtContext | null;
    alterprocedurestmt(): AlterprocedurestmtContext | null;
    alterseqstmt(): AlterseqstmtContext | null;
    altersystemstmt(): AltersystemstmtContext | null;
    altertablestmt(): AltertablestmtContext | null;
    altertblspcstmt(): AltertblspcstmtContext | null;
    altercompositetypestmt(): AltercompositetypestmtContext | null;
    alterpublicationstmt(): AlterpublicationstmtContext | null;
    alterrolesetstmt(): AlterrolesetstmtContext | null;
    alterroutinestmt(): AlterroutinestmtContext | null;
    alterrolestmt(): AlterrolestmtContext | null;
    altersubscriptionstmt(): AltersubscriptionstmtContext | null;
    alterstatsstmt(): AlterstatsstmtContext | null;
    altertsconfigurationstmt(): AltertsconfigurationstmtContext | null;
    altertsdictionarystmt(): AltertsdictionarystmtContext | null;
    alterusermappingstmt(): AlterusermappingstmtContext | null;
    analyzestmt(): AnalyzestmtContext | null;
    callstmt(): CallstmtContext | null;
    checkpointstmt(): CheckpointstmtContext | null;
    closeportalstmt(): CloseportalstmtContext | null;
    clusterstmt(): ClusterstmtContext | null;
    commentstmt(): CommentstmtContext | null;
    constraintssetstmt(): ConstraintssetstmtContext | null;
    copystmt(): CopystmtContext | null;
    createamstmt(): CreateamstmtContext | null;
    createasstmt(): CreateasstmtContext | null;
    createassertionstmt(): CreateassertionstmtContext | null;
    createcaststmt(): CreatecaststmtContext | null;
    createconversionstmt(): CreateconversionstmtContext | null;
    createdomainstmt(): CreatedomainstmtContext | null;
    createextensionstmt(): CreateextensionstmtContext | null;
    createfdwstmt(): CreatefdwstmtContext | null;
    createforeignserverstmt(): CreateforeignserverstmtContext | null;
    createforeigntablestmt(): CreateforeigntablestmtContext | null;
    createfunctionstmt(): CreatefunctionstmtContext | null;
    creategroupstmt(): CreategroupstmtContext | null;
    creatematviewstmt(): CreatematviewstmtContext | null;
    createopclassstmt(): CreateopclassstmtContext | null;
    createopfamilystmt(): CreateopfamilystmtContext | null;
    createpublicationstmt(): CreatepublicationstmtContext | null;
    alteropfamilystmt(): AlteropfamilystmtContext | null;
    createpolicystmt(): CreatepolicystmtContext | null;
    createplangstmt(): CreateplangstmtContext | null;
    createschemastmt(): CreateschemastmtContext | null;
    createseqstmt(): CreateseqstmtContext | null;
    createstmt(): CreatestmtContext | null;
    createsubscriptionstmt(): CreatesubscriptionstmtContext | null;
    createstatsstmt(): CreatestatsstmtContext | null;
    createtablespacestmt(): CreatetablespacestmtContext | null;
    createtransformstmt(): CreatetransformstmtContext | null;
    createtrigstmt(): CreatetrigstmtContext | null;
    createeventtrigstmt(): CreateeventtrigstmtContext | null;
    createrolestmt(): CreaterolestmtContext | null;
    createuserstmt(): CreateuserstmtContext | null;
    createusermappingstmt(): CreateusermappingstmtContext | null;
    createdbstmt(): CreatedbstmtContext | null;
    deallocatestmt(): DeallocatestmtContext | null;
    declarecursorstmt(): DeclarecursorstmtContext | null;
    definestmt(): DefinestmtContext | null;
    deletestmt(): DeletestmtContext | null;
    discardstmt(): DiscardstmtContext | null;
    dostmt(): DostmtContext | null;
    dropstmt(): DropstmtContext | null;
    executestmt(): ExecutestmtContext | null;
    explainstmt(): ExplainstmtContext | null;
    fetchstmt(): FetchstmtContext | null;
    grantstmt(): GrantstmtContext | null;
    grantrolestmt(): GrantrolestmtContext | null;
    mergestmt(): MergestmtContext | null;
    importforeignschemastmt(): ImportforeignschemastmtContext | null;
    indexstmt(): IndexstmtContext | null;
    insertstmt(): InsertstmtContext | null;
    listenstmt(): ListenstmtContext | null;
    refreshmatviewstmt(): RefreshmatviewstmtContext | null;
    loadstmt(): LoadstmtContext | null;
    lockstmt(): LockstmtContext | null;
    notifystmt(): NotifystmtContext | null;
    preparestmt(): PreparestmtContext | null;
    reassignownedstmt(): ReassignownedstmtContext | null;
    reindexstmt(): ReindexstmtContext | null;
    removeaggrstmt(): RemoveaggrstmtContext | null;
    removefuncstmt(): RemovefuncstmtContext | null;
    removeoperstmt(): RemoveoperstmtContext | null;
    renamestmt(): RenamestmtContext | null;
    revokestmt(): RevokestmtContext | null;
    revokerolestmt(): RevokerolestmtContext | null;
    rulestmt(): RulestmtContext | null;
    seclabelstmt(): SeclabelstmtContext | null;
    selectstmt(): SelectstmtContext | null;
    transactionstmt(): TransactionstmtContext | null;
    truncatestmt(): TruncatestmtContext | null;
    unlistenstmt(): UnlistenstmtContext | null;
    updatestmt(): UpdatestmtContext | null;
    vacuumstmt(): VacuumstmtContext | null;
    variableresetstmt(): VariableresetstmtContext | null;
    variablesetstmt(): VariablesetstmtContext | null;
    variableshowstmt(): VariableshowstmtContext | null;
    viewstmt(): ViewstmtContext | null;
    MetaCommand(): antlr.TerminalNode | null;
    EndMetaCommand(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CallstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CALL(): antlr.TerminalNode;
    func_application(): Func_applicationContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreaterolestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_ROLE(): antlr.TerminalNode;
    rolespec(): RolespecContext;
    KW_WITH(): antlr.TerminalNode | null;
    createoptroleelem(): CreateoptroleelemContext[];
    createoptroleelem(i: number): CreateoptroleelemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlteroptroleelemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_PASSWORD(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    KW_NULL(): antlr.TerminalNode | null;
    KW_ENCRYPTED(): antlr.TerminalNode | null;
    KW_UNENCRYPTED(): antlr.TerminalNode | null;
    KW_INHERIT(): antlr.TerminalNode | null;
    KW_NOINHERIT(): antlr.TerminalNode | null;
    KW_CREATEUSER(): antlr.TerminalNode | null;
    KW_NOCREATEUSER(): antlr.TerminalNode | null;
    KW_CREATEROLE(): antlr.TerminalNode | null;
    KW_NOCREATEROLE(): antlr.TerminalNode | null;
    KW_CREATEDB(): antlr.TerminalNode | null;
    KW_NOCREATEDB(): antlr.TerminalNode | null;
    KW_SUPERUSER(): antlr.TerminalNode | null;
    KW_NOSUPERUSER(): antlr.TerminalNode | null;
    KW_LOGIN(): antlr.TerminalNode | null;
    KW_NOLOGIN(): antlr.TerminalNode | null;
    KW_REPLICATION(): antlr.TerminalNode | null;
    KW_NOREPLICATION(): antlr.TerminalNode | null;
    KW_BYPASSRLS(): antlr.TerminalNode | null;
    KW_NOBYPASSRLS(): antlr.TerminalNode | null;
    KW_CONNECTION(): antlr.TerminalNode | null;
    KW_LIMIT(): antlr.TerminalNode | null;
    signediconst(): SignediconstContext | null;
    KW_VALID(): antlr.TerminalNode | null;
    KW_UNTIL(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    name_list(): Name_listContext | null;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode | null;
    role_list(): Role_listContext | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_ADMIN(): antlr.TerminalNode | null;
    identifier(): IdentifierContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateoptroleelemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    alteroptroleelem(): AlteroptroleelemContext | null;
    KW_SYSID(): antlr.TerminalNode | null;
    Integral(): antlr.TerminalNode | null;
    role_list(): Role_listContext | null;
    KW_ADMIN(): antlr.TerminalNode | null;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateuserstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_USER(): antlr.TerminalNode;
    rolespec(): RolespecContext;
    KW_WITH(): antlr.TerminalNode | null;
    createoptroleelem(): CreateoptroleelemContext[];
    createoptroleelem(i: number): CreateoptroleelemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterrolestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    rolespec(): RolespecContext;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    alteroptroleelem(): AlteroptroleelemContext[];
    alteroptroleelem(i: number): AlteroptroleelemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterrolesetstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_IN(): antlr.TerminalNode;
    KW_DATABASE(): antlr.TerminalNode;
    database_name(): Database_nameContext;
    setresetclause(): SetresetclauseContext;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterroutinestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_ROUTINE(): antlr.TerminalNode;
    routine_name(): Routine_nameContext;
    alter_routine_cluase(): Alter_routine_cluaseContext;
    func_args(): Func_argsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alter_routine_cluaseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    routine_action(): Routine_actionContext[];
    routine_action(i: number): Routine_actionContext | null;
    KW_RESTRICT(): antlr.TerminalNode | null;
    KW_RENAME(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    routine_name_create(): Routine_name_createContext | null;
    KW_OWNER(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name_create(): Schema_name_createContext | null;
    KW_DEPENDS(): antlr.TerminalNode | null;
    KW_ON(): antlr.TerminalNode | null;
    KW_EXTENSION(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_NO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Routine_actionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_IMMUTABLE(): antlr.TerminalNode | null;
    KW_STABLE(): antlr.TerminalNode | null;
    KW_VOLATILE(): antlr.TerminalNode | null;
    KW_LEAKPROOF(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_SECURITY(): antlr.TerminalNode | null;
    KW_INVOKER(): antlr.TerminalNode | null;
    KW_DEFINER(): antlr.TerminalNode | null;
    KW_EXTERNAL(): antlr.TerminalNode | null;
    KW_PARALLEL(): antlr.TerminalNode | null;
    KW_UNSAFE(): antlr.TerminalNode | null;
    KW_RESTRICTED(): antlr.TerminalNode | null;
    KW_SAFE(): antlr.TerminalNode | null;
    KW_COST(): antlr.TerminalNode | null;
    collabel(): CollabelContext | null;
    KW_ROWS(): antlr.TerminalNode | null;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    EQUAL(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    KW_RESET(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreategroupstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_GROUP(): antlr.TerminalNode;
    rolespec(): RolespecContext;
    KW_WITH(): antlr.TerminalNode | null;
    createoptroleelem(): CreateoptroleelemContext[];
    createoptroleelem(i: number): CreateoptroleelemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltergroupstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_GROUP(): antlr.TerminalNode;
    rolespec(): RolespecContext;
    KW_USER(): antlr.TerminalNode;
    role_list(): Role_listContext;
    KW_ADD(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateschemastmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_SCHEMA(): antlr.TerminalNode;
    KW_AUTHORIZATION(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    schema_name_create(): Schema_name_createContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    schema_stmt(): Schema_stmtContext[];
    schema_stmt(i: number): Schema_stmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Schema_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Schema_name_createContext): void;
}
export declare class SchemaNameCreateContext extends Schema_name_createContext {
    constructor(ctx: Schema_name_createContext);
    any_name(): Any_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Schema_stmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    createstmt(): CreatestmtContext | null;
    indexstmt(): IndexstmtContext | null;
    createseqstmt(): CreateseqstmtContext | null;
    createtrigstmt(): CreatetrigstmtContext | null;
    grantstmt(): GrantstmtContext | null;
    viewstmt(): ViewstmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class VariablesetstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SET(): antlr.TerminalNode;
    set_rest(): Set_restContext;
    KW_LOCAL(): antlr.TerminalNode | null;
    KW_SESSION(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Set_restContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TRANSACTION(): antlr.TerminalNode | null;
    transaction_mode_list(): Transaction_mode_listContext | null;
    KW_SESSION(): antlr.TerminalNode | null;
    KW_CHARACTERISTICS(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    set_rest_more(): Set_rest_moreContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Generic_setContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALL(): antlr.TerminalNode | null;
    var_name(): Var_nameContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    var_list(): Var_listContext | null;
    KW_TO(): antlr.TerminalNode | null;
    EQUAL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Set_rest_moreContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TIME(): antlr.TerminalNode | null;
    KW_ZONE(): antlr.TerminalNode | null;
    zone_value(): Zone_valueContext | null;
    KW_CATALOG(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext | null;
    KW_NAMES(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    KW_ROLE(): antlr.TerminalNode | null;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext | null;
    KW_SESSION(): antlr.TerminalNode | null;
    KW_AUTHORIZATION(): antlr.TerminalNode | null;
    KW_XML(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    document_or_content(): Document_or_contentContext | null;
    KW_TRANSACTION(): antlr.TerminalNode | null;
    KW_SNAPSHOT(): antlr.TerminalNode | null;
    var_name(): Var_nameContext | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    generic_set(): Generic_setContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Var_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    DOT(): antlr.TerminalNode[];
    DOT(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Var_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    var_value(): Var_valueContext[];
    var_value(i: number): Var_valueContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Var_valueContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    opt_boolean_or_string(): Opt_boolean_or_stringContext | null;
    numericonly(): NumericonlyContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Iso_levelContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_READ(): antlr.TerminalNode | null;
    KW_UNCOMMITTED(): antlr.TerminalNode | null;
    KW_COMMITTED(): antlr.TerminalNode | null;
    KW_REPEATABLE(): antlr.TerminalNode | null;
    KW_SERIALIZABLE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_boolean_or_string_columnContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TRUE(): antlr.TerminalNode | null;
    KW_FALSE(): antlr.TerminalNode | null;
    KW_ON(): antlr.TerminalNode | null;
    column_name(): Column_nameContext | null;
    type_func_name_keyword(): Type_func_name_keywordContext | null;
    sconst(): SconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_boolean_or_stringContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TRUE(): antlr.TerminalNode | null;
    KW_FALSE(): antlr.TerminalNode | null;
    KW_ON(): antlr.TerminalNode | null;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Zone_valueContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    sconst(): SconstContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    identifier(): IdentifierContext | null;
    KW_INTERVAL(): antlr.TerminalNode | null;
    opt_interval(): Opt_intervalContext | null;
    opt_float(): Opt_floatContext | null;
    numericonly(): NumericonlyContext | null;
    KW_LOCAL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Nonreservedword_or_sconstContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    nonreservedword(): NonreservedwordContext | null;
    sconst(): SconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class VariableresetstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_RESET(): antlr.TerminalNode;
    reset_rest(): Reset_restContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Reset_restContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TIME(): antlr.TerminalNode | null;
    KW_ZONE(): antlr.TerminalNode | null;
    KW_TRANSACTION(): antlr.TerminalNode | null;
    KW_ISOLATION(): antlr.TerminalNode | null;
    KW_LEVEL(): antlr.TerminalNode | null;
    KW_SESSION(): antlr.TerminalNode | null;
    KW_AUTHORIZATION(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    var_name(): Var_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SetresetclauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SET(): antlr.TerminalNode | null;
    set_rest(): Set_restContext | null;
    variableresetstmt(): VariableresetstmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class FunctionsetresetclauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SET(): antlr.TerminalNode | null;
    set_rest_more(): Set_rest_moreContext | null;
    variableresetstmt(): VariableresetstmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class VariableshowstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SHOW(): antlr.TerminalNode;
    var_name(): Var_nameContext | null;
    KW_TIME(): antlr.TerminalNode | null;
    KW_ZONE(): antlr.TerminalNode | null;
    KW_TRANSACTION(): antlr.TerminalNode | null;
    KW_ISOLATION(): antlr.TerminalNode | null;
    KW_LEVEL(): antlr.TerminalNode | null;
    KW_SESSION(): antlr.TerminalNode | null;
    KW_AUTHORIZATION(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ConstraintssetstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SET(): antlr.TerminalNode;
    KW_CONSTRAINTS(): antlr.TerminalNode;
    KW_DEFERRED(): antlr.TerminalNode | null;
    KW_IMMEDIATE(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    qualified_name_list(): Qualified_name_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CheckpointstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CHECKPOINT(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DiscardstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DISCARD(): antlr.TerminalNode;
    KW_ALL(): antlr.TerminalNode | null;
    KW_TEMP(): antlr.TerminalNode | null;
    KW_TEMPORARY(): antlr.TerminalNode | null;
    KW_PLANS(): antlr.TerminalNode | null;
    KW_SEQUENCES(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltertablestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_TABLE(): antlr.TerminalNode | null;
    relation_expr(): Relation_exprContext | null;
    alter_table_cmds(): Alter_table_cmdsContext | null;
    partition_cmd(): Partition_cmdContext | null;
    opt_if_exists(): Opt_if_existsContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    opttablespace(): OpttablespaceContext[];
    opttablespace(i: number): OpttablespaceContext | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_TABLESPACE(): antlr.TerminalNode | null;
    tablespace_name_create(): Tablespace_name_createContext | null;
    KW_OWNED(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    role_list(): Role_listContext | null;
    KW_NOWAIT(): antlr.TerminalNode | null;
    table_name(): Table_nameContext | null;
    index_partition_cmd(): Index_partition_cmdContext | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_VALUES(): antlr.TerminalNode | null;
    partition_bound_spec(): Partition_bound_specContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    KW_DETACH(): antlr.TerminalNode | null;
    KW_PARTITION(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    KW_CONCURRENTLY(): antlr.TerminalNode | null;
    KW_FINALIZE(): antlr.TerminalNode | null;
    KW_INDEX(): antlr.TerminalNode | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    KW_VIEW(): antlr.TerminalNode | null;
    view_name(): View_nameContext | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alter_table_cmdsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    alter_table_cmd(): Alter_table_cmdContext[];
    alter_table_cmd(i: number): Alter_table_cmdContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Partition_bound_specContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_IN(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    KW_FROM(): antlr.TerminalNode | null;
    partition_bound_cluase(): Partition_bound_cluaseContext[];
    partition_bound_cluase(i: number): Partition_bound_cluaseContext | null;
    KW_TO(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    partition_with_cluase(): Partition_with_cluaseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Partition_bound_cluaseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    partition_bound_choose(): Partition_bound_chooseContext[];
    partition_bound_choose(i: number): Partition_bound_chooseContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Partition_bound_chooseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    execute_param_clause(): Execute_param_clauseContext | null;
    KW_MINVALUE(): antlr.TerminalNode | null;
    KW_MAXVALUE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Partition_with_cluaseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    KW_MODULUS(): antlr.TerminalNode;
    numericonly(): NumericonlyContext[];
    numericonly(i: number): NumericonlyContext | null;
    COMMA(): antlr.TerminalNode;
    KW_REMAINDER(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Partition_cmdContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    index_partition_cmd(): Index_partition_cmdContext | null;
    partitionboundspec(): PartitionboundspecContext | null;
    KW_DETACH(): antlr.TerminalNode | null;
    KW_PARTITION(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Index_partition_cmdContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ATTACH(): antlr.TerminalNode;
    KW_PARTITION(): antlr.TerminalNode;
    qualified_name(): Qualified_nameContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alter_table_cmdContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ADD(): antlr.TerminalNode | null;
    constraintelem(): ConstraintelemContext | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_ALTER(): antlr.TerminalNode | null;
    constraintattributeElem(): ConstraintattributeElemContext[];
    constraintattributeElem(i: number): ConstraintattributeElemContext | null;
    KW_VALIDATE(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    opt_if_exists(): Opt_if_existsContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    KW_SET(): antlr.TerminalNode[];
    KW_SET(i: number): antlr.TerminalNode | null;
    KW_WITHOUT(): antlr.TerminalNode | null;
    KW_OIDS(): antlr.TerminalNode | null;
    KW_CLUSTER(): antlr.TerminalNode | null;
    KW_ON(): antlr.TerminalNode | null;
    KW_LOGGED(): antlr.TerminalNode | null;
    KW_UNLOGGED(): antlr.TerminalNode | null;
    KW_ENABLE(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    KW_REPLICA(): antlr.TerminalNode | null;
    KW_ALWAYS(): antlr.TerminalNode | null;
    KW_DISABLE(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_RULE(): antlr.TerminalNode | null;
    KW_INHERIT(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    KW_NO(): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_OWNER(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    KW_TABLESPACE(): antlr.TerminalNode | null;
    tablespace_name_create(): Tablespace_name_createContext | null;
    KW_IDENTITY(): antlr.TerminalNode | null;
    KW_NOTHING(): antlr.TerminalNode | null;
    KW_FULL(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    existingindex(): ExistingindexContext | null;
    KW_ROW(): antlr.TerminalNode | null;
    KW_LEVEL(): antlr.TerminalNode | null;
    KW_SECURITY(): antlr.TerminalNode | null;
    KW_FORCE(): antlr.TerminalNode | null;
    column_name(): Column_nameContext | null;
    KW_COLUMN(): antlr.TerminalNode | null;
    column_def(): Column_defContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    alter_column_default(): Alter_column_defaultContext | null;
    alter_generic_options(): Alter_generic_optionsContext | null;
    KW_NULL(): antlr.TerminalNode | null;
    KW_EXPRESSION(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    signediconst(): SignediconstContext | null;
    reloptions(): ReloptionsContext | null;
    KW_RESET(): antlr.TerminalNode | null;
    KW_STORAGE(): antlr.TerminalNode | null;
    KW_GENERATED(): antlr.TerminalNode[];
    KW_GENERATED(i: number): antlr.TerminalNode | null;
    generated_when(): Generated_whenContext[];
    generated_when(i: number): Generated_whenContext | null;
    KW_AS(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    seqoptelem(): SeqoptelemContext[];
    seqoptelem(i: number): SeqoptelemContext | null;
    KW_RESTART(): antlr.TerminalNode[];
    KW_RESTART(i: number): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext[];
    numericonly(i: number): NumericonlyContext | null;
    KW_WITH(): antlr.TerminalNode[];
    KW_WITH(i: number): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    typename(): TypenameContext | null;
    KW_DATA(): antlr.TerminalNode | null;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    KW_USING(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alter_column_defaultContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SET(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode;
    expression(): ExpressionContext | null;
    KW_DROP(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_drop_behaviorContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CASCADE(): antlr.TerminalNode | null;
    KW_RESTRICT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_collate_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_COLLATE(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ReloptionsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    reloption_elem(): Reloption_elemContext[];
    reloption_elem(i: number): Reloption_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_reloptionsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WITH(): antlr.TerminalNode;
    reloptions(): ReloptionsContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Reloption_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    collabel(): CollabelContext;
    EQUAL(): antlr.TerminalNode | null;
    def_arg(): Def_argContext | null;
    DOT(): antlr.TerminalNode | null;
    def_elem(): Def_elemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PartitionboundspecContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FOR(): antlr.TerminalNode | null;
    KW_VALUES(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    nonreservedword(): NonreservedwordContext[];
    nonreservedword(i: number): NonreservedwordContext | null;
    Integral(): antlr.TerminalNode[];
    Integral(i: number): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext[];
    execute_param_clause(i: number): Execute_param_clauseContext | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltercompositetypestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_TYPE(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    alter_type_cmd(): Alter_type_cmdContext[];
    alter_type_cmd(i: number): Alter_type_cmdContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alter_type_cmdContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ADD(): antlr.TerminalNode | null;
    KW_ATTRIBUTE(): antlr.TerminalNode;
    tablefuncelement(): TablefuncelementContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    KW_DROP(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    opt_if_exists(): Opt_if_existsContext | null;
    KW_ALTER(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    typename(): TypenameContext | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_DATA(): antlr.TerminalNode | null;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CloseportalstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CLOSE(): antlr.TerminalNode;
    colid(): ColidContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CopystmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_COPY(): antlr.TerminalNode;
    table_name(): Table_nameContext | null;
    copy_options(): Copy_optionsContext;
    KW_FROM(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    sconst(): SconstContext[];
    sconst(i: number): SconstContext | null;
    KW_STDIN(): antlr.TerminalNode | null;
    KW_STDOUT(): antlr.TerminalNode | null;
    KW_BINARY(): antlr.TerminalNode | null;
    opt_column_list(): Opt_column_listContext | null;
    KW_PROGRAM(): antlr.TerminalNode | null;
    KW_DELIMITERS(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    where_clause(): Where_clauseContext | null;
    KW_USING(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    preparablestmt(): PreparablestmtContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Copy_optionsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_BINARY(): antlr.TerminalNode[];
    KW_BINARY(i: number): antlr.TerminalNode | null;
    KW_FREEZE(): antlr.TerminalNode[];
    KW_FREEZE(i: number): antlr.TerminalNode | null;
    sconst(): SconstContext[];
    sconst(i: number): SconstContext | null;
    KW_CSV(): antlr.TerminalNode[];
    KW_CSV(i: number): antlr.TerminalNode | null;
    KW_HEADER(): antlr.TerminalNode[];
    KW_HEADER(i: number): antlr.TerminalNode | null;
    KW_FORCE(): antlr.TerminalNode[];
    KW_FORCE(i: number): antlr.TerminalNode | null;
    KW_QUOTE(): antlr.TerminalNode[];
    KW_QUOTE(i: number): antlr.TerminalNode | null;
    KW_NULL(): antlr.TerminalNode[];
    KW_NULL(i: number): antlr.TerminalNode | null;
    column_list(): Column_listContext[];
    column_list(i: number): Column_listContext | null;
    KW_ENCODING(): antlr.TerminalNode[];
    KW_ENCODING(i: number): antlr.TerminalNode | null;
    KW_DELIMITER(): antlr.TerminalNode[];
    KW_DELIMITER(i: number): antlr.TerminalNode | null;
    KW_ESCAPE(): antlr.TerminalNode[];
    KW_ESCAPE(i: number): antlr.TerminalNode | null;
    STAR(): antlr.TerminalNode[];
    STAR(i: number): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode[];
    KW_AS(i: number): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode[];
    KW_NOT(i: number): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    copy_generic_opt_elem(): Copy_generic_opt_elemContext[];
    copy_generic_opt_elem(i: number): Copy_generic_opt_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Copy_generic_opt_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    collabel(): CollabelContext;
    opt_boolean_or_string(): Opt_boolean_or_stringContext | null;
    numericonly(): NumericonlyContext | null;
    STAR(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    opt_boolean_or_string_column(): Opt_boolean_or_string_columnContext[];
    opt_boolean_or_string_column(i: number): Opt_boolean_or_string_columnContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreatestmtContext): void;
}
export declare class ColumnCreateTableContext extends CreatestmtContext {
    constructor(ctx: CreatestmtContext);
    KW_CREATE(): antlr.TerminalNode;
    KW_TABLE(): antlr.TerminalNode;
    table_name_create(): Table_name_createContext;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_PARTITION(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    partitionboundspec(): PartitionboundspecContext | null;
    opttemp(): OpttempContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    tableelementlist(): TableelementlistContext | null;
    optinherit(): OptinheritContext | null;
    partitionspec(): PartitionspecContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    optwith(): OptwithContext | null;
    oncommitoption(): OncommitoptionContext | null;
    opttablespace(): OpttablespaceContext | null;
    opttypedtableelementlist(): OpttypedtableelementlistContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OpttempContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TEMPORARY(): antlr.TerminalNode | null;
    KW_TEMP(): antlr.TerminalNode | null;
    KW_LOCAL(): antlr.TerminalNode | null;
    KW_GLOBAL(): antlr.TerminalNode | null;
    KW_UNLOGGED(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OpttypedtableelementlistContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    typedtableelement(): TypedtableelementContext[];
    typedtableelement(i: number): TypedtableelementContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TableelementlistContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    tableelement(): TableelementContext[];
    tableelement(i: number): TableelementContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TableelementContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    constraintelem(): ConstraintelemContext | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    column_def(): Column_defContext | null;
    KW_LIKE(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    tablelikeoption(): TablelikeoptionContext[];
    tablelikeoption(i: number): TablelikeoptionContext | null;
    KW_INCLUDING(): antlr.TerminalNode[];
    KW_INCLUDING(i: number): antlr.TerminalNode | null;
    KW_EXCLUDING(): antlr.TerminalNode[];
    KW_EXCLUDING(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TypedtableelementContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name_create(): Column_name_createContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_OPTIONS(): antlr.TerminalNode | null;
    colconstraint(): ColconstraintContext[];
    colconstraint(i: number): ColconstraintContext | null;
    constraintelem(): ConstraintelemContext | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Column_defContext extends antlr.ParserRuleContext {
    _colType?: TypenameContext;
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name_create(): Column_name_createContext;
    typename(): TypenameContext;
    create_generic_options(): Create_generic_optionsContext | null;
    KW_STORAGE(): antlr.TerminalNode | null;
    KW_COMPRESSION(): antlr.TerminalNode | null;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_OPTIONS(): antlr.TerminalNode | null;
    colconstraint(): ColconstraintContext[];
    colconstraint(i: number): ColconstraintContext | null;
    KW_PLAIN(): antlr.TerminalNode | null;
    KW_EXTERNAL(): antlr.TerminalNode | null;
    KW_EXTENDED(): antlr.TerminalNode | null;
    KW_MAIN(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ColconstraintContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colconstraintelem(): ColconstraintelemContext;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_DEFERRABLE(): antlr.TerminalNode | null;
    KW_INITIALLY(): antlr.TerminalNode | null;
    KW_DEFERRED(): antlr.TerminalNode | null;
    KW_IMMEDIATE(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ColconstraintelemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_NULL(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_UNIQUE(): antlr.TerminalNode | null;
    opt_definition(): Opt_definitionContext | null;
    optconstablespace(): OptconstablespaceContext | null;
    KW_NULLS(): antlr.TerminalNode | null;
    KW_DISTINCT(): antlr.TerminalNode | null;
    KW_INCLUDE(): antlr.TerminalNode | null;
    index_params(): Index_paramsContext | null;
    with_clause(): With_clauseContext | null;
    KW_PRIMARY(): antlr.TerminalNode | null;
    KW_KEY(): antlr.TerminalNode | null;
    KW_CHECK(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    KW_INHERIT(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    primaryExpression(): PrimaryExpressionContext | null;
    KW_GENERATED(): antlr.TerminalNode | null;
    generated_when(): Generated_whenContext | null;
    KW_AS(): antlr.TerminalNode | null;
    KW_IDENTITY(): antlr.TerminalNode | null;
    KW_STORED(): antlr.TerminalNode | null;
    seqoptelem(): SeqoptelemContext[];
    seqoptelem(i: number): SeqoptelemContext | null;
    KW_REFERENCES(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    opt_column_list(): Opt_column_listContext | null;
    key_match(): Key_matchContext | null;
    key_actions(): Key_actionsContext | null;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Generated_whenContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALWAYS(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TablelikeoptionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_COMMENTS(): antlr.TerminalNode | null;
    KW_CONSTRAINTS(): antlr.TerminalNode | null;
    KW_DEFAULTS(): antlr.TerminalNode | null;
    KW_IDENTITY(): antlr.TerminalNode | null;
    KW_GENERATED(): antlr.TerminalNode | null;
    KW_INDEXES(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    KW_STORAGE(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ConstraintelemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CHECK(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode[];
    OPEN_PAREN(i: number): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode[];
    CLOSE_PAREN(i: number): antlr.TerminalNode | null;
    constraintattributeElem(): ConstraintattributeElemContext[];
    constraintattributeElem(i: number): ConstraintattributeElemContext | null;
    KW_UNIQUE(): antlr.TerminalNode | null;
    opt_column_list(): Opt_column_listContext[];
    opt_column_list(i: number): Opt_column_listContext | null;
    existingindex(): ExistingindexContext | null;
    KW_PRIMARY(): antlr.TerminalNode | null;
    KW_KEY(): antlr.TerminalNode | null;
    opt_c_include(): Opt_c_includeContext | null;
    opt_definition(): Opt_definitionContext | null;
    optconstablespace(): OptconstablespaceContext | null;
    KW_EXCLUDE(): antlr.TerminalNode | null;
    exclusionconstraintelem(): ExclusionconstraintelemContext[];
    exclusionconstraintelem(i: number): ExclusionconstraintelemContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_WHERE(): antlr.TerminalNode | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_REFERENCES(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    key_match(): Key_matchContext | null;
    key_actions(): Key_actionsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_column_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    column_list(): Column_listContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_column_list_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    column_name_create(): Column_name_createContext[];
    column_name_create(i: number): Column_name_createContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Column_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name(): Column_nameContext[];
    column_name(i: number): Column_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_c_includeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_INCLUDE(): antlr.TerminalNode;
    opt_column_list(): Opt_column_listContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Key_matchContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_MATCH(): antlr.TerminalNode;
    KW_FULL(): antlr.TerminalNode | null;
    KW_PARTIAL(): antlr.TerminalNode | null;
    KW_SIMPLE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ExclusionconstraintelemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    index_elem(): Index_elemContext;
    KW_WITH(): antlr.TerminalNode;
    any_operator(): Any_operatorContext | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Key_actionsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    key_update(): Key_updateContext | null;
    key_delete(): Key_deleteContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Key_updateContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ON(): antlr.TerminalNode;
    KW_UPDATE(): antlr.TerminalNode;
    key_action(): Key_actionContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Key_deleteContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ON(): antlr.TerminalNode;
    KW_DELETE(): antlr.TerminalNode;
    key_action(): Key_actionContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Key_actionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_NO(): antlr.TerminalNode | null;
    KW_ACTION(): antlr.TerminalNode | null;
    KW_RESTRICT(): antlr.TerminalNode | null;
    KW_CASCADE(): antlr.TerminalNode | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_NULL(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    column_list(): Column_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OptinheritContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_INHERITS(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    qualified_name_list(): Qualified_name_listContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PartitionspecContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_PARTITION(): antlr.TerminalNode;
    KW_BY(): antlr.TerminalNode;
    colid(): ColidContext;
    OPEN_PAREN(): antlr.TerminalNode;
    part_elem(): Part_elemContext[];
    part_elem(i: number): Part_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Part_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name(): Column_nameContext | null;
    func_expr_windowless(): Func_expr_windowlessContext | null;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    any_name(): Any_nameContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Table_access_method_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_USING(): antlr.TerminalNode;
    colid(): ColidContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OptwithContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WITH(): antlr.TerminalNode | null;
    reloptions(): ReloptionsContext | null;
    KW_OIDS(): antlr.TerminalNode | null;
    KW_WITHOUT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OncommitoptionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ON(): antlr.TerminalNode;
    KW_COMMIT(): antlr.TerminalNode;
    KW_DROP(): antlr.TerminalNode | null;
    KW_DELETE(): antlr.TerminalNode | null;
    KW_ROWS(): antlr.TerminalNode | null;
    KW_PRESERVE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OpttablespaceContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TABLESPACE(): antlr.TerminalNode;
    tablespace_name(): Tablespace_nameContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OptconstablespaceContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_USING(): antlr.TerminalNode;
    KW_INDEX(): antlr.TerminalNode;
    opttablespace(): OpttablespaceContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ExistingindexContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_USING(): antlr.TerminalNode;
    KW_INDEX(): antlr.TerminalNode;
    colid(): ColidContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatestatsstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_STATISTICS(): antlr.TerminalNode;
    KW_ON(): antlr.TerminalNode;
    from_clause(): From_clauseContext;
    column_expr(): Column_exprContext[];
    column_expr(i: number): Column_exprContext | null;
    expr_list(): Expr_listContext | null;
    any_name(): Any_nameContext | null;
    opt_column_list(): Opt_column_listContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterstatsstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_STATISTICS(): antlr.TerminalNode[];
    KW_STATISTICS(i: number): antlr.TerminalNode | null;
    any_name(): Any_nameContext;
    KW_SET(): antlr.TerminalNode;
    signediconst(): SignediconstContext;
    opt_if_exists(): Opt_if_existsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateasstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreateasstmtContext): void;
}
export declare class QueryCreateTableContext extends CreateasstmtContext {
    constructor(ctx: CreateasstmtContext);
    KW_CREATE(): antlr.TerminalNode;
    KW_TABLE(): antlr.TerminalNode;
    create_as_target(): Create_as_targetContext;
    KW_AS(): antlr.TerminalNode;
    selectstmt(): SelectstmtContext;
    opttemp(): OpttempContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    opt_with_data(): Opt_with_dataContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Create_as_targetContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    table_name_create(): Table_name_createContext;
    opt_column_list_create(): Opt_column_list_createContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    optwith(): OptwithContext | null;
    oncommitoption(): OncommitoptionContext | null;
    opttablespace(): OpttablespaceContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_with_dataContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WITH(): antlr.TerminalNode;
    KW_DATA(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatematviewstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreatematviewstmtContext): void;
}
export declare class CreateMaterializedViewContext extends CreatematviewstmtContext {
    constructor(ctx: CreatematviewstmtContext);
    KW_CREATE(): antlr.TerminalNode;
    KW_MATERIALIZED(): antlr.TerminalNode;
    KW_VIEW(): antlr.TerminalNode;
    view_name_create(): View_name_createContext;
    KW_AS(): antlr.TerminalNode;
    selectstmt(): SelectstmtContext;
    KW_UNLOGGED(): antlr.TerminalNode | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    opt_column_list_create(): Opt_column_list_createContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    opt_reloptions(): Opt_reloptionsContext | null;
    opttablespace(): OpttablespaceContext | null;
    opt_with_data(): Opt_with_dataContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RefreshmatviewstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_REFRESH(): antlr.TerminalNode;
    KW_MATERIALIZED(): antlr.TerminalNode;
    KW_VIEW(): antlr.TerminalNode;
    view_name(): View_nameContext;
    KW_CONCURRENTLY(): antlr.TerminalNode | null;
    opt_with_data(): Opt_with_dataContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateseqstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_SEQUENCE(): antlr.TerminalNode;
    qualified_name(): Qualified_nameContext;
    opttemp(): OpttempContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    seqoptelem(): SeqoptelemContext[];
    seqoptelem(i: number): SeqoptelemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterseqstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_SEQUENCE(): antlr.TerminalNode;
    qualified_name(): Qualified_nameContext;
    opt_if_exists(): Opt_if_existsContext | null;
    seqoptelem(): SeqoptelemContext[];
    seqoptelem(i: number): SeqoptelemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SeqoptelemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_AS(): antlr.TerminalNode | null;
    simpletypename(): SimpletypenameContext | null;
    KW_CACHE(): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext | null;
    KW_INCREMENT(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    KW_MAXVALUE(): antlr.TerminalNode | null;
    KW_MINVALUE(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    KW_CYCLE(): antlr.TerminalNode | null;
    KW_OWNED(): antlr.TerminalNode | null;
    column_name(): Column_nameContext | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    KW_NAME(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_START(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_RESTART(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class NumericonlyContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    Numeric(): antlr.TerminalNode | null;
    PLUS(): antlr.TerminalNode | null;
    MINUS(): antlr.TerminalNode | null;
    signediconst(): SignediconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateplangstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_LANGUAGE(): antlr.TerminalNode;
    colid(): ColidContext;
    opt_or_replace(): Opt_or_replaceContext | null;
    KW_TRUSTED(): antlr.TerminalNode | null;
    KW_PROCEDURAL(): antlr.TerminalNode | null;
    KW_HANDLER(): antlr.TerminalNode | null;
    any_name(): Any_nameContext[];
    any_name(i: number): Any_nameContext | null;
    KW_INLINE(): antlr.TerminalNode | null;
    KW_VALIDATOR(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatetablespacestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    opttablespace(): OpttablespaceContext;
    KW_LOCATION(): antlr.TerminalNode;
    sconst(): SconstContext;
    KW_OWNER(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    opt_reloptions(): Opt_reloptionsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateextensionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_EXTENSION(): antlr.TerminalNode;
    colid(): ColidContext;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode[];
    KW_SCHEMA(i: number): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext[];
    schema_name(i: number): Schema_nameContext | null;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext[];
    nonreservedword_or_sconst(i: number): Nonreservedword_or_sconstContext | null;
    KW_CASCADE(): antlr.TerminalNode[];
    KW_CASCADE(i: number): antlr.TerminalNode | null;
    KW_VERSION(): antlr.TerminalNode[];
    KW_VERSION(i: number): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode[];
    KW_FROM(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterextensionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_EXTENSION(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_UPDATE(): antlr.TerminalNode;
    KW_TO(): antlr.TerminalNode[];
    KW_TO(i: number): antlr.TerminalNode | null;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext[];
    nonreservedword_or_sconst(i: number): Nonreservedword_or_sconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterextensioncontentsstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_EXTENSION(): antlr.TerminalNode;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_ADD(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    KW_TRANSFORM(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    typename(): TypenameContext[];
    typename(i: number): TypenameContext | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    operator_with_argtypes(): Operator_with_argtypesContext | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_CAST(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext | null;
    object_type_name(): Object_type_nameContext | null;
    object_type_any_name(): Object_type_any_nameContext | null;
    KW_CLASS(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatefdwstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_FOREIGN(): antlr.TerminalNode;
    KW_DATA(): antlr.TerminalNode;
    KW_WRAPPER(): antlr.TerminalNode;
    colid(): ColidContext;
    create_generic_options(): Create_generic_optionsContext | null;
    fdw_option(): Fdw_optionContext[];
    fdw_option(i: number): Fdw_optionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Fdw_optionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_HANDLER(): antlr.TerminalNode | null;
    KW_VALIDATOR(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_NO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterfdwstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_FOREIGN(): antlr.TerminalNode;
    KW_DATA(): antlr.TerminalNode;
    KW_WRAPPER(): antlr.TerminalNode;
    colid(): ColidContext;
    alter_generic_options(): Alter_generic_optionsContext | null;
    fdw_option(): Fdw_optionContext[];
    fdw_option(i: number): Fdw_optionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Create_generic_optionsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_OPTIONS(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    generic_option_elem(): Generic_option_elemContext[];
    generic_option_elem(i: number): Generic_option_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alter_generic_optionsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_OPTIONS(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    alter_generic_option_elem(): Alter_generic_option_elemContext[];
    alter_generic_option_elem(i: number): Alter_generic_option_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alter_generic_option_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    generic_option_elem(): Generic_option_elemContext;
    KW_SET(): antlr.TerminalNode | null;
    KW_ADD(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Generic_option_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    collabel(): CollabelContext;
    sconst(): SconstContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateforeignserverstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_SERVER(): antlr.TerminalNode;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_FOREIGN(): antlr.TerminalNode;
    KW_DATA(): antlr.TerminalNode;
    KW_WRAPPER(): antlr.TerminalNode;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    KW_TYPE(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    foreign_server_version(): Foreign_server_versionContext | null;
    create_generic_options(): Create_generic_optionsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Foreign_server_versionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_VERSION(): antlr.TerminalNode;
    sconst(): SconstContext | null;
    KW_NULL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterforeignserverstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_SERVER(): antlr.TerminalNode;
    colid(): ColidContext;
    alter_generic_options(): Alter_generic_optionsContext | null;
    foreign_server_version(): Foreign_server_versionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateforeigntablestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreateforeigntablestmtContext): void;
}
export declare class CreateForeignTableContext extends CreateforeigntablestmtContext {
    constructor(ctx: CreateforeigntablestmtContext);
    KW_CREATE(): antlr.TerminalNode;
    KW_FOREIGN(): antlr.TerminalNode;
    KW_TABLE(): antlr.TerminalNode;
    table_name_create(): Table_name_createContext;
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    KW_SERVER(): antlr.TerminalNode;
    colid(): ColidContext;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    tableelementlist(): TableelementlistContext | null;
    optinherit(): OptinheritContext | null;
    create_generic_options(): Create_generic_optionsContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatePartitionForeignTableContext extends CreateforeigntablestmtContext {
    constructor(ctx: CreateforeigntablestmtContext);
    KW_CREATE(): antlr.TerminalNode;
    KW_FOREIGN(): antlr.TerminalNode;
    KW_TABLE(): antlr.TerminalNode;
    table_name_create(): Table_name_createContext;
    KW_PARTITION(): antlr.TerminalNode;
    KW_OF(): antlr.TerminalNode;
    table_name(): Table_nameContext;
    partitionboundspec(): PartitionboundspecContext;
    KW_SERVER(): antlr.TerminalNode;
    colid(): ColidContext;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    opttypedtableelementlist(): OpttypedtableelementlistContext | null;
    create_generic_options(): Create_generic_optionsContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ImportforeignschemastmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_IMPORT(): antlr.TerminalNode;
    KW_FOREIGN(): antlr.TerminalNode;
    KW_SCHEMA(): antlr.TerminalNode;
    schema_name(): Schema_nameContext;
    KW_FROM(): antlr.TerminalNode;
    KW_SERVER(): antlr.TerminalNode;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_INTO(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode | null;
    relation_expr_list(): Relation_expr_listContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    create_generic_options(): Create_generic_optionsContext | null;
    KW_LIMIT(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    KW_EXCEPT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateusermappingstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_USER(): antlr.TerminalNode[];
    KW_USER(i: number): antlr.TerminalNode | null;
    KW_MAPPING(): antlr.TerminalNode;
    KW_FOR(): antlr.TerminalNode;
    KW_SERVER(): antlr.TerminalNode;
    colid(): ColidContext;
    rolespec(): RolespecContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    create_generic_options(): Create_generic_optionsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterusermappingstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_USER(): antlr.TerminalNode[];
    KW_USER(i: number): antlr.TerminalNode | null;
    KW_MAPPING(): antlr.TerminalNode;
    KW_FOR(): antlr.TerminalNode;
    KW_SERVER(): antlr.TerminalNode;
    colid(): ColidContext;
    alter_generic_options(): Alter_generic_optionsContext;
    rolespec(): RolespecContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatepolicystmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_POLICY(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_ON(): antlr.TerminalNode;
    qualified_name(): Qualified_nameContext;
    KW_AS(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    role_list(): Role_listContext | null;
    rowsecurityoptionalexpr(): RowsecurityoptionalexprContext | null;
    rowsecurityoptionalwithcheck(): RowsecurityoptionalwithcheckContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_SELECT(): antlr.TerminalNode | null;
    KW_INSERT(): antlr.TerminalNode | null;
    KW_UPDATE(): antlr.TerminalNode | null;
    KW_DELETE(): antlr.TerminalNode | null;
    KW_PERMISSIVE(): antlr.TerminalNode | null;
    KW_RESTRICTIVE(): antlr.TerminalNode | null;
    identifier(): IdentifierContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterpolicystmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_POLICY(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_ON(): antlr.TerminalNode;
    qualified_name(): Qualified_nameContext;
    KW_TO(): antlr.TerminalNode | null;
    role_list(): Role_listContext | null;
    rowsecurityoptionalexpr(): RowsecurityoptionalexprContext | null;
    rowsecurityoptionalwithcheck(): RowsecurityoptionalwithcheckContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterprocedurestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_PROCEDURE(): antlr.TerminalNode;
    procedure_name(): Procedure_nameContext;
    procedure_action(): Procedure_actionContext[];
    procedure_action(i: number): Procedure_actionContext | null;
    KW_RENAME(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    procedure_name_create(): Procedure_name_createContext | null;
    KW_OWNER(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name_create(): Schema_name_createContext | null;
    KW_DEPENDS(): antlr.TerminalNode | null;
    KW_ON(): antlr.TerminalNode | null;
    KW_EXTENSION(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    func_args(): Func_argsContext | null;
    KW_RESTRICT(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Procedure_actionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SECURITY(): antlr.TerminalNode | null;
    KW_INVOKER(): antlr.TerminalNode | null;
    KW_DEFINER(): antlr.TerminalNode | null;
    KW_EXTERNAL(): antlr.TerminalNode | null;
    KW_SET(): antlr.TerminalNode | null;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_TO(): antlr.TerminalNode | null;
    STAR(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    KW_RESET(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RowsecurityoptionalexprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_USING(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    expression(): ExpressionContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RowsecurityoptionalwithcheckContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WITH(): antlr.TerminalNode;
    KW_CHECK(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    expression(): ExpressionContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateamstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_ACCESS(): antlr.TerminalNode;
    KW_METHOD(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_TYPE(): antlr.TerminalNode;
    KW_HANDLER(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    KW_INDEX(): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatetrigstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_TRIGGER(): antlr.TerminalNode;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    triggeractiontime(): TriggeractiontimeContext;
    triggerevents(): TriggereventsContext;
    KW_ON(): antlr.TerminalNode;
    table_name(): Table_nameContext;
    KW_EXECUTE(): antlr.TerminalNode;
    function_or_procedure(): Function_or_procedureContext;
    OPEN_PAREN(): antlr.TerminalNode;
    triggerfuncargs(): TriggerfuncargsContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    opt_or_replace(): Opt_or_replaceContext | null;
    KW_REFERENCING(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    triggerwhen(): TriggerwhenContext | null;
    KW_ROW(): antlr.TerminalNode[];
    KW_ROW(i: number): antlr.TerminalNode | null;
    KW_STATEMENT(): antlr.TerminalNode | null;
    KW_EACH(): antlr.TerminalNode | null;
    KW_NEW(): antlr.TerminalNode[];
    KW_NEW(i: number): antlr.TerminalNode | null;
    KW_OLD(): antlr.TerminalNode[];
    KW_OLD(i: number): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode[];
    KW_TABLE(i: number): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode[];
    KW_AS(i: number): antlr.TerminalNode | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    constraintattributeElem(): ConstraintattributeElemContext[];
    constraintattributeElem(i: number): ConstraintattributeElemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TriggeractiontimeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_BEFORE(): antlr.TerminalNode | null;
    KW_AFTER(): antlr.TerminalNode | null;
    KW_INSTEAD(): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TriggereventsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    triggeroneevent(): TriggeroneeventContext[];
    triggeroneevent(i: number): TriggeroneeventContext | null;
    KW_OR(): antlr.TerminalNode[];
    KW_OR(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TriggeroneeventContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_INSERT(): antlr.TerminalNode | null;
    KW_DELETE(): antlr.TerminalNode | null;
    KW_UPDATE(): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode | null;
    column_list(): Column_listContext | null;
    KW_TRUNCATE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TriggerwhenContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WHEN(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    expression(): ExpressionContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Function_or_procedureContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_name(): Function_nameContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_name(): Procedure_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TriggerfuncargsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    triggerfuncarg(): TriggerfuncargContext[];
    triggerfuncarg(i: number): TriggerfuncargContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TriggerfuncargContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    Integral(): antlr.TerminalNode | null;
    Numeric(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    collabel(): CollabelContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ConstraintattributeElemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DEFERRABLE(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_INITIALLY(): antlr.TerminalNode | null;
    KW_IMMEDIATE(): antlr.TerminalNode | null;
    KW_DEFERRED(): antlr.TerminalNode | null;
    KW_VALID(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    KW_INHERIT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateeventtrigstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_EVENT(): antlr.TerminalNode;
    KW_TRIGGER(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_ON(): antlr.TerminalNode;
    collabel(): CollabelContext;
    KW_EXECUTE(): antlr.TerminalNode;
    function_or_procedure(): Function_or_procedureContext;
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    KW_WHEN(): antlr.TerminalNode | null;
    event_trigger_when_item(): Event_trigger_when_itemContext[];
    event_trigger_when_item(i: number): Event_trigger_when_itemContext | null;
    KW_AND(): antlr.TerminalNode[];
    KW_AND(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Event_trigger_when_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    KW_IN(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    sconst(): SconstContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    notify_payload(): Notify_payloadContext[];
    notify_payload(i: number): Notify_payloadContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltereventtrigstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_EVENT(): antlr.TerminalNode;
    KW_TRIGGER(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_ENABLE(): antlr.TerminalNode | null;
    KW_DISABLE(): antlr.TerminalNode | null;
    KW_REPLICA(): antlr.TerminalNode | null;
    KW_ALWAYS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateassertionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_ASSERTION(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    KW_CHECK(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    expression(): ExpressionContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    constraintattributeElem(): ConstraintattributeElemContext[];
    constraintattributeElem(i: number): ConstraintattributeElemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DefinestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    function_name(): Function_nameContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    old_aggr_elem(): Old_aggr_elemContext[];
    old_aggr_elem(i: number): Old_aggr_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    opt_or_replace(): Opt_or_replaceContext | null;
    aggr_args(): Aggr_argsContext | null;
    definition(): DefinitionContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    any_operator(): Any_operatorContext | null;
    KW_TYPE(): antlr.TerminalNode | null;
    any_name(): Any_nameContext[];
    any_name(i: number): Any_nameContext | null;
    KW_AS(): antlr.TerminalNode | null;
    KW_ENUM(): antlr.TerminalNode | null;
    tablefuncelementlist(): TablefuncelementlistContext | null;
    sconst(): SconstContext | null;
    notify_payload(): Notify_payloadContext[];
    notify_payload(i: number): Notify_payloadContext | null;
    KW_RANGE(): antlr.TerminalNode | null;
    KW_TEXT(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_PARSER(): antlr.TerminalNode | null;
    KW_DICTIONARY(): antlr.TerminalNode | null;
    KW_TEMPLATE(): antlr.TerminalNode | null;
    KW_CONFIGURATION(): antlr.TerminalNode | null;
    KW_COLLATION(): antlr.TerminalNode | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    KW_FROM(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DefinitionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    def_elem(): Def_elemContext[];
    def_elem(i: number): Def_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Def_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    collabel(): CollabelContext;
    EQUAL(): antlr.TerminalNode | null;
    def_arg(): Def_argContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Def_argContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_type(): Func_typeContext | null;
    reserved_keyword(): Reserved_keywordContext | null;
    qual_all_op(): Qual_all_opContext | null;
    numericonly(): NumericonlyContext | null;
    sconst(): SconstContext | null;
    KW_NONE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Old_aggr_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    identifier(): IdentifierContext;
    EQUAL(): antlr.TerminalNode;
    def_arg(): Def_argContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterenumstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_TYPE(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    KW_ADD(): antlr.TerminalNode | null;
    KW_VALUE(): antlr.TerminalNode;
    sconst(): SconstContext[];
    sconst(i: number): SconstContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    KW_BEFORE(): antlr.TerminalNode | null;
    KW_AFTER(): antlr.TerminalNode | null;
    KW_RENAME(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_if_not_existsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_IF(): antlr.TerminalNode;
    KW_NOT(): antlr.TerminalNode;
    KW_EXISTS(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateopclassstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_OPERATOR(): antlr.TerminalNode;
    KW_CLASS(): antlr.TerminalNode;
    any_name(): Any_nameContext[];
    any_name(i: number): Any_nameContext | null;
    KW_FOR(): antlr.TerminalNode;
    KW_TYPE(): antlr.TerminalNode;
    typename(): TypenameContext;
    table_access_method_clause(): Table_access_method_clauseContext;
    KW_AS(): antlr.TerminalNode;
    opclass_item(): Opclass_itemContext[];
    opclass_item(i: number): Opclass_itemContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opclass_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_OPERATOR(): antlr.TerminalNode | null;
    Integral(): antlr.TerminalNode | null;
    any_operator(): Any_operatorContext | null;
    oper_argtypes(): Oper_argtypesContext | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_RECHECK(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_ORDER(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    prep_type_clause(): Prep_type_clauseContext | null;
    KW_STORAGE(): antlr.TerminalNode | null;
    typename(): TypenameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateopfamilystmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_OPERATOR(): antlr.TerminalNode;
    KW_FAMILY(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    table_access_method_clause(): Table_access_method_clauseContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlteropfamilystmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_OPERATOR(): antlr.TerminalNode;
    KW_FAMILY(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    table_access_method_clause(): Table_access_method_clauseContext;
    KW_ADD(): antlr.TerminalNode | null;
    opclass_item(): Opclass_itemContext[];
    opclass_item(i: number): Opclass_itemContext | null;
    KW_DROP(): antlr.TerminalNode | null;
    opclass_drop(): Opclass_dropContext[];
    opclass_drop(i: number): Opclass_dropContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opclass_dropContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    Integral(): antlr.TerminalNode;
    prep_type_clause(): Prep_type_clauseContext;
    KW_OPERATOR(): antlr.TerminalNode | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ReassignownedstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_REASSIGN(): antlr.TerminalNode;
    KW_OWNED(): antlr.TerminalNode;
    KW_BY(): antlr.TerminalNode;
    role_list(): Role_listContext;
    KW_TO(): antlr.TerminalNode;
    rolespec(): RolespecContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DropstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DROP(): antlr.TerminalNode;
    name_list(): Name_listContext | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    KW_INDEX(): antlr.TerminalNode | null;
    KW_COLLATION(): antlr.TerminalNode | null;
    KW_CONVERSION(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    KW_PUBLICATION(): antlr.TerminalNode | null;
    KW_SERVER(): antlr.TerminalNode | null;
    KW_ACCESS(): antlr.TerminalNode | null;
    KW_METHOD(): antlr.TerminalNode | null;
    KW_EVENT(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    KW_EXTENSION(): antlr.TerminalNode | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_DATA(): antlr.TerminalNode | null;
    KW_WRAPPER(): antlr.TerminalNode | null;
    KW_TEXT(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_PARSER(): antlr.TerminalNode | null;
    KW_DICTIONARY(): antlr.TerminalNode | null;
    KW_TEMPLATE(): antlr.TerminalNode | null;
    KW_CONFIGURATION(): antlr.TerminalNode | null;
    opt_if_exists(): Opt_if_existsContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    KW_PROCEDURAL(): antlr.TerminalNode | null;
    KW_VIEW(): antlr.TerminalNode | null;
    view_name(): View_nameContext[];
    view_name(i: number): View_nameContext | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode | null;
    table_name_list(): Table_name_listContext | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name_list(): Schema_name_listContext | null;
    colid(): ColidContext | null;
    KW_ON(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_POLICY(): antlr.TerminalNode | null;
    KW_RULE(): antlr.TerminalNode | null;
    typename(): TypenameContext[];
    typename(i: number): TypenameContext | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_CONCURRENTLY(): antlr.TerminalNode | null;
    any_name_list(): Any_name_listContext | null;
    KW_CAST(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    KW_CLASS(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    KW_OWNED(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    role_list(): Role_listContext | null;
    KW_SUBSCRIPTION(): antlr.TerminalNode | null;
    KW_TABLESPACE(): antlr.TerminalNode | null;
    tablespace_name(): Tablespace_nameContext | null;
    KW_TRANSFORM(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode[];
    KW_USER(i: number): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode | null;
    KW_MAPPING(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    KW_DATABASE(): antlr.TerminalNode | null;
    database_name(): Database_nameContext | null;
    KW_FORCE(): antlr.TerminalNode[];
    KW_FORCE(i: number): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Object_type_any_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TABLE(): antlr.TerminalNode | null;
    table_name(): Table_nameContext | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_VIEW(): antlr.TerminalNode | null;
    view_name(): View_nameContext | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_INDEX(): antlr.TerminalNode | null;
    KW_COLLATION(): antlr.TerminalNode | null;
    KW_CONVERSION(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    KW_TEXT(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_PARSER(): antlr.TerminalNode | null;
    KW_DICTIONARY(): antlr.TerminalNode | null;
    KW_TEMPLATE(): antlr.TerminalNode | null;
    KW_CONFIGURATION(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Object_type_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext | null;
    KW_EVENT(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    KW_ACCESS(): antlr.TerminalNode | null;
    KW_METHOD(): antlr.TerminalNode | null;
    KW_EXTENSION(): antlr.TerminalNode | null;
    KW_PUBLICATION(): antlr.TerminalNode | null;
    KW_SERVER(): antlr.TerminalNode | null;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_SUBSCRIPTION(): antlr.TerminalNode | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_DATA(): antlr.TerminalNode | null;
    KW_WRAPPER(): antlr.TerminalNode | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    KW_PROCEDURAL(): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext | null;
    KW_DATABASE(): antlr.TerminalNode | null;
    database_name(): Database_nameContext | null;
    opttablespace(): OpttablespaceContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Any_name_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    any_name(): Any_nameContext[];
    any_name(i: number): Any_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Any_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    attrs(): AttrsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AttrsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    DOT(): antlr.TerminalNode[];
    DOT(i: number): antlr.TerminalNode | null;
    collabel(): CollabelContext[];
    collabel(i: number): CollabelContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TruncatestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TRUNCATE(): antlr.TerminalNode;
    truncate_table(): Truncate_tableContext[];
    truncate_table(i: number): Truncate_tableContext | null;
    KW_TABLE(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_IDENTITY(): antlr.TerminalNode | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    KW_CONTINUE(): antlr.TerminalNode | null;
    KW_RESTART(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Truncate_tableContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    table_name(): Table_nameContext;
    KW_ONLY(): antlr.TerminalNode | null;
    STAR(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CommentstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_COMMENT(): antlr.TerminalNode;
    KW_ON(): antlr.TerminalNode[];
    KW_ON(i: number): antlr.TerminalNode | null;
    KW_IS(): antlr.TerminalNode;
    object_type_any_name(): Object_type_any_nameContext | null;
    object_type_name(): Object_type_nameContext | null;
    KW_COLUMN(): antlr.TerminalNode | null;
    DOT(): antlr.TerminalNode | null;
    column_name(): Column_nameContext | null;
    typename(): TypenameContext[];
    typename(i: number): TypenameContext | null;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    operator_with_argtypes(): Operator_with_argtypesContext | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    any_name(): Any_nameContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    KW_TRANSFORM(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    KW_LARGE(): antlr.TerminalNode | null;
    KW_OBJECT(): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext | null;
    KW_CAST(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    KW_NULL(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_POLICY(): antlr.TerminalNode | null;
    KW_RULE(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    KW_CLASS(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    table_name(): Table_nameContext | null;
    attrs(): AttrsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SeclabelstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SECURITY(): antlr.TerminalNode;
    KW_LABEL(): antlr.TerminalNode;
    KW_ON(): antlr.TerminalNode;
    KW_IS(): antlr.TerminalNode;
    typename(): TypenameContext | null;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext | null;
    KW_COLUMN(): antlr.TerminalNode | null;
    column_name(): Column_nameContext | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_LARGE(): antlr.TerminalNode | null;
    KW_OBJECT(): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    object_type_any_name(): Object_type_any_nameContext | null;
    object_type_name(): Object_type_nameContext | null;
    sconst(): SconstContext | null;
    KW_NULL(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class FetchstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    fetch_args(): Fetch_argsContext;
    KW_FETCH(): antlr.TerminalNode | null;
    KW_MOVE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Fetch_argsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    from_in(): From_inContext | null;
    KW_NEXT(): antlr.TerminalNode | null;
    KW_PRIOR(): antlr.TerminalNode | null;
    KW_FIRST(): antlr.TerminalNode | null;
    KW_LAST(): antlr.TerminalNode | null;
    signediconst(): SignediconstContext | null;
    KW_ABSOLUTE(): antlr.TerminalNode | null;
    KW_RELATIVE(): antlr.TerminalNode | null;
    KW_FORWARD(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_BACKWARD(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class From_inContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FROM(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class GrantstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_GRANT(): antlr.TerminalNode[];
    KW_GRANT(i: number): antlr.TerminalNode | null;
    privileges(): PrivilegesContext;
    KW_ON(): antlr.TerminalNode;
    privilege_target(): Privilege_targetContext;
    KW_TO(): antlr.TerminalNode;
    grantee_list(): Grantee_listContext;
    KW_WITH(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RevokestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_REVOKE(): antlr.TerminalNode;
    privileges(): PrivilegesContext;
    KW_ON(): antlr.TerminalNode;
    privilege_target(): Privilege_targetContext;
    KW_FROM(): antlr.TerminalNode;
    grantee_list(): Grantee_listContext;
    KW_GRANT(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PrivilegesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    privilege(): PrivilegeContext[];
    privilege(i: number): PrivilegeContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_PRIVILEGES(): antlr.TerminalNode | null;
    opt_column_list(): Opt_column_listContext | null;
    beforeprivilegeselect(): BeforeprivilegeselectContext[];
    beforeprivilegeselect(i: number): BeforeprivilegeselectContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class BeforeprivilegeselectContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SELECT(): antlr.TerminalNode | null;
    KW_INSERT(): antlr.TerminalNode | null;
    KW_UPDATE(): antlr.TerminalNode | null;
    KW_DELETE(): antlr.TerminalNode | null;
    KW_TRUNCATE(): antlr.TerminalNode | null;
    KW_PEFERENCES(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    KW_USAGE(): antlr.TerminalNode | null;
    KW_CREATE(): antlr.TerminalNode | null;
    KW_CONNECT(): antlr.TerminalNode | null;
    KW_TEMPORARY(): antlr.TerminalNode | null;
    KW_TEMP(): antlr.TerminalNode | null;
    KW_EXECUTE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PrivilegeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SELECT(): antlr.TerminalNode | null;
    KW_REFERENCES(): antlr.TerminalNode | null;
    KW_CREATE(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    opt_column_list(): Opt_column_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Privilege_targetContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TABLE(): antlr.TerminalNode | null;
    table_name_list(): Table_name_listContext | null;
    qualified_name_list(): Qualified_name_listContext | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    name_list(): Name_listContext | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    KW_DATA(): antlr.TerminalNode | null;
    KW_WRAPPER(): antlr.TerminalNode | null;
    KW_SERVER(): antlr.TerminalNode | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes_list(): Function_with_argtypes_listContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes_list(): Procedure_with_argtypes_listContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes_list(): Routine_with_argtypes_listContext | null;
    KW_DATABASE(): antlr.TerminalNode | null;
    database_nameList(): Database_nameListContext | null;
    any_name_list(): Any_name_listContext | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_LARGE(): antlr.TerminalNode | null;
    KW_OBJECT(): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext[];
    numericonly(i: number): NumericonlyContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name_list(): Schema_name_listContext | null;
    KW_TABLESPACE(): antlr.TerminalNode | null;
    tablespace_name_list(): Tablespace_name_listContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    KW_TABLES(): antlr.TerminalNode | null;
    KW_SEQUENCES(): antlr.TerminalNode | null;
    KW_FUNCTIONS(): antlr.TerminalNode | null;
    KW_PROCEDURES(): antlr.TerminalNode | null;
    KW_ROUTINES(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Grantee_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    rolespec(): RolespecContext[];
    rolespec(i: number): RolespecContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode[];
    KW_GROUP(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class GrantrolestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_GRANT(): antlr.TerminalNode;
    privilege(): PrivilegeContext[];
    privilege(i: number): PrivilegeContext | null;
    KW_TO(): antlr.TerminalNode;
    role_list(): Role_listContext;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_ADMIN(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    KW_GRANTED(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RevokerolestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_REVOKE(): antlr.TerminalNode;
    privilege(): PrivilegeContext[];
    privilege(i: number): PrivilegeContext | null;
    KW_FROM(): antlr.TerminalNode;
    role_list(): Role_listContext;
    KW_ADMIN(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_GRANTED(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterdefaultprivilegesstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_DEFAULT(): antlr.TerminalNode;
    KW_PRIVILEGES(): antlr.TerminalNode;
    defaclaction(): DefaclactionContext;
    KW_IN(): antlr.TerminalNode[];
    KW_IN(i: number): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode[];
    KW_SCHEMA(i: number): antlr.TerminalNode | null;
    schema_name_list(): Schema_name_listContext[];
    schema_name_list(i: number): Schema_name_listContext | null;
    KW_FOR(): antlr.TerminalNode[];
    KW_FOR(i: number): antlr.TerminalNode | null;
    role_list(): Role_listContext[];
    role_list(i: number): Role_listContext | null;
    KW_ROLE(): antlr.TerminalNode[];
    KW_ROLE(i: number): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode[];
    KW_USER(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DefaclactionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_GRANT(): antlr.TerminalNode[];
    KW_GRANT(i: number): antlr.TerminalNode | null;
    privileges(): PrivilegesContext;
    KW_ON(): antlr.TerminalNode;
    defacl_privilege_target(): Defacl_privilege_targetContext;
    KW_TO(): antlr.TerminalNode | null;
    grantee_list(): Grantee_listContext;
    KW_WITH(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    KW_REVOKE(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Defacl_privilege_targetContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TABLES(): antlr.TerminalNode | null;
    KW_FUNCTIONS(): antlr.TerminalNode | null;
    KW_ROUTINES(): antlr.TerminalNode | null;
    KW_SEQUENCES(): antlr.TerminalNode | null;
    KW_TYPES(): antlr.TerminalNode | null;
    KW_SCHEMAS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class IndexstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_INDEX(): antlr.TerminalNode;
    KW_ON(): antlr.TerminalNode;
    relation_expr(): Relation_exprContext;
    index_params(): Index_paramsContext[];
    index_params(i: number): Index_paramsContext | null;
    KW_UNIQUE(): antlr.TerminalNode | null;
    KW_CONCURRENTLY(): antlr.TerminalNode | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    colid(): ColidContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    KW_INCLUDE(): antlr.TerminalNode | null;
    KW_NULLS(): antlr.TerminalNode | null;
    KW_DISTINCT(): antlr.TerminalNode | null;
    opt_reloptions(): Opt_reloptionsContext | null;
    opttablespace(): OpttablespaceContext | null;
    where_clause(): Where_clauseContext | null;
    KW_NOT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Index_paramsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    index_elem(): Index_elemContext[];
    index_elem(i: number): Index_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Index_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name(): Column_nameContext | null;
    func_expr_windowless(): Func_expr_windowlessContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    reloptions(): ReloptionsContext | null;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    KW_NULLS(): antlr.TerminalNode | null;
    KW_ASC(): antlr.TerminalNode | null;
    KW_DESC(): antlr.TerminalNode | null;
    KW_FIRST(): antlr.TerminalNode | null;
    KW_LAST(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatefunctionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_name_create(): Function_name_createContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_name_create(): Procedure_name_createContext | null;
    OPEN_PAREN(): antlr.TerminalNode[];
    OPEN_PAREN(i: number): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode[];
    CLOSE_PAREN(i: number): antlr.TerminalNode | null;
    opt_or_replace(): Opt_or_replaceContext | null;
    KW_RETURNS(): antlr.TerminalNode | null;
    createfunc_opt_item(): Createfunc_opt_itemContext[];
    createfunc_opt_item(i: number): Createfunc_opt_itemContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    name_list(): Name_listContext | null;
    func_arg_with_default(): Func_arg_with_defaultContext[];
    func_arg_with_default(i: number): Func_arg_with_defaultContext | null;
    func_type(): Func_typeContext | null;
    KW_TABLE(): antlr.TerminalNode | null;
    table_func_column(): Table_func_columnContext[];
    table_func_column(i: number): Table_func_columnContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_or_replaceContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_OR(): antlr.TerminalNode;
    KW_REPLACE(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_argsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    func_args_list(): Func_args_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_args_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_arg(): Func_argContext[];
    func_arg(i: number): Func_argContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Routine_with_argtypes_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    routine_with_argtypes(): Routine_with_argtypesContext[];
    routine_with_argtypes(i: number): Routine_with_argtypesContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Routine_with_argtypesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    routine_name(): Routine_nameContext | null;
    func_args(): Func_argsContext | null;
    type_func_name_keyword(): Type_func_name_keywordContext | null;
    qualified_name(): Qualified_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Procedure_with_argtypes_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    procedure_with_argtypes(): Procedure_with_argtypesContext[];
    procedure_with_argtypes(i: number): Procedure_with_argtypesContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Procedure_with_argtypesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    procedure_name(): Procedure_nameContext | null;
    func_args(): Func_argsContext | null;
    type_func_name_keyword(): Type_func_name_keywordContext | null;
    qualified_name(): Qualified_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Function_with_argtypes_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    function_with_argtypes(): Function_with_argtypesContext[];
    function_with_argtypes(i: number): Function_with_argtypesContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Function_with_argtypesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    function_name(): Function_nameContext | null;
    func_args(): Func_argsContext | null;
    type_func_name_keyword(): Type_func_name_keywordContext | null;
    qualified_name(): Qualified_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_argContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_type(): Func_typeContext;
    arg_class(): Arg_classContext | null;
    type_function_name(): Type_function_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Arg_classContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_IN(): antlr.TerminalNode | null;
    KW_OUT(): antlr.TerminalNode | null;
    KW_INOUT(): antlr.TerminalNode | null;
    KW_VARIADIC(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_typeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    typename(): TypenameContext | null;
    type_function_name(): Type_function_nameContext | null;
    attrs(): AttrsContext | null;
    PERCENT(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_SETOF(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_arg_with_defaultContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_arg(): Func_argContext;
    expression(): ExpressionContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    EQUAL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Aggr_argsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    STAR(): antlr.TerminalNode | null;
    func_args_list(): Func_args_listContext[];
    func_args_list(i: number): Func_args_listContext | null;
    KW_ORDER(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Aggregate_with_argtypesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    function_name(): Function_nameContext;
    aggr_args(): Aggr_argsContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Common_func_opt_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ON(): antlr.TerminalNode | null;
    KW_NULL(): antlr.TerminalNode[];
    KW_NULL(i: number): antlr.TerminalNode | null;
    KW_INPUT(): antlr.TerminalNode | null;
    KW_RETURNS(): antlr.TerminalNode | null;
    KW_CALLED(): antlr.TerminalNode | null;
    KW_STRICT(): antlr.TerminalNode | null;
    KW_IMMUTABLE(): antlr.TerminalNode | null;
    KW_STABLE(): antlr.TerminalNode | null;
    KW_VOLATILE(): antlr.TerminalNode | null;
    KW_SECURITY(): antlr.TerminalNode | null;
    KW_DEFINER(): antlr.TerminalNode | null;
    KW_INVOKER(): antlr.TerminalNode | null;
    KW_EXTERNAL(): antlr.TerminalNode | null;
    KW_LEAKPROOF(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext | null;
    KW_COST(): antlr.TerminalNode | null;
    KW_ROWS(): antlr.TerminalNode | null;
    KW_SUPPORT(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_SET(): antlr.TerminalNode | null;
    set_rest_more(): Set_rest_moreContext | null;
    variableresetstmt(): VariableresetstmtContext | null;
    KW_PARALLEL(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Createfunc_opt_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_AS(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    notify_payload(): Notify_payloadContext | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext | null;
    KW_TRANSFORM(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode[];
    KW_FOR(i: number): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode[];
    KW_TYPE(i: number): antlr.TerminalNode | null;
    typename(): TypenameContext[];
    typename(i: number): TypenameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_WINDOW(): antlr.TerminalNode | null;
    KW_SET(): antlr.TerminalNode | null;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_TO(): antlr.TerminalNode | null;
    EQUAL(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    stmt(): StmtContext | null;
    common_func_opt_item(): Common_func_opt_itemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_definitionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WITH(): antlr.TerminalNode;
    definition(): DefinitionContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Table_func_columnContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name(): Column_nameContext;
    func_type(): Func_typeContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterfunctionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    common_func_opt_item(): Common_func_opt_itemContext[];
    common_func_opt_item(i: number): Common_func_opt_itemContext | null;
    KW_RESTRICT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RemovefuncstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DROP(): antlr.TerminalNode;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes_list(): Function_with_argtypes_listContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes_list(): Procedure_with_argtypes_listContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes_list(): Routine_with_argtypes_listContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    opt_if_exists(): Opt_if_existsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RemoveaggrstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DROP(): antlr.TerminalNode;
    KW_AGGREGATE(): antlr.TerminalNode;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext[];
    aggregate_with_argtypes(i: number): Aggregate_with_argtypesContext | null;
    opt_if_exists(): Opt_if_existsContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RemoveoperstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DROP(): antlr.TerminalNode;
    KW_OPERATOR(): antlr.TerminalNode;
    operator_with_argtypes(): Operator_with_argtypesContext[];
    operator_with_argtypes(i: number): Operator_with_argtypesContext | null;
    opt_if_exists(): Opt_if_existsContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Oper_argtypesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    typename(): TypenameContext[];
    typename(i: number): TypenameContext | null;
    KW_NONE(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Any_operatorContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    all_op(): All_opContext;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    DOT(): antlr.TerminalNode[];
    DOT(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Operator_with_argtypesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    any_operator(): Any_operatorContext;
    oper_argtypes(): Oper_argtypesContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DostmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DO(): antlr.TerminalNode;
    sconst(): SconstContext[];
    sconst(i: number): SconstContext | null;
    KW_LANGUAGE(): antlr.TerminalNode[];
    KW_LANGUAGE(i: number): antlr.TerminalNode | null;
    nonreservedword_or_sconst(): Nonreservedword_or_sconstContext[];
    nonreservedword_or_sconst(i: number): Nonreservedword_or_sconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatecaststmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_CAST(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    typename(): TypenameContext[];
    typename(i: number): TypenameContext | null;
    KW_AS(): antlr.TerminalNode[];
    KW_AS(i: number): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    KW_WITHOUT(): antlr.TerminalNode | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_INOUT(): antlr.TerminalNode | null;
    KW_ASSIGNMENT(): antlr.TerminalNode | null;
    KW_IMPLICIT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_if_existsContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_IF(): antlr.TerminalNode;
    KW_EXISTS(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatetransformstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_TRANSFORM(): antlr.TerminalNode;
    KW_FOR(): antlr.TerminalNode;
    typename(): TypenameContext;
    KW_LANGUAGE(): antlr.TerminalNode;
    colid(): ColidContext;
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    KW_FROM(): antlr.TerminalNode | null;
    sql_with_function(): Sql_with_functionContext[];
    sql_with_function(i: number): Sql_with_functionContext | null;
    KW_TO(): antlr.TerminalNode | null;
    opt_or_replace(): Opt_or_replaceContext | null;
    COMMA(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Sql_with_functionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SQL(): antlr.TerminalNode;
    KW_WITH(): antlr.TerminalNode;
    KW_FUNCTION(): antlr.TerminalNode;
    function_with_argtypes(): Function_with_argtypesContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ReindexstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_REINDEX(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode | null;
    KW_VERBOSE(): antlr.TerminalNode[];
    KW_VERBOSE(i: number): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_INDEX(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    KW_TABLE(): antlr.TerminalNode | null;
    table_name(): Table_nameContext | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext | null;
    KW_SYSTEM(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_DATABASE(): antlr.TerminalNode | null;
    database_name(): Database_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_CONCURRENTLY(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltertblspcstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    opttablespace(): OpttablespaceContext;
    reloptions(): ReloptionsContext;
    KW_SET(): antlr.TerminalNode | null;
    KW_RESET(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RenamestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_RENAME(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    KW_DATABASE(): antlr.TerminalNode | null;
    database_name(): Database_nameContext | null;
    database_name_create(): Database_name_createContext | null;
    any_name(): Any_nameContext | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_CONVERSION(): antlr.TerminalNode | null;
    KW_COLLATION(): antlr.TerminalNode | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    function_name_create(): Function_name_createContext | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    KW_CLASS(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    procedure_name_create(): Procedure_name_createContext | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext | null;
    schema_name_create(): Schema_name_createContext | null;
    qualified_name(): Qualified_nameContext | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    KW_INDEX(): antlr.TerminalNode | null;
    opt_if_exists(): Opt_if_existsContext | null;
    KW_VIEW(): antlr.TerminalNode | null;
    view_name(): View_nameContext | null;
    view_name_create(): View_name_createContext | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode | null;
    relation_expr(): Relation_exprContext | null;
    table_name_create(): Table_name_createContext | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    column_name(): Column_nameContext | null;
    column_name_create(): Column_name_createContext | null;
    KW_COLUMN(): antlr.TerminalNode | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    KW_ON(): antlr.TerminalNode | null;
    KW_RULE(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    KW_POLICY(): antlr.TerminalNode | null;
    KW_DATA(): antlr.TerminalNode | null;
    KW_WRAPPER(): antlr.TerminalNode | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    KW_PUBLICATION(): antlr.TerminalNode | null;
    KW_SERVER(): antlr.TerminalNode | null;
    KW_SUBSCRIPTION(): antlr.TerminalNode | null;
    KW_EVENT(): antlr.TerminalNode | null;
    KW_PROCEDURAL(): antlr.TerminalNode | null;
    rolespec(): RolespecContext[];
    rolespec(i: number): RolespecContext | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode | null;
    opttablespace(): OpttablespaceContext | null;
    tablespace_name_create(): Tablespace_name_createContext | null;
    KW_TEXT(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_PARSER(): antlr.TerminalNode | null;
    KW_DICTIONARY(): antlr.TerminalNode | null;
    KW_TEMPLATE(): antlr.TerminalNode | null;
    KW_CONFIGURATION(): antlr.TerminalNode | null;
    KW_ATTRIBUTE(): antlr.TerminalNode | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterobjectdependsstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_DEPENDS(): antlr.TerminalNode;
    KW_ON(): antlr.TerminalNode[];
    KW_ON(i: number): antlr.TerminalNode | null;
    KW_EXTENSION(): antlr.TerminalNode;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    KW_VIEW(): antlr.TerminalNode | null;
    view_name(): View_nameContext | null;
    KW_INDEX(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterobjectschemastmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_SET(): antlr.TerminalNode;
    KW_SCHEMA(): antlr.TerminalNode;
    schema_name(): Schema_nameContext;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext | null;
    KW_EXTENSION(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    operator_with_argtypes(): Operator_with_argtypesContext | null;
    any_name(): Any_nameContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    KW_VIEW(): antlr.TerminalNode | null;
    view_name(): View_nameContext | null;
    KW_TABLE(): antlr.TerminalNode | null;
    relation_expr(): Relation_exprContext | null;
    KW_CLASS(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    opt_if_exists(): Opt_if_existsContext | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_TEXT(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_COLLATION(): antlr.TerminalNode | null;
    KW_CONVERSION(): antlr.TerminalNode | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_PARSER(): antlr.TerminalNode | null;
    KW_DICTIONARY(): antlr.TerminalNode | null;
    KW_TEMPLATE(): antlr.TerminalNode | null;
    KW_CONFIGURATION(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlteroperatorstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_OPERATOR(): antlr.TerminalNode;
    operator_with_argtypes(): Operator_with_argtypesContext;
    KW_SET(): antlr.TerminalNode;
    operator_def_list(): Operator_def_listContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Operator_def_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    operator_def_elem(): Operator_def_elemContext[];
    operator_def_elem(i: number): Operator_def_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Operator_def_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    collabel(): CollabelContext;
    EQUAL(): antlr.TerminalNode;
    KW_NONE(): antlr.TerminalNode | null;
    func_type(): Func_typeContext | null;
    reserved_keyword(): Reserved_keywordContext | null;
    qual_all_op(): Qual_all_opContext | null;
    numericonly(): NumericonlyContext | null;
    sconst(): SconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltertypestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_TYPE(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    KW_SET(): antlr.TerminalNode;
    operator_def_list(): Operator_def_listContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterownerstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_OPERATOR(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    KW_OWNER(): antlr.TerminalNode;
    KW_TO(): antlr.TerminalNode;
    rolespec(): RolespecContext;
    KW_CLASS(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    aggregate_with_argtypes(): Aggregate_with_argtypesContext | null;
    KW_DATABASE(): antlr.TerminalNode | null;
    database_name(): Database_nameContext | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    function_with_argtypes(): Function_with_argtypesContext | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_LARGE(): antlr.TerminalNode | null;
    KW_OBJECT(): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext | null;
    operator_with_argtypes(): Operator_with_argtypesContext | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    procedure_with_argtypes(): Procedure_with_argtypesContext | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    routine_with_argtypes(): Routine_with_argtypesContext | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext | null;
    opttablespace(): OpttablespaceContext | null;
    KW_PROCEDURAL(): antlr.TerminalNode | null;
    KW_TEXT(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_COLLATION(): antlr.TerminalNode | null;
    KW_CONVERSION(): antlr.TerminalNode | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    KW_DICTIONARY(): antlr.TerminalNode | null;
    KW_CONFIGURATION(): antlr.TerminalNode | null;
    KW_SERVER(): antlr.TerminalNode | null;
    KW_PUBLICATION(): antlr.TerminalNode | null;
    KW_SUBSCRIPTION(): antlr.TerminalNode | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_DATA(): antlr.TerminalNode | null;
    KW_WRAPPER(): antlr.TerminalNode | null;
    KW_EVENT(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatepublicationstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_PUBLICATION(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_FOR(): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode | null;
    relation_expr_list(): Relation_expr_listContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_TABLES(): antlr.TerminalNode | null;
    opt_definition(): Opt_definitionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterpublicationstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_PUBLICATION(): antlr.TerminalNode;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    publication_relation_expr(): Publication_relation_exprContext[];
    publication_relation_expr(i: number): Publication_relation_exprContext | null;
    KW_ADD(): antlr.TerminalNode | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    KW_OWNER(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    definition(): DefinitionContext | null;
    KW_RENAME(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatesubscriptionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_SUBSCRIPTION(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_CONNECTION(): antlr.TerminalNode;
    sconst(): SconstContext;
    KW_PUBLICATION(): antlr.TerminalNode;
    collabel(): CollabelContext[];
    collabel(i: number): CollabelContext | null;
    opt_definition(): Opt_definitionContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltersubscriptionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_SUBSCRIPTION(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_SET(): antlr.TerminalNode | null;
    definition(): DefinitionContext | null;
    KW_CONNECTION(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    KW_REFRESH(): antlr.TerminalNode | null;
    KW_PUBLICATION(): antlr.TerminalNode | null;
    opt_definition(): Opt_definitionContext | null;
    KW_ADD(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    collabel(): CollabelContext[];
    collabel(i: number): CollabelContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_ENABLE(): antlr.TerminalNode | null;
    KW_DISABLE(): antlr.TerminalNode | null;
    KW_SKIP(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    old_aggr_elem(): Old_aggr_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_OWNER(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    rolespec(): RolespecContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RulestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_RULE(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_AS(): antlr.TerminalNode;
    KW_ON(): antlr.TerminalNode;
    KW_TO(): antlr.TerminalNode;
    qualified_name(): Qualified_nameContext;
    KW_DO(): antlr.TerminalNode;
    KW_SELECT(): antlr.TerminalNode | null;
    KW_UPDATE(): antlr.TerminalNode | null;
    KW_DELETE(): antlr.TerminalNode | null;
    KW_INSERT(): antlr.TerminalNode | null;
    KW_NOTHING(): antlr.TerminalNode | null;
    ruleactionstmt(): RuleactionstmtContext[];
    ruleactionstmt(i: number): RuleactionstmtContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    opt_or_replace(): Opt_or_replaceContext | null;
    where_clause(): Where_clauseContext | null;
    KW_INSTEAD(): antlr.TerminalNode | null;
    KW_ALSO(): antlr.TerminalNode | null;
    SEMI(): antlr.TerminalNode[];
    SEMI(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RuleactionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    selectstmt(): SelectstmtContext | null;
    insertstmt(): InsertstmtContext | null;
    updatestmt(): UpdatestmtContext | null;
    deletestmt(): DeletestmtContext | null;
    notifystmt(): NotifystmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class NotifystmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_NOTIFY(): antlr.TerminalNode;
    colid(): ColidContext;
    notify_payload(): Notify_payloadContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Notify_payloadContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    COMMA(): antlr.TerminalNode;
    sconst(): SconstContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ListenstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_LISTEN(): antlr.TerminalNode;
    colid(): ColidContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class UnlistenstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_UNLISTEN(): antlr.TerminalNode;
    colid(): ColidContext | null;
    STAR(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TransactionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_BEGIN(): antlr.TerminalNode | null;
    opt_transaction(): Opt_transactionContext | null;
    transaction_mode_list(): Transaction_mode_listContext | null;
    KW_START(): antlr.TerminalNode | null;
    KW_TRANSACTION(): antlr.TerminalNode | null;
    KW_SAVEPOINT(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_RELEASE(): antlr.TerminalNode | null;
    KW_PREPARE(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    KW_PREPARED(): antlr.TerminalNode | null;
    KW_COMMIT(): antlr.TerminalNode | null;
    KW_ROLLBACK(): antlr.TerminalNode | null;
    KW_ABORT(): antlr.TerminalNode | null;
    KW_END(): antlr.TerminalNode | null;
    KW_AND(): antlr.TerminalNode | null;
    KW_CHAIN(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_transactionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WORK(): antlr.TerminalNode | null;
    KW_TRANSACTION(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Transaction_mode_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ISOLATION(): antlr.TerminalNode | null;
    KW_LEVEL(): antlr.TerminalNode | null;
    iso_level(): Iso_levelContext | null;
    KW_READ(): antlr.TerminalNode | null;
    KW_ONLY(): antlr.TerminalNode | null;
    KW_WRITE(): antlr.TerminalNode | null;
    KW_DEFERRABLE(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Transaction_mode_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    transaction_mode_item(): Transaction_mode_itemContext[];
    transaction_mode_item(i: number): Transaction_mode_itemContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ViewstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ViewstmtContext): void;
}
export declare class CreateViewContext extends ViewstmtContext {
    constructor(ctx: ViewstmtContext);
    KW_CREATE(): antlr.TerminalNode;
    KW_AS(): antlr.TerminalNode;
    selectstmt(): SelectstmtContext;
    KW_VIEW(): antlr.TerminalNode | null;
    view_name_create(): View_name_createContext | null;
    KW_RECURSIVE(): antlr.TerminalNode | null;
    opt_column_list(): Opt_column_listContext | null;
    KW_OR(): antlr.TerminalNode | null;
    KW_REPLACE(): antlr.TerminalNode | null;
    opttemp(): OpttempContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_CHECK(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    opt_column_list_create(): Opt_column_list_createContext | null;
    opt_reloptions(): Opt_reloptionsContext | null;
    KW_CASCADED(): antlr.TerminalNode | null;
    KW_LOCAL(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class LoadstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_LOAD(): antlr.TerminalNode;
    sconst(): SconstContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatedbstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: CreatedbstmtContext): void;
}
export declare class CreateDatabaseContext extends CreatedbstmtContext {
    constructor(ctx: CreatedbstmtContext);
    KW_CREATE(): antlr.TerminalNode;
    KW_DATABASE(): antlr.TerminalNode;
    database_name_create(): Database_name_createContext;
    KW_WITH(): antlr.TerminalNode | null;
    createdb_opt_item(): Createdb_opt_itemContext[];
    createdb_opt_item(i: number): Createdb_opt_itemContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Createdb_opt_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CONNECTION(): antlr.TerminalNode | null;
    KW_LIMIT(): antlr.TerminalNode | null;
    KW_ENCODING(): antlr.TerminalNode | null;
    KW_LOCATION(): antlr.TerminalNode | null;
    KW_OWNER(): antlr.TerminalNode | null;
    KW_TABLESPACE(): antlr.TerminalNode | null;
    KW_TEMPLATE(): antlr.TerminalNode | null;
    identifier(): IdentifierContext | null;
    signediconst(): SignediconstContext | null;
    opt_boolean_or_string(): Opt_boolean_or_stringContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    EQUAL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterdatabasestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_DATABASE(): antlr.TerminalNode;
    database_name(): Database_nameContext;
    KW_SET(): antlr.TerminalNode | null;
    KW_TABLESPACE(): antlr.TerminalNode | null;
    tablespace_name_create(): Tablespace_name_createContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    createdb_opt_item(): Createdb_opt_itemContext[];
    createdb_opt_item(i: number): Createdb_opt_itemContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterdatabasesetstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_DATABASE(): antlr.TerminalNode;
    database_name(): Database_nameContext;
    setresetclause(): SetresetclauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltercollationstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_COLLATION(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    KW_REFRESH(): antlr.TerminalNode;
    KW_VERSION(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltersystemstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_SYSTEM(): antlr.TerminalNode;
    generic_set(): Generic_setContext;
    KW_SET(): antlr.TerminalNode | null;
    KW_RESET(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreatedomainstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_DOMAIN(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    typename(): TypenameContext;
    KW_AS(): antlr.TerminalNode | null;
    colconstraint(): ColconstraintContext[];
    colconstraint(i: number): ColconstraintContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AlterdomainstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_DOMAIN(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    alter_column_default(): Alter_column_defaultContext | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_NULL(): antlr.TerminalNode | null;
    KW_ADD(): antlr.TerminalNode | null;
    constraintelem(): ConstraintelemContext | null;
    KW_DROP(): antlr.TerminalNode | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_VALIDATE(): antlr.TerminalNode | null;
    KW_SET(): antlr.TerminalNode | null;
    opt_if_exists(): Opt_if_existsContext | null;
    opt_drop_behavior(): Opt_drop_behaviorContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltertsdictionarystmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode;
    KW_TEXT(): antlr.TerminalNode;
    KW_SEARCH(): antlr.TerminalNode;
    KW_DICTIONARY(): antlr.TerminalNode;
    any_name(): Any_nameContext;
    definition(): DefinitionContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AltertsconfigurationstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALTER(): antlr.TerminalNode[];
    KW_ALTER(i: number): antlr.TerminalNode | null;
    KW_TEXT(): antlr.TerminalNode;
    KW_SEARCH(): antlr.TerminalNode;
    KW_CONFIGURATION(): antlr.TerminalNode;
    any_name(): Any_nameContext[];
    any_name(i: number): Any_nameContext | null;
    KW_MAPPING(): antlr.TerminalNode;
    KW_FOR(): antlr.TerminalNode | null;
    name_list(): Name_listContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    any_name_list(): Any_name_listContext | null;
    KW_ADD(): antlr.TerminalNode | null;
    KW_REPLACE(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    opt_if_exists(): Opt_if_existsContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CreateconversionstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CREATE(): antlr.TerminalNode;
    KW_CONVERSION(): antlr.TerminalNode;
    any_name(): Any_nameContext[];
    any_name(i: number): Any_nameContext | null;
    KW_FOR(): antlr.TerminalNode;
    sconst(): SconstContext[];
    sconst(i: number): SconstContext | null;
    KW_TO(): antlr.TerminalNode;
    KW_FROM(): antlr.TerminalNode;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ClusterstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CLUSTER(): antlr.TerminalNode;
    opt_verbose(): Opt_verboseContext[];
    opt_verbose(i: number): Opt_verboseContext | null;
    table_name(): Table_nameContext | null;
    table_access_method_clause(): Table_access_method_clauseContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class VacuumstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_VACUUM(): antlr.TerminalNode;
    vacuum_relation_list(): Vacuum_relation_listContext | null;
    explain_option_list(): Explain_option_listContext | null;
    KW_FULL(): antlr.TerminalNode | null;
    KW_FREEZE(): antlr.TerminalNode | null;
    opt_verbose(): Opt_verboseContext | null;
    analyze_keyword(): Analyze_keywordContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AnalyzestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    analyze_keyword(): Analyze_keywordContext;
    OPEN_PAREN(): antlr.TerminalNode | null;
    analyze_option_elem(): Analyze_option_elemContext[];
    analyze_option_elem(i: number): Analyze_option_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    vacuum_relation_list(): Vacuum_relation_listContext | null;
    opt_verbose(): Opt_verboseContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Analyze_keywordContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ANALYZE(): antlr.TerminalNode | null;
    KW_ANALYSE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Vac_analyze_option_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    nonreservedword(): NonreservedwordContext | null;
    analyze_keyword(): Analyze_keywordContext | null;
    opt_boolean_or_string(): Opt_boolean_or_stringContext | null;
    numericonly(): NumericonlyContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Analyze_option_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SKIP_LOCKED(): antlr.TerminalNode | null;
    KW_VERBOSE(): antlr.TerminalNode | null;
    KW_FALSE(): antlr.TerminalNode | null;
    KW_TRUE(): antlr.TerminalNode | null;
    KW_BUFFER_USAGE_LIMIT(): antlr.TerminalNode | null;
    numericonly(): NumericonlyContext | null;
    sconst(): SconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_verboseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_VERBOSE(): antlr.TerminalNode;
    KW_FALSE(): antlr.TerminalNode | null;
    KW_TRUE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Vacuum_relationContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    table_name(): Table_nameContext;
    opt_column_list(): Opt_column_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Vacuum_relation_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    vacuum_relation(): Vacuum_relationContext[];
    vacuum_relation(i: number): Vacuum_relationContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ExplainstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_EXPLAIN(): antlr.TerminalNode;
    explainablestmt(): ExplainablestmtContext;
    explain_option_list(): Explain_option_listContext | null;
    KW_VERBOSE(): antlr.TerminalNode | null;
    analyze_keyword(): Analyze_keywordContext | null;
    opt_verbose(): Opt_verboseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ExplainablestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    selectstmt(): SelectstmtContext | null;
    insertstmt(): InsertstmtContext | null;
    updatestmt(): UpdatestmtContext | null;
    deletestmt(): DeletestmtContext | null;
    declarecursorstmt(): DeclarecursorstmtContext | null;
    createasstmt(): CreateasstmtContext | null;
    creatematviewstmt(): CreatematviewstmtContext | null;
    refreshmatviewstmt(): RefreshmatviewstmtContext | null;
    executestmt(): ExecutestmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Explain_option_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    vac_analyze_option_elem(): Vac_analyze_option_elemContext[];
    vac_analyze_option_elem(i: number): Vac_analyze_option_elemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PreparestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_PREPARE(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_AS(): antlr.TerminalNode;
    preparablestmt(): PreparablestmtContext;
    prep_type_clause(): Prep_type_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Prep_type_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    typename(): TypenameContext[];
    typename(i: number): TypenameContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PreparablestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    selectstmt(): SelectstmtContext | null;
    insertstmt(): InsertstmtContext | null;
    updatestmt(): UpdatestmtContext | null;
    deletestmt(): DeletestmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ExecutestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_EXECUTE(): antlr.TerminalNode;
    colid(): ColidContext;
    execute_param_clause(): Execute_param_clauseContext | null;
    KW_CREATE(): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode | null;
    create_as_target(): Create_as_targetContext | null;
    KW_AS(): antlr.TerminalNode | null;
    opttemp(): OpttempContext | null;
    opt_if_not_exists(): Opt_if_not_existsContext | null;
    opt_with_data(): Opt_with_dataContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Execute_param_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    expr_list(): Expr_listContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DeallocatestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DEALLOCATE(): antlr.TerminalNode;
    colid(): ColidContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_PREPARE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class InsertstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: InsertstmtContext): void;
}
export declare class InsertStatementContext extends InsertstmtContext {
    constructor(ctx: InsertstmtContext);
    KW_INSERT(): antlr.TerminalNode;
    KW_INTO(): antlr.TerminalNode;
    table_name(): Table_nameContext;
    insert_rest(): Insert_restContext;
    with_clause(): With_clauseContext | null;
    KW_AS(): antlr.TerminalNode | null;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_ON(): antlr.TerminalNode[];
    KW_ON(i: number): antlr.TerminalNode | null;
    KW_CONFLICT(): antlr.TerminalNode | null;
    KW_DO(): antlr.TerminalNode | null;
    returning_clause(): Returning_clauseContext | null;
    KW_UPDATE(): antlr.TerminalNode | null;
    KW_SET(): antlr.TerminalNode | null;
    set_clause_list(): Set_clause_listContext | null;
    KW_NOTHING(): antlr.TerminalNode | null;
    index_params(): Index_paramsContext | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    where_clause(): Where_clauseContext[];
    where_clause(i: number): Where_clauseContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Insert_restContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    default_values_or_values(): Default_values_or_valuesContext | null;
    selectstmt(): SelectstmtContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    insert_column_list(): Insert_column_listContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_OVERRIDING(): antlr.TerminalNode | null;
    KW_VALUE(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_SYSTEM(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Insert_column_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    insert_column_item(): Insert_column_itemContext[];
    insert_column_item(i: number): Insert_column_itemContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Insert_column_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name(): Column_nameContext;
    opt_indirection(): Opt_indirectionContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Returning_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_RETURNING(): antlr.TerminalNode;
    target_list(): Target_listContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DeletestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DELETE(): antlr.TerminalNode;
    KW_FROM(): antlr.TerminalNode;
    relation_expr_opt_alias(): Relation_expr_opt_aliasContext;
    with_clause(): With_clauseContext | null;
    KW_USING(): antlr.TerminalNode | null;
    from_list(): From_listContext | null;
    where_or_current_clause(): Where_or_current_clauseContext | null;
    returning_clause(): Returning_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class LockstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_LOCK(): antlr.TerminalNode;
    relation_expr_list(): Relation_expr_listContext;
    KW_TABLE(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    KW_MODE(): antlr.TerminalNode | null;
    KW_NOWAIT(): antlr.TerminalNode | null;
    KW_SHARE(): antlr.TerminalNode | null;
    KW_EXCLUSIVE(): antlr.TerminalNode | null;
    KW_ACCESS(): antlr.TerminalNode | null;
    KW_ROW(): antlr.TerminalNode | null;
    KW_UPDATE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class UpdatestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_UPDATE(): antlr.TerminalNode;
    relation_expr_opt_alias(): Relation_expr_opt_aliasContext;
    KW_SET(): antlr.TerminalNode;
    set_clause_list(): Set_clause_listContext;
    with_clause(): With_clauseContext | null;
    from_clause(): From_clauseContext | null;
    where_or_current_clause(): Where_or_current_clauseContext | null;
    returning_clause(): Returning_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Set_clause_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    set_clause(): Set_clauseContext[];
    set_clause(i: number): Set_clauseContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Set_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    insert_column_item(): Insert_column_itemContext | null;
    EQUAL(): antlr.TerminalNode;
    expression(): ExpressionContext | null;
    OPEN_PAREN(): antlr.TerminalNode[];
    OPEN_PAREN(i: number): antlr.TerminalNode | null;
    insert_column_list(): Insert_column_listContext | null;
    CLOSE_PAREN(): antlr.TerminalNode[];
    CLOSE_PAREN(i: number): antlr.TerminalNode | null;
    select_clause(): Select_clauseContext | null;
    KW_ROW(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DeclarecursorstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DECLARE(): antlr.TerminalNode;
    colid(): ColidContext;
    KW_CURSOR(): antlr.TerminalNode;
    KW_FOR(): antlr.TerminalNode;
    selectstmt(): SelectstmtContext;
    KW_HOLD(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_WITHOUT(): antlr.TerminalNode | null;
    KW_BINARY(): antlr.TerminalNode[];
    KW_BINARY(i: number): antlr.TerminalNode | null;
    KW_INSENSITIVE(): antlr.TerminalNode[];
    KW_INSENSITIVE(i: number): antlr.TerminalNode | null;
    KW_SCROLL(): antlr.TerminalNode[];
    KW_SCROLL(i: number): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode[];
    KW_NO(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SelectstmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: SelectstmtContext): void;
}
export declare class SelectStatementContext extends SelectstmtContext {
    constructor(ctx: SelectstmtContext);
    select_no_parens(): Select_no_parensContext | null;
    select_with_parens(): Select_with_parensContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Select_with_parensContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    select_no_parens(): Select_no_parensContext | null;
    select_with_parens(): Select_with_parensContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Select_no_parensContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    select_clause(): Select_clauseContext;
    with_clause(): With_clauseContext | null;
    sort_clause(): Sort_clauseContext | null;
    for_locking_clause(): For_locking_clauseContext | null;
    select_limit(): Select_limitContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Select_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    simple_select(): Simple_selectContext | null;
    select_with_parens(): Select_with_parensContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Simple_selectContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SELECT(): antlr.TerminalNode | null;
    sql_expression(): Sql_expressionContext | null;
    values_clause(): Values_clauseContext | null;
    KW_TABLE(): antlr.TerminalNode | null;
    relation_expr(): Relation_exprContext | null;
    select_with_parens(): Select_with_parensContext[];
    select_with_parens(i: number): Select_with_parensContext | null;
    set_operator_with_all_or_distinct(): Set_operator_with_all_or_distinctContext[];
    set_operator_with_all_or_distinct(i: number): Set_operator_with_all_or_distinctContext | null;
    simple_select(): Simple_selectContext[];
    simple_select(i: number): Simple_selectContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    into_clause(): Into_clauseContext | null;
    distinct_clause(): Distinct_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Set_operator_with_all_or_distinctContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_UNION(): antlr.TerminalNode | null;
    KW_INTERSECT(): antlr.TerminalNode | null;
    KW_EXCEPT(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_DISTINCT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class With_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WITH(): antlr.TerminalNode;
    common_table_expr(): Common_table_exprContext[];
    common_table_expr(i: number): Common_table_exprContext | null;
    KW_RECURSIVE(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Common_table_exprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    KW_AS(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    preparablestmt(): PreparablestmtContext;
    CLOSE_PAREN(): antlr.TerminalNode;
    opt_column_list(): Opt_column_listContext | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    search_cluase(): Search_cluaseContext | null;
    cycle_cluase(): Cycle_cluaseContext | null;
    KW_NOT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Search_cluaseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SEARCH(): antlr.TerminalNode;
    KW_FIRST(): antlr.TerminalNode;
    KW_BY(): antlr.TerminalNode;
    column_list(): Column_listContext;
    KW_SET(): antlr.TerminalNode;
    column_name(): Column_nameContext;
    KW_BREADTH(): antlr.TerminalNode | null;
    KW_DEPTH(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Cycle_cluaseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CYCLE(): antlr.TerminalNode;
    column_list(): Column_listContext;
    KW_SET(): antlr.TerminalNode;
    column_name(): Column_nameContext[];
    column_name(i: number): Column_nameContext | null;
    KW_USING(): antlr.TerminalNode;
    KW_TO(): antlr.TerminalNode | null;
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Into_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_INTO(): antlr.TerminalNode;
    opttempTableName(): OpttempTableNameContext | null;
    expr_list(): Expr_listContext | null;
    KW_STRICT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class OpttempTableNameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    table_name_create(): Table_name_createContext;
    KW_TEMPORARY(): antlr.TerminalNode | null;
    KW_TEMP(): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode | null;
    KW_LOCAL(): antlr.TerminalNode | null;
    KW_GLOBAL(): antlr.TerminalNode | null;
    KW_UNLOGGED(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Distinct_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DISTINCT(): antlr.TerminalNode;
    KW_ON(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Sort_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ORDER(): antlr.TerminalNode;
    KW_BY(): antlr.TerminalNode;
    sortby(): SortbyContext[];
    sortby(i: number): SortbyContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SortbyContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_expr_noparen(): Column_expr_noparenContext;
    KW_USING(): antlr.TerminalNode | null;
    qual_all_op(): Qual_all_opContext | null;
    KW_NULLS(): antlr.TerminalNode | null;
    KW_ASC(): antlr.TerminalNode | null;
    KW_DESC(): antlr.TerminalNode | null;
    KW_FIRST(): antlr.TerminalNode | null;
    KW_LAST(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Select_limitContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    offset_clause(): Offset_clauseContext | null;
    fetch_clause(): Fetch_clauseContext | null;
    limit_clause(): Limit_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Limit_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_LIMIT(): antlr.TerminalNode;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    KW_ALL(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Fetch_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FETCH(): antlr.TerminalNode;
    KW_FIRST(): antlr.TerminalNode | null;
    KW_NEXT(): antlr.TerminalNode | null;
    KW_ROW(): antlr.TerminalNode | null;
    KW_ROWS(): antlr.TerminalNode | null;
    KW_ONLY(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_TIES(): antlr.TerminalNode | null;
    select_fetch_first_value(): Select_fetch_first_valueContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Offset_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_OFFSET(): antlr.TerminalNode;
    select_fetch_first_value(): Select_fetch_first_valueContext | null;
    expression(): ExpressionContext | null;
    KW_ROW(): antlr.TerminalNode | null;
    KW_ROWS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Select_fetch_first_valueContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    PLUS(): antlr.TerminalNode | null;
    MINUS(): antlr.TerminalNode | null;
    Integral(): antlr.TerminalNode | null;
    Numeric(): antlr.TerminalNode | null;
    primaryExpression(): PrimaryExpressionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Group_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_GROUP(): antlr.TerminalNode;
    KW_BY(): antlr.TerminalNode;
    group_by_list(): Group_by_listContext;
    KW_ALL(): antlr.TerminalNode | null;
    KW_DISTINCT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Group_by_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    group_by_item(): Group_by_itemContext[];
    group_by_item(i: number): Group_by_itemContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Group_by_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_expr_noparen(): Column_expr_noparenContext[];
    column_expr_noparen(i: number): Column_expr_noparenContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_CUBE(): antlr.TerminalNode | null;
    KW_ROLLUP(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_GROUPING(): antlr.TerminalNode | null;
    KW_SETS(): antlr.TerminalNode | null;
    group_by_list(): Group_by_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class For_locking_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FOR(): antlr.TerminalNode[];
    KW_FOR(i: number): antlr.TerminalNode | null;
    KW_UPDATE(): antlr.TerminalNode[];
    KW_UPDATE(i: number): antlr.TerminalNode | null;
    KW_SHARE(): antlr.TerminalNode[];
    KW_SHARE(i: number): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode[];
    KW_OF(i: number): antlr.TerminalNode | null;
    qualified_name_list(): Qualified_name_listContext[];
    qualified_name_list(i: number): Qualified_name_listContext | null;
    KW_NOWAIT(): antlr.TerminalNode[];
    KW_NOWAIT(i: number): antlr.TerminalNode | null;
    KW_SKIP(): antlr.TerminalNode[];
    KW_SKIP(i: number): antlr.TerminalNode | null;
    KW_LOCKED(): antlr.TerminalNode[];
    KW_LOCKED(i: number): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode[];
    KW_NO(i: number): antlr.TerminalNode | null;
    KW_KEY(): antlr.TerminalNode[];
    KW_KEY(i: number): antlr.TerminalNode | null;
    KW_READ(): antlr.TerminalNode | null;
    KW_ONLY(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Values_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_VALUES(): antlr.TerminalNode;
    execute_param_clause(): Execute_param_clauseContext[];
    execute_param_clause(i: number): Execute_param_clauseContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class From_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FROM(): antlr.TerminalNode;
    from_list(): From_listContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class From_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    table_ref(): Table_refContext[];
    table_ref(i: number): Table_refContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Table_refContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode | null;
    table_ref(): Table_refContext[];
    table_ref(i: number): Table_refContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_CROSS(): antlr.TerminalNode[];
    KW_CROSS(i: number): antlr.TerminalNode | null;
    KW_JOIN(): antlr.TerminalNode[];
    KW_JOIN(i: number): antlr.TerminalNode | null;
    KW_NATURAL(): antlr.TerminalNode[];
    KW_NATURAL(i: number): antlr.TerminalNode | null;
    join_qual(): Join_qualContext[];
    join_qual(i: number): Join_qualContext | null;
    relation_expr(): Relation_exprContext | null;
    xmltable(): XmltableContext | null;
    func_table(): Func_tableContext | null;
    select_with_parens(): Select_with_parensContext | null;
    alias_clause(): Alias_clauseContext | null;
    tablesample_clause(): Tablesample_clauseContext | null;
    KW_LATERAL(): antlr.TerminalNode | null;
    view_name(): View_nameContext | null;
    join_type(): Join_typeContext[];
    join_type(i: number): Join_typeContext | null;
    func_alias_clause(): Func_alias_clauseContext | null;
    KW_ONLY(): antlr.TerminalNode | null;
    STAR(): antlr.TerminalNode | null;
    column_list(): Column_listContext | null;
    where_clause(): Where_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Alias_clauseContext extends antlr.ParserRuleContext {
    _alias?: ColidContext;
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    KW_AS(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    name_list(): Name_listContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_alias_clauseContext extends antlr.ParserRuleContext {
    _alias?: ColidContext;
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    alias_clause(): Alias_clauseContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    tablefuncelementlist(): TablefuncelementlistContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Join_typeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FULL(): antlr.TerminalNode | null;
    KW_LEFT(): antlr.TerminalNode | null;
    KW_RIGHT(): antlr.TerminalNode | null;
    KW_INNER(): antlr.TerminalNode | null;
    KW_OUTER(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Join_qualContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_USING(): antlr.TerminalNode | null;
    opt_column_list(): Opt_column_listContext | null;
    KW_ON(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Relation_exprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    truncate_table(): Truncate_tableContext | null;
    KW_ONLY(): antlr.TerminalNode | null;
    table_name(): Table_nameContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext | null;
    KW_CURRENT_SCHEMA(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Publication_relation_exprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TABLE(): antlr.TerminalNode | null;
    truncate_table(): Truncate_tableContext | null;
    opt_column_list(): Opt_column_listContext | null;
    where_clause(): Where_clauseContext | null;
    KW_ONLY(): antlr.TerminalNode | null;
    table_name(): Table_nameContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_TABLES(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    schema_name(): Schema_nameContext | null;
    KW_CURRENT_SCHEMA(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Relation_expr_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    relation_expr(): Relation_exprContext[];
    relation_expr(i: number): Relation_exprContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Relation_expr_opt_aliasContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    relation_expr(): Relation_exprContext;
    colid(): ColidContext | null;
    KW_AS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Tablesample_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TABLESAMPLE(): antlr.TerminalNode;
    function_name(): Function_nameContext;
    execute_param_clause(): Execute_param_clauseContext;
    KW_REPEATABLE(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_tableContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_expr_windowless(): Func_expr_windowlessContext | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_ORDINALITY(): antlr.TerminalNode | null;
    KW_ROWS(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    rowsfrom_item(): Rowsfrom_itemContext[];
    rowsfrom_item(i: number): Rowsfrom_itemContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Rowsfrom_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_expr_windowless(): Func_expr_windowlessContext;
    KW_AS(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    tablefuncelementlist(): TablefuncelementlistContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Where_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WHERE(): antlr.TerminalNode;
    column_expr_noparen(): Column_expr_noparenContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Where_or_current_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WHERE(): antlr.TerminalNode;
    KW_CURRENT(): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    expression(): ExpressionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TablefuncelementlistContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    tablefuncelement(): TablefuncelementContext[];
    tablefuncelement(i: number): TablefuncelementContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TablefuncelementContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    typename(): TypenameContext;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class XmltableContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_XMLTABLE(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode[];
    OPEN_PAREN(i: number): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode[];
    CLOSE_PAREN(i: number): antlr.TerminalNode | null;
    primaryExpression(): PrimaryExpressionContext | null;
    xmlexists_argument(): Xmlexists_argumentContext | null;
    KW_COLUMNS(): antlr.TerminalNode | null;
    xmltable_column_el(): Xmltable_column_elContext[];
    xmltable_column_el(i: number): Xmltable_column_elContext | null;
    KW_XMLNAMESPACES(): antlr.TerminalNode | null;
    xml_namespace_el(): Xml_namespace_elContext[];
    xml_namespace_el(i: number): Xml_namespace_elContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Xmltable_column_elContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    typename(): TypenameContext | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_ORDINALITY(): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    KW_NULL(): antlr.TerminalNode[];
    KW_NULL(i: number): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode[];
    KW_DEFAULT(i: number): antlr.TerminalNode | null;
    identifier(): IdentifierContext[];
    identifier(i: number): IdentifierContext | null;
    KW_NOT(): antlr.TerminalNode[];
    KW_NOT(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Xml_namespace_elContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    primaryExpression(): PrimaryExpressionContext;
    KW_AS(): antlr.TerminalNode | null;
    collabel(): CollabelContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class TypenameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    simpletypename(): SimpletypenameContext | null;
    KW_ARRAY(): antlr.TerminalNode | null;
    KW_SETOF(): antlr.TerminalNode | null;
    OPEN_BRACKET(): antlr.TerminalNode[];
    OPEN_BRACKET(i: number): antlr.TerminalNode | null;
    Integral(): antlr.TerminalNode[];
    Integral(i: number): antlr.TerminalNode | null;
    CLOSE_BRACKET(): antlr.TerminalNode[];
    CLOSE_BRACKET(i: number): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    PERCENT(): antlr.TerminalNode | null;
    KW_ROWTYPE(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SimpletypenameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    type_function_name(): Type_function_nameContext | null;
    attrs(): AttrsContext | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    consttypename(): ConsttypenameContext | null;
    KW_INTERVAL(): antlr.TerminalNode | null;
    opt_float(): Opt_floatContext | null;
    opt_interval(): Opt_intervalContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ConsttypenameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    numeric(): NumericContext | null;
    bit(): BitContext | null;
    character(): CharacterContext | null;
    constdatetime(): ConstdatetimeContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class NumericContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_INT(): antlr.TerminalNode | null;
    KW_INTEGER(): antlr.TerminalNode | null;
    KW_SMALLINT(): antlr.TerminalNode | null;
    KW_BIGINT(): antlr.TerminalNode | null;
    KW_REAL(): antlr.TerminalNode | null;
    KW_FLOAT(): antlr.TerminalNode | null;
    opt_float(): Opt_floatContext | null;
    KW_DOUBLE(): antlr.TerminalNode | null;
    KW_PRECISION(): antlr.TerminalNode | null;
    KW_DECIMAL(): antlr.TerminalNode | null;
    KW_DEC(): antlr.TerminalNode | null;
    KW_NUMERIC(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    KW_BOOLEAN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_floatContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    Integral(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class BitContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_BIT(): antlr.TerminalNode;
    KW_VARYING(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CharacterContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_VARCHAR(): antlr.TerminalNode | null;
    KW_NATIONAL(): antlr.TerminalNode | null;
    KW_CHARACTER(): antlr.TerminalNode | null;
    KW_CHAR(): antlr.TerminalNode | null;
    KW_NCHAR(): antlr.TerminalNode | null;
    opt_float(): Opt_floatContext | null;
    KW_VARYING(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ConstdatetimeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_TIMESTAMP(): antlr.TerminalNode | null;
    KW_TIME(): antlr.TerminalNode[];
    KW_TIME(i: number): antlr.TerminalNode | null;
    opt_float(): Opt_floatContext | null;
    KW_ZONE(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    KW_WITHOUT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_intervalContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_MONTH(): antlr.TerminalNode | null;
    interval_second(): Interval_secondContext | null;
    KW_YEAR(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    KW_DAY(): antlr.TerminalNode | null;
    KW_HOUR(): antlr.TerminalNode | null;
    KW_MINUTE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Interval_secondContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SECOND(): antlr.TerminalNode;
    opt_float(): Opt_floatContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ComparisonOperatorContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    LT(): antlr.TerminalNode | null;
    GT(): antlr.TerminalNode | null;
    EQUAL(): antlr.TerminalNode | null;
    LESS_EQUALS(): antlr.TerminalNode | null;
    GREATER_EQUALS(): antlr.TerminalNode | null;
    NOT_EQUALS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ExpressionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    booleanExpression(): BooleanExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class BooleanExpressionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: BooleanExpressionContext): void;
}
export declare class LogicalNotContext extends BooleanExpressionContext {
    constructor(ctx: BooleanExpressionContext);
    KW_NOT(): antlr.TerminalNode;
    booleanExpression(): BooleanExpressionContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PredicatedContext extends BooleanExpressionContext {
    _valueExpression?: ValueExpressionContext;
    constructor(ctx: BooleanExpressionContext);
    valueExpression(): ValueExpressionContext;
    predicate(): PredicateContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class LogicalBinaryContext extends BooleanExpressionContext {
    _left?: BooleanExpressionContext;
    _operator?: Token | null;
    _right?: BooleanExpressionContext;
    constructor(ctx: BooleanExpressionContext);
    booleanExpression(): BooleanExpressionContext[];
    booleanExpression(i: number): BooleanExpressionContext | null;
    KW_AND(): antlr.TerminalNode | null;
    KW_OR(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PredicateContext extends antlr.ParserRuleContext {
    value: antlr.ParserRuleContext;
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number, value: antlr.ParserRuleContext);
    get ruleIndex(): number;
    copyFrom(ctx: PredicateContext): void;
}
export declare class ComparisonContext extends PredicateContext {
    _right?: ValueExpressionContext;
    constructor(ctx: PredicateContext);
    comparisonOperator(): ComparisonOperatorContext;
    valueExpression(): ValueExpressionContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class LikeContext extends PredicateContext {
    _pattern?: ValueExpressionContext;
    _escape?: ValueExpressionContext;
    constructor(ctx: PredicateContext);
    valueExpression(): ValueExpressionContext[];
    valueExpression(i: number): ValueExpressionContext | null;
    KW_LIKE(): antlr.TerminalNode | null;
    KW_ILIKE(): antlr.TerminalNode | null;
    KW_SIMILAR(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    KW_BETWEEN(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_ESCAPE(): antlr.TerminalNode | null;
    KW_SYMMETRIC(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class InSubqueryContext extends PredicateContext {
    constructor(ctx: PredicateContext);
    KW_IN(): antlr.TerminalNode;
    select_with_parens(): Select_with_parensContext;
    KW_NOT(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class DistinctFromContext extends PredicateContext {
    _right?: ValueExpressionContext;
    constructor(ctx: PredicateContext);
    KW_IS(): antlr.TerminalNode;
    KW_DISTINCT(): antlr.TerminalNode;
    KW_FROM(): antlr.TerminalNode;
    valueExpression(): ValueExpressionContext;
    KW_NOT(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class InListContext extends PredicateContext {
    constructor(ctx: PredicateContext);
    KW_IN(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode;
    KW_NOT(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class NullPredicateContext extends PredicateContext {
    constructor(ctx: PredicateContext);
    KW_IS(): antlr.TerminalNode;
    KW_NULL(): antlr.TerminalNode;
    KW_NOT(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class BetweenContext extends PredicateContext {
    _lower?: ValueExpressionContext;
    _upper?: ValueExpressionContext;
    constructor(ctx: PredicateContext);
    KW_BETWEEN(): antlr.TerminalNode;
    KW_AND(): antlr.TerminalNode;
    valueExpression(): ValueExpressionContext[];
    valueExpression(i: number): ValueExpressionContext | null;
    KW_NOT(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class QuantifiedComparisonContext extends PredicateContext {
    constructor(ctx: PredicateContext);
    comparisonOperator(): ComparisonOperatorContext;
    subquery_Op(): Subquery_OpContext;
    sub_type(): Sub_typeContext;
    select_with_parens(): Select_with_parensContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ValueExpressionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: ValueExpressionContext): void;
}
export declare class ValueExpressionDefaultContext extends ValueExpressionContext {
    constructor(ctx: ValueExpressionContext);
    primaryExpression(): PrimaryExpressionContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ConcatenationContext extends ValueExpressionContext {
    _left?: ValueExpressionContext;
    _right?: ValueExpressionContext;
    constructor(ctx: ValueExpressionContext);
    CARET(): antlr.TerminalNode;
    valueExpression(): ValueExpressionContext[];
    valueExpression(i: number): ValueExpressionContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ArithmeticBinaryContext extends ValueExpressionContext {
    _left?: ValueExpressionContext;
    _operator?: Token | null;
    _right?: ValueExpressionContext;
    constructor(ctx: ValueExpressionContext);
    valueExpression(): ValueExpressionContext[];
    valueExpression(i: number): ValueExpressionContext | null;
    STAR(): antlr.TerminalNode | null;
    SLASH(): antlr.TerminalNode | null;
    PERCENT(): antlr.TerminalNode | null;
    PLUS(): antlr.TerminalNode | null;
    MINUS(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ArithmeticUnaryContext extends ValueExpressionContext {
    _operator?: Token | null;
    constructor(ctx: ValueExpressionContext);
    valueExpression(): ValueExpressionContext;
    MINUS(): antlr.TerminalNode | null;
    PLUS(): antlr.TerminalNode | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AtTimeZoneContext extends ValueExpressionContext {
    constructor(ctx: ValueExpressionContext);
    valueExpression(): ValueExpressionContext;
    KW_AT(): antlr.TerminalNode;
    KW_TIME(): antlr.TerminalNode;
    KW_ZONE(): antlr.TerminalNode;
    expression(): ExpressionContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class PrimaryExpressionContext extends antlr.ParserRuleContext {
    _a_expr_in_parens?: ExpressionContext;
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    select_with_parens(): Select_with_parensContext | null;
    KW_EXISTS(): antlr.TerminalNode | null;
    KW_UNIQUE(): antlr.TerminalNode | null;
    KW_ARRAY(): antlr.TerminalNode | null;
    array_expr(): Array_exprContext | null;
    PARAM(): antlr.TerminalNode | null;
    opt_indirection(): Opt_indirectionContext | null;
    KW_GROUPING(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    Integral(): antlr.TerminalNode | null;
    Numeric(): antlr.TerminalNode | null;
    BinaryStringConstant(): antlr.TerminalNode | null;
    HexadecimalStringConstant(): antlr.TerminalNode | null;
    function_name(): Function_nameContext | null;
    sconst(): SconstContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    func_arg_list(): Func_arg_listContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    sort_clause(): Sort_clauseContext | null;
    consttypename(): ConsttypenameContext | null;
    KW_INTERVAL(): antlr.TerminalNode | null;
    opt_float(): Opt_floatContext | null;
    opt_interval(): Opt_intervalContext | null;
    KW_TRUE(): antlr.TerminalNode | null;
    KW_FALSE(): antlr.TerminalNode | null;
    KW_NULL(): antlr.TerminalNode | null;
    PLSQLVARIABLENAME(): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    KW_CASE(): antlr.TerminalNode | null;
    KW_END(): antlr.TerminalNode | null;
    when_clause(): When_clauseContext[];
    when_clause(i: number): When_clauseContext | null;
    KW_ELSE(): antlr.TerminalNode | null;
    func_expr(): Func_exprContext | null;
    indirection(): IndirectionContext | null;
    explicit_row(): Explicit_rowContext | null;
    COMMA(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    row(): RowContext[];
    row(i: number): RowContext | null;
    KW_OVERLAPS(): antlr.TerminalNode | null;
    qualified_name(): Qualified_nameContext | null;
    primaryExpression(): PrimaryExpressionContext[];
    primaryExpression(i: number): PrimaryExpressionContext | null;
    PLUS(): antlr.TerminalNode | null;
    MINUS(): antlr.TerminalNode | null;
    qual_op(): Qual_opContext | null;
    mathop(): MathopContext | null;
    TYPECAST(): antlr.TerminalNode | null;
    typename(): TypenameContext | null;
    KW_IS(): antlr.TerminalNode | null;
    KW_DISTINCT(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode | null;
    prep_type_clause(): Prep_type_clauseContext | null;
    KW_DOCUMENT(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_applicationContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    function_name(): Function_nameContext;
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    func_arg_list(): Func_arg_listContext | null;
    KW_VARIADIC(): antlr.TerminalNode | null;
    func_arg_expr(): Func_arg_exprContext | null;
    STAR(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_DISTINCT(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode | null;
    sort_clause(): Sort_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_exprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_application(): Func_applicationContext | null;
    KW_WITHIN(): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode[];
    OPEN_PAREN(i: number): antlr.TerminalNode | null;
    sort_clause(): Sort_clauseContext | null;
    CLOSE_PAREN(): antlr.TerminalNode[];
    CLOSE_PAREN(i: number): antlr.TerminalNode | null;
    KW_FILTER(): antlr.TerminalNode | null;
    KW_WHERE(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    KW_OVER(): antlr.TerminalNode | null;
    window_specification(): Window_specificationContext | null;
    colid(): ColidContext | null;
    func_expr_common_subexpr(): Func_expr_common_subexprContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_expr_windowlessContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_application(): Func_applicationContext | null;
    func_expr_common_subexpr(): Func_expr_common_subexprContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_expr_common_subexprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_COLLATION(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode[];
    OPEN_PAREN(i: number): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode[];
    CLOSE_PAREN(i: number): antlr.TerminalNode | null;
    KW_CURRENT_DATE(): antlr.TerminalNode | null;
    KW_CURRENT_TIME(): antlr.TerminalNode | null;
    KW_CURRENT_TIMESTAMP(): antlr.TerminalNode | null;
    KW_LOCALTIME(): antlr.TerminalNode | null;
    KW_LOCALTIMESTAMP(): antlr.TerminalNode | null;
    opt_float(): Opt_floatContext | null;
    KW_CURRENT_ROLE(): antlr.TerminalNode | null;
    KW_CURRENT_USER(): antlr.TerminalNode | null;
    KW_SESSION_USER(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_CURRENT_CATALOG(): antlr.TerminalNode | null;
    KW_CURRENT_SCHEMA(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    typename(): TypenameContext | null;
    KW_CAST(): antlr.TerminalNode | null;
    KW_TREAT(): antlr.TerminalNode | null;
    KW_EXTRACT(): antlr.TerminalNode | null;
    extract_arg(): Extract_argContext | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_NORMALIZE(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    unicode_normal_form(): Unicode_normal_formContext | null;
    KW_OVERLAY(): antlr.TerminalNode | null;
    KW_PLACING(): antlr.TerminalNode | null;
    KW_POSITION(): antlr.TerminalNode | null;
    primaryExpression(): PrimaryExpressionContext[];
    primaryExpression(i: number): PrimaryExpressionContext | null;
    KW_IN(): antlr.TerminalNode | null;
    KW_SUBSTRING(): antlr.TerminalNode | null;
    substr_list(): Substr_listContext | null;
    KW_TRIM(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    KW_BOTH(): antlr.TerminalNode | null;
    KW_LEADING(): antlr.TerminalNode | null;
    KW_TRAILING(): antlr.TerminalNode | null;
    KW_NULLIF(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    KW_COALESCE(): antlr.TerminalNode | null;
    KW_GREATEST(): antlr.TerminalNode | null;
    KW_LEAST(): antlr.TerminalNode | null;
    KW_XMLCONCAT(): antlr.TerminalNode | null;
    KW_XMLELEMENT(): antlr.TerminalNode | null;
    KW_NAME(): antlr.TerminalNode | null;
    collabel(): CollabelContext | null;
    KW_XMLATTRIBUTES(): antlr.TerminalNode | null;
    xml_attribute_list(): Xml_attribute_listContext | null;
    KW_XMLEXISTS(): antlr.TerminalNode | null;
    xmlexists_argument(): Xmlexists_argumentContext | null;
    KW_XMLFOREST(): antlr.TerminalNode | null;
    KW_XMLPARSE(): antlr.TerminalNode | null;
    document_or_content(): Document_or_contentContext | null;
    KW_WHITESPACE(): antlr.TerminalNode | null;
    KW_PRESERVE(): antlr.TerminalNode | null;
    KW_STRIP(): antlr.TerminalNode | null;
    KW_XMLPI(): antlr.TerminalNode | null;
    KW_XMLROOT(): antlr.TerminalNode | null;
    KW_XML(): antlr.TerminalNode | null;
    KW_VERSION(): antlr.TerminalNode | null;
    KW_STANDALONE(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode[];
    KW_NO(i: number): antlr.TerminalNode | null;
    KW_VALUE(): antlr.TerminalNode[];
    KW_VALUE(i: number): antlr.TerminalNode | null;
    KW_YES(): antlr.TerminalNode | null;
    KW_XMLSERIALIZE(): antlr.TerminalNode | null;
    simpletypename(): SimpletypenameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Xml_attribute_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    xml_attribute_el(): Xml_attribute_elContext[];
    xml_attribute_el(i: number): Xml_attribute_elContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Xml_attribute_elContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    expression(): ExpressionContext;
    KW_AS(): antlr.TerminalNode | null;
    collabel(): CollabelContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Document_or_contentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_DOCUMENT(): antlr.TerminalNode | null;
    KW_CONTENT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Xmlexists_argumentContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_PASSING(): antlr.TerminalNode;
    primaryExpression(): PrimaryExpressionContext;
    xml_passing_mech(): Xml_passing_mechContext[];
    xml_passing_mech(i: number): Xml_passing_mechContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Xml_passing_mechContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_BY(): antlr.TerminalNode;
    KW_REF(): antlr.TerminalNode | null;
    KW_VALUE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Window_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WINDOW(): antlr.TerminalNode;
    window_definition(): Window_definitionContext[];
    window_definition(i: number): Window_definitionContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Window_definitionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    KW_AS(): antlr.TerminalNode;
    window_specification(): Window_specificationContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Over_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_OVER(): antlr.TerminalNode;
    window_specification(): Window_specificationContext | null;
    colid(): ColidContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Window_specificationContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    colid(): ColidContext | null;
    KW_PARTITION(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    sort_clause(): Sort_clauseContext | null;
    opt_frame_clause(): Opt_frame_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_frame_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_RANGE(): antlr.TerminalNode | null;
    KW_ROWS(): antlr.TerminalNode | null;
    KW_GROUPS(): antlr.TerminalNode | null;
    frame_bound(): Frame_boundContext[];
    frame_bound(i: number): Frame_boundContext | null;
    KW_EXCLUDE(): antlr.TerminalNode | null;
    KW_BETWEEN(): antlr.TerminalNode | null;
    KW_AND(): antlr.TerminalNode | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    KW_ROW(): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode | null;
    KW_TIES(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    KW_OTHERS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Frame_boundContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_PRECEDING(): antlr.TerminalNode | null;
    KW_FOLLOWING(): antlr.TerminalNode | null;
    KW_UNBOUNDED(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    KW_ROW(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RowContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    explicit_row(): Explicit_rowContext | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    COMMA(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Explicit_rowContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ROW(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode;
    CLOSE_PAREN(): antlr.TerminalNode;
    expr_list(): Expr_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Sub_typeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ANY(): antlr.TerminalNode | null;
    KW_SOME(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class All_opContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    Operator(): antlr.TerminalNode | null;
    mathop(): MathopContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class MathopContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    PLUS(): antlr.TerminalNode | null;
    MINUS(): antlr.TerminalNode | null;
    STAR(): antlr.TerminalNode | null;
    SLASH(): antlr.TerminalNode | null;
    PERCENT(): antlr.TerminalNode | null;
    CARET(): antlr.TerminalNode | null;
    LT(): antlr.TerminalNode | null;
    GT(): antlr.TerminalNode | null;
    EQUAL(): antlr.TerminalNode | null;
    LESS_EQUALS(): antlr.TerminalNode | null;
    GREATER_EQUALS(): antlr.TerminalNode | null;
    NOT_EQUALS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Qual_opContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    Operator(): antlr.TerminalNode | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    any_operator(): Any_operatorContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Qual_all_opContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    all_op(): All_opContext | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    any_operator(): Any_operatorContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Subquery_OpContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    qual_all_op(): Qual_all_opContext | null;
    KW_LIKE(): antlr.TerminalNode | null;
    KW_ILIKE(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Expr_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Column_exprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_PAREN(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    column_name(): Column_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Column_expr_noparenContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    expression(): ExpressionContext | null;
    column_name(): Column_nameContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_arg_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    func_arg_expr(): Func_arg_exprContext[];
    func_arg_expr(i: number): Func_arg_exprContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Func_arg_exprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    column_name(): Column_nameContext | null;
    expression(): ExpressionContext | null;
    type_function_name(): Type_function_nameContext | null;
    COLON_EQUALS(): antlr.TerminalNode | null;
    EQUALS_GREATER(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Array_exprContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    OPEN_BRACKET(): antlr.TerminalNode;
    CLOSE_BRACKET(): antlr.TerminalNode;
    expr_list(): Expr_listContext | null;
    array_expr(): Array_exprContext[];
    array_expr(i: number): Array_exprContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Extract_argContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    identifier(): IdentifierContext | null;
    KW_YEAR(): antlr.TerminalNode | null;
    KW_MONTH(): antlr.TerminalNode | null;
    KW_DAY(): antlr.TerminalNode | null;
    KW_HOUR(): antlr.TerminalNode | null;
    KW_MINUTE(): antlr.TerminalNode | null;
    KW_SECOND(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Unicode_normal_formContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_NFC(): antlr.TerminalNode | null;
    KW_NFD(): antlr.TerminalNode | null;
    KW_NFKC(): antlr.TerminalNode | null;
    KW_NFKD(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Substr_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_SIMILAR(): antlr.TerminalNode | null;
    KW_ESCAPE(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class When_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WHEN(): antlr.TerminalNode;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    KW_THEN(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Indirection_elContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    DOT(): antlr.TerminalNode | null;
    collabel(): CollabelContext | null;
    STAR(): antlr.TerminalNode | null;
    OPEN_BRACKET(): antlr.TerminalNode | null;
    CLOSE_BRACKET(): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    COLON(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class IndirectionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    indirection_el(): Indirection_elContext[];
    indirection_el(i: number): Indirection_elContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_indirectionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    indirection_el(): Indirection_elContext[];
    indirection_el(i: number): Indirection_elContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Target_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    target_el(): Target_elContext[];
    target_el(i: number): Target_elContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Target_elContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Target_elContext): void;
}
export declare class Target_labelContext extends Target_elContext {
    constructor(ctx: Target_elContext);
    column_expr_noparen(): Column_expr_noparenContext;
    KW_AS(): antlr.TerminalNode | null;
    collabel(): CollabelContext | null;
    identifier(): IdentifierContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Target_starContext extends Target_elContext {
    constructor(ctx: Target_elContext);
    STAR(): antlr.TerminalNode;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Qualified_name_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    qualified_name(): Qualified_nameContext[];
    qualified_name(i: number): Qualified_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Table_name_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    table_name(): Table_nameContext[];
    table_name(i: number): Table_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Schema_name_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    schema_name(): Schema_nameContext[];
    schema_name(i: number): Schema_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Database_nameListContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    database_name(): Database_nameContext[];
    database_name(i: number): Database_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Tablespace_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Tablespace_name_createContext): void;
}
export declare class TablespaceNameCreateContext extends Tablespace_name_createContext {
    constructor(ctx: Tablespace_name_createContext);
    qualified_name(): Qualified_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Tablespace_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Tablespace_nameContext): void;
}
export declare class TablespaceNameContext extends Tablespace_nameContext {
    constructor(ctx: Tablespace_nameContext);
    qualified_name(): Qualified_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Table_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Table_name_createContext): void;
}
export declare class TableNameCreateContext extends Table_name_createContext {
    constructor(ctx: Table_name_createContext);
    qualified_name(): Qualified_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Table_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Table_nameContext): void;
}
export declare class TableNameContext extends Table_nameContext {
    constructor(ctx: Table_nameContext);
    qualified_name(): Qualified_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class View_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: View_name_createContext): void;
}
export declare class ViewNameCreateContext extends View_name_createContext {
    constructor(ctx: View_name_createContext);
    qualified_name(): Qualified_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class View_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: View_nameContext): void;
}
export declare class ViewNameContext extends View_nameContext {
    constructor(ctx: View_nameContext);
    any_name(): Any_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Qualified_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext;
    indirection(): IndirectionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Tablespace_name_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    tablespace_name(): Tablespace_nameContext[];
    tablespace_name(i: number): Tablespace_nameContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Name_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext[];
    colid(i: number): ColidContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Database_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Database_name_createContext): void;
}
export declare class DatabaseNameCreateContext extends Database_name_createContext {
    constructor(ctx: Database_name_createContext);
    any_name(): Any_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Database_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Database_nameContext): void;
}
export declare class DatabaseNameContext extends Database_nameContext {
    constructor(ctx: Database_nameContext);
    any_name(): Any_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Schema_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Schema_nameContext): void;
}
export declare class SchemaNameContext extends Schema_nameContext {
    constructor(ctx: Schema_nameContext);
    any_name(): Any_nameContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Routine_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Routine_name_createContext): void;
}
export declare class RoutineNameCreateContext extends Routine_name_createContext {
    constructor(ctx: Routine_name_createContext);
    colid(): ColidContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Routine_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Routine_nameContext): void;
}
export declare class RoutineNameContext extends Routine_nameContext {
    constructor(ctx: Routine_nameContext);
    colid(): ColidContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Procedure_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Procedure_nameContext): void;
}
export declare class ProcedureNameContext extends Procedure_nameContext {
    constructor(ctx: Procedure_nameContext);
    type_function_name(): Type_function_nameContext | null;
    colid(): ColidContext | null;
    indirection(): IndirectionContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Procedure_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Procedure_name_createContext): void;
}
export declare class ProcedureNameCreateContext extends Procedure_name_createContext {
    constructor(ctx: Procedure_name_createContext);
    type_function_name(): Type_function_nameContext | null;
    colid(): ColidContext | null;
    indirection(): IndirectionContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Column_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Column_nameContext): void;
}
export declare class ColumnNameMatchContext extends Column_nameContext {
    constructor(ctx: Column_nameContext);
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ColumnNameContext extends Column_nameContext {
    constructor(ctx: Column_nameContext);
    colid(): ColidContext;
    opt_indirection(): Opt_indirectionContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Column_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Column_name_createContext): void;
}
export declare class ColumnNameCreateContext extends Column_name_createContext {
    constructor(ctx: Column_name_createContext);
    colid(): ColidContext;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Function_name_createContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Function_name_createContext): void;
}
export declare class FunctionNameCreateContext extends Function_name_createContext {
    constructor(ctx: Function_name_createContext);
    type_function_name(): Type_function_nameContext | null;
    colid(): ColidContext | null;
    indirection(): IndirectionContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Function_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    get ruleIndex(): number;
    copyFrom(ctx: Function_nameContext): void;
}
export declare class FunctionNameContext extends Function_nameContext {
    constructor(ctx: Function_nameContext);
    type_function_name(): Type_function_nameContext | null;
    colid(): ColidContext | null;
    indirection(): IndirectionContext | null;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SconstContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    anysconst(): AnysconstContext[];
    anysconst(i: number): AnysconstContext | null;
    KW_UESCAPE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class AnysconstContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    StringConstant(): antlr.TerminalNode | null;
    UnicodeEscapeStringConstant(): antlr.TerminalNode | null;
    BeginDollarStringConstant(): antlr.TerminalNode | null;
    EndDollarStringConstant(): antlr.TerminalNode | null;
    DollarText(): antlr.TerminalNode[];
    DollarText(i: number): antlr.TerminalNode | null;
    EscapeStringConstant(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class SignediconstContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    Integral(): antlr.TerminalNode;
    PLUS(): antlr.TerminalNode | null;
    MINUS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class RolespecContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    nonreservedword(): NonreservedwordContext | null;
    KW_CURRENT_USER(): antlr.TerminalNode | null;
    KW_CURRENT_ROLE(): antlr.TerminalNode | null;
    KW_SESSION_USER(): antlr.TerminalNode | null;
    KW_PUBLIC(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Role_listContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    rolespec(): RolespecContext[];
    rolespec(i: number): RolespecContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ColidContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    identifier(): IdentifierContext | null;
    col_name_keyword(): Col_name_keywordContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Type_function_nameContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    identifier(): IdentifierContext | null;
    type_func_name_keyword(): Type_func_name_keywordContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class NonreservedwordContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    identifier(): IdentifierContext | null;
    col_name_keyword(): Col_name_keywordContext | null;
    type_func_name_keyword(): Type_func_name_keywordContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class CollabelContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    identifier(): IdentifierContext | null;
    col_name_keyword(): Col_name_keywordContext | null;
    type_func_name_keyword(): Type_func_name_keywordContext | null;
    reserved_keyword(): Reserved_keywordContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class IdentifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    Identifier(): antlr.TerminalNode | null;
    KW_UESCAPE(): antlr.TerminalNode | null;
    anysconst(): AnysconstContext | null;
    sconst(): SconstContext | null;
    QuotedIdentifier(): antlr.TerminalNode | null;
    UnicodeQuotedIdentifier(): antlr.TerminalNode | null;
    PLSQLVARIABLENAME(): antlr.TerminalNode | null;
    PLSQLIDENTIFIER(): antlr.TerminalNode | null;
    unreserved_keyword(): Unreserved_keywordContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Unreserved_keywordContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ABORT(): antlr.TerminalNode | null;
    KW_ABSOLUTE(): antlr.TerminalNode | null;
    KW_ACCESS(): antlr.TerminalNode | null;
    KW_ACTION(): antlr.TerminalNode | null;
    KW_ADD(): antlr.TerminalNode | null;
    KW_ADMIN(): antlr.TerminalNode | null;
    KW_AFTER(): antlr.TerminalNode | null;
    KW_AGGREGATE(): antlr.TerminalNode | null;
    KW_ALSO(): antlr.TerminalNode | null;
    KW_ALTER(): antlr.TerminalNode | null;
    KW_ALWAYS(): antlr.TerminalNode | null;
    KW_ASSERTION(): antlr.TerminalNode | null;
    KW_ASSIGNMENT(): antlr.TerminalNode | null;
    KW_AT(): antlr.TerminalNode | null;
    KW_ATTACH(): antlr.TerminalNode | null;
    KW_ATTRIBUTE(): antlr.TerminalNode | null;
    KW_BACKWARD(): antlr.TerminalNode | null;
    KW_BEFORE(): antlr.TerminalNode | null;
    KW_BEGIN(): antlr.TerminalNode | null;
    KW_BUFFER_USAGE_LIMIT(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    KW_CACHE(): antlr.TerminalNode | null;
    KW_CALL(): antlr.TerminalNode | null;
    KW_CALLED(): antlr.TerminalNode | null;
    KW_CASCADE(): antlr.TerminalNode | null;
    KW_CASCADED(): antlr.TerminalNode | null;
    KW_CATALOG(): antlr.TerminalNode | null;
    KW_CHAIN(): antlr.TerminalNode | null;
    KW_CHARACTERISTICS(): antlr.TerminalNode | null;
    KW_CHECKPOINT(): antlr.TerminalNode | null;
    KW_CLASS(): antlr.TerminalNode | null;
    KW_CLOSE(): antlr.TerminalNode | null;
    KW_CLUSTER(): antlr.TerminalNode | null;
    KW_COLUMNS(): antlr.TerminalNode | null;
    KW_COMMENT(): antlr.TerminalNode | null;
    KW_COMMENTS(): antlr.TerminalNode | null;
    KW_COMMIT(): antlr.TerminalNode | null;
    KW_COMMITTED(): antlr.TerminalNode | null;
    KW_CONFIGURATION(): antlr.TerminalNode | null;
    KW_CONFLICT(): antlr.TerminalNode | null;
    KW_CONNECTION(): antlr.TerminalNode | null;
    KW_CONSTRAINTS(): antlr.TerminalNode | null;
    KW_CONTENT(): antlr.TerminalNode | null;
    KW_CONTINUE(): antlr.TerminalNode | null;
    KW_CONVERSION(): antlr.TerminalNode | null;
    KW_COPY(): antlr.TerminalNode | null;
    KW_COST(): antlr.TerminalNode | null;
    KW_CSV(): antlr.TerminalNode | null;
    KW_CUBE(): antlr.TerminalNode | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    KW_CURSOR(): antlr.TerminalNode | null;
    KW_CYCLE(): antlr.TerminalNode | null;
    KW_DATA(): antlr.TerminalNode | null;
    KW_DATABASE(): antlr.TerminalNode | null;
    KW_DAY(): antlr.TerminalNode | null;
    KW_DEALLOCATE(): antlr.TerminalNode | null;
    KW_DECLARE(): antlr.TerminalNode | null;
    KW_DEFAULTS(): antlr.TerminalNode | null;
    KW_DEFERRED(): antlr.TerminalNode | null;
    KW_DEFINER(): antlr.TerminalNode | null;
    KW_DELETE(): antlr.TerminalNode | null;
    KW_DELIMITER(): antlr.TerminalNode | null;
    KW_DELIMITERS(): antlr.TerminalNode | null;
    KW_DEPENDS(): antlr.TerminalNode | null;
    KW_DETACH(): antlr.TerminalNode | null;
    KW_DICTIONARY(): antlr.TerminalNode | null;
    KW_DISABLE(): antlr.TerminalNode | null;
    KW_DISCARD(): antlr.TerminalNode | null;
    KW_DOCUMENT(): antlr.TerminalNode | null;
    KW_DOMAIN(): antlr.TerminalNode | null;
    KW_DOUBLE(): antlr.TerminalNode | null;
    KW_DROP(): antlr.TerminalNode | null;
    KW_EACH(): antlr.TerminalNode | null;
    KW_ENABLE(): antlr.TerminalNode | null;
    KW_ENCODING(): antlr.TerminalNode | null;
    KW_ENCRYPTED(): antlr.TerminalNode | null;
    KW_ENUM(): antlr.TerminalNode | null;
    KW_ESCAPE(): antlr.TerminalNode | null;
    KW_EVENT(): antlr.TerminalNode | null;
    KW_EXCLUDE(): antlr.TerminalNode | null;
    KW_EXCLUDING(): antlr.TerminalNode | null;
    KW_EXCLUSIVE(): antlr.TerminalNode | null;
    KW_EXECUTE(): antlr.TerminalNode | null;
    KW_EXPLAIN(): antlr.TerminalNode | null;
    KW_EXPRESSION(): antlr.TerminalNode | null;
    KW_EXTENSION(): antlr.TerminalNode | null;
    KW_EXTERNAL(): antlr.TerminalNode | null;
    KW_FAMILY(): antlr.TerminalNode | null;
    KW_FILTER(): antlr.TerminalNode | null;
    KW_FIRST(): antlr.TerminalNode | null;
    KW_FOLLOWING(): antlr.TerminalNode | null;
    KW_FORCE(): antlr.TerminalNode | null;
    KW_FORWARD(): antlr.TerminalNode | null;
    KW_FUNCTION(): antlr.TerminalNode | null;
    KW_FUNCTIONS(): antlr.TerminalNode | null;
    KW_GENERATED(): antlr.TerminalNode | null;
    KW_GLOBAL(): antlr.TerminalNode | null;
    KW_GRANTED(): antlr.TerminalNode | null;
    KW_GROUPS(): antlr.TerminalNode | null;
    KW_HANDLER(): antlr.TerminalNode | null;
    KW_HEADER(): antlr.TerminalNode | null;
    KW_HOLD(): antlr.TerminalNode | null;
    KW_HOUR(): antlr.TerminalNode | null;
    KW_IDENTITY(): antlr.TerminalNode | null;
    KW_IF(): antlr.TerminalNode | null;
    KW_IMMEDIATE(): antlr.TerminalNode | null;
    KW_IMMUTABLE(): antlr.TerminalNode | null;
    KW_IMPLICIT(): antlr.TerminalNode | null;
    KW_IMPORT(): antlr.TerminalNode | null;
    KW_INCLUDE(): antlr.TerminalNode | null;
    KW_INCLUDING(): antlr.TerminalNode | null;
    KW_INCREMENT(): antlr.TerminalNode | null;
    KW_INDEX(): antlr.TerminalNode | null;
    KW_INDEXES(): antlr.TerminalNode | null;
    KW_INHERIT(): antlr.TerminalNode | null;
    KW_INHERITS(): antlr.TerminalNode | null;
    KW_INLINE(): antlr.TerminalNode | null;
    KW_INPUT(): antlr.TerminalNode | null;
    KW_INSENSITIVE(): antlr.TerminalNode | null;
    KW_INSERT(): antlr.TerminalNode | null;
    KW_INSTEAD(): antlr.TerminalNode | null;
    KW_INVOKER(): antlr.TerminalNode | null;
    KW_ISOLATION(): antlr.TerminalNode | null;
    KW_KEY(): antlr.TerminalNode | null;
    KW_LABEL(): antlr.TerminalNode | null;
    KW_LANGUAGE(): antlr.TerminalNode | null;
    KW_LARGE(): antlr.TerminalNode | null;
    KW_LAST(): antlr.TerminalNode | null;
    KW_LEAKPROOF(): antlr.TerminalNode | null;
    KW_LEVEL(): antlr.TerminalNode | null;
    KW_LISTEN(): antlr.TerminalNode | null;
    KW_LOAD(): antlr.TerminalNode | null;
    KW_LOCAL(): antlr.TerminalNode | null;
    KW_LOCATION(): antlr.TerminalNode | null;
    KW_LOCK(): antlr.TerminalNode | null;
    KW_LOCKED(): antlr.TerminalNode | null;
    KW_LOGGED(): antlr.TerminalNode | null;
    KW_MAPPING(): antlr.TerminalNode | null;
    KW_MATCH(): antlr.TerminalNode | null;
    KW_MATERIALIZED(): antlr.TerminalNode | null;
    KW_MAXVALUE(): antlr.TerminalNode | null;
    KW_METHOD(): antlr.TerminalNode | null;
    KW_MINUTE(): antlr.TerminalNode | null;
    KW_MINVALUE(): antlr.TerminalNode | null;
    KW_MODE(): antlr.TerminalNode | null;
    KW_MONTH(): antlr.TerminalNode | null;
    KW_MOVE(): antlr.TerminalNode | null;
    KW_NAME(): antlr.TerminalNode | null;
    KW_NAMES(): antlr.TerminalNode | null;
    KW_NEW(): antlr.TerminalNode | null;
    KW_NEXT(): antlr.TerminalNode | null;
    KW_NFC(): antlr.TerminalNode | null;
    KW_NFD(): antlr.TerminalNode | null;
    KW_NFKC(): antlr.TerminalNode | null;
    KW_NFKD(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    KW_NORMALIZED(): antlr.TerminalNode | null;
    KW_NOTHING(): antlr.TerminalNode | null;
    KW_NOTIFY(): antlr.TerminalNode | null;
    KW_NOWAIT(): antlr.TerminalNode | null;
    KW_NULLS(): antlr.TerminalNode | null;
    KW_OBJECT(): antlr.TerminalNode | null;
    KW_OF(): antlr.TerminalNode | null;
    KW_OFF(): antlr.TerminalNode | null;
    KW_OIDS(): antlr.TerminalNode | null;
    KW_OLD(): antlr.TerminalNode | null;
    KW_OPERATOR(): antlr.TerminalNode | null;
    KW_OPTION(): antlr.TerminalNode | null;
    KW_OPTIONS(): antlr.TerminalNode | null;
    KW_ORDINALITY(): antlr.TerminalNode | null;
    KW_OTHERS(): antlr.TerminalNode | null;
    KW_OVER(): antlr.TerminalNode | null;
    KW_OVERRIDING(): antlr.TerminalNode | null;
    KW_OWNED(): antlr.TerminalNode | null;
    KW_OWNER(): antlr.TerminalNode | null;
    KW_PARALLEL(): antlr.TerminalNode | null;
    KW_PARSER(): antlr.TerminalNode | null;
    KW_PARTIAL(): antlr.TerminalNode | null;
    KW_PARTITION(): antlr.TerminalNode | null;
    KW_PASSING(): antlr.TerminalNode | null;
    KW_PASSWORD(): antlr.TerminalNode | null;
    KW_PLANS(): antlr.TerminalNode | null;
    KW_POLICY(): antlr.TerminalNode | null;
    KW_PRECEDING(): antlr.TerminalNode | null;
    KW_PREPARE(): antlr.TerminalNode | null;
    KW_PREPARED(): antlr.TerminalNode | null;
    KW_PRESERVE(): antlr.TerminalNode | null;
    KW_PRIOR(): antlr.TerminalNode | null;
    KW_PRIVILEGES(): antlr.TerminalNode | null;
    KW_PROCEDURAL(): antlr.TerminalNode | null;
    KW_PROCEDURE(): antlr.TerminalNode | null;
    KW_PROCEDURES(): antlr.TerminalNode | null;
    KW_PROGRAM(): antlr.TerminalNode | null;
    KW_PUBLICATION(): antlr.TerminalNode | null;
    KW_QUOTE(): antlr.TerminalNode | null;
    KW_RANGE(): antlr.TerminalNode | null;
    KW_READ(): antlr.TerminalNode | null;
    KW_REASSIGN(): antlr.TerminalNode | null;
    KW_RECHECK(): antlr.TerminalNode | null;
    KW_RECURSIVE(): antlr.TerminalNode | null;
    KW_REF(): antlr.TerminalNode | null;
    KW_REFERENCING(): antlr.TerminalNode | null;
    KW_REFRESH(): antlr.TerminalNode | null;
    KW_REINDEX(): antlr.TerminalNode | null;
    KW_RELATIVE(): antlr.TerminalNode | null;
    KW_RELEASE(): antlr.TerminalNode | null;
    KW_RENAME(): antlr.TerminalNode | null;
    KW_REPEATABLE(): antlr.TerminalNode | null;
    KW_REPLACE(): antlr.TerminalNode | null;
    KW_REPLICA(): antlr.TerminalNode | null;
    KW_RESET(): antlr.TerminalNode | null;
    KW_RESTART(): antlr.TerminalNode | null;
    KW_RESTRICT(): antlr.TerminalNode | null;
    KW_RETURNS(): antlr.TerminalNode | null;
    KW_REVOKE(): antlr.TerminalNode | null;
    KW_ROLE(): antlr.TerminalNode | null;
    KW_ROLLBACK(): antlr.TerminalNode | null;
    KW_ROLLUP(): antlr.TerminalNode | null;
    KW_ROUTINE(): antlr.TerminalNode | null;
    KW_ROUTINES(): antlr.TerminalNode | null;
    KW_ROWS(): antlr.TerminalNode | null;
    KW_RULE(): antlr.TerminalNode | null;
    KW_SAVEPOINT(): antlr.TerminalNode | null;
    KW_SCHEMA(): antlr.TerminalNode | null;
    KW_SCHEMAS(): antlr.TerminalNode | null;
    KW_SCROLL(): antlr.TerminalNode | null;
    KW_SEARCH(): antlr.TerminalNode | null;
    KW_SECOND(): antlr.TerminalNode | null;
    KW_SECURITY(): antlr.TerminalNode | null;
    KW_SEQUENCE(): antlr.TerminalNode | null;
    KW_SEQUENCES(): antlr.TerminalNode | null;
    KW_SERIALIZABLE(): antlr.TerminalNode | null;
    KW_SERVER(): antlr.TerminalNode | null;
    KW_SESSION(): antlr.TerminalNode | null;
    KW_SET(): antlr.TerminalNode | null;
    KW_SETS(): antlr.TerminalNode | null;
    KW_SHARE(): antlr.TerminalNode | null;
    KW_SHOW(): antlr.TerminalNode | null;
    KW_SIMPLE(): antlr.TerminalNode | null;
    KW_SKIP(): antlr.TerminalNode | null;
    KW_SKIP_LOCKED(): antlr.TerminalNode | null;
    KW_SNAPSHOT(): antlr.TerminalNode | null;
    KW_SQL(): antlr.TerminalNode | null;
    KW_STABLE(): antlr.TerminalNode | null;
    KW_STANDALONE(): antlr.TerminalNode | null;
    KW_START(): antlr.TerminalNode | null;
    KW_STATEMENT(): antlr.TerminalNode | null;
    KW_STATISTICS(): antlr.TerminalNode | null;
    KW_STDIN(): antlr.TerminalNode | null;
    KW_STDOUT(): antlr.TerminalNode | null;
    KW_STORAGE(): antlr.TerminalNode | null;
    KW_STORED(): antlr.TerminalNode | null;
    KW_STRICT(): antlr.TerminalNode | null;
    KW_STRIP(): antlr.TerminalNode | null;
    KW_SUBSCRIPTION(): antlr.TerminalNode | null;
    KW_SUPPORT(): antlr.TerminalNode | null;
    KW_SYSID(): antlr.TerminalNode | null;
    KW_SYSTEM(): antlr.TerminalNode | null;
    KW_TABLES(): antlr.TerminalNode | null;
    KW_TABLESPACE(): antlr.TerminalNode | null;
    KW_TEMP(): antlr.TerminalNode | null;
    KW_TEMPLATE(): antlr.TerminalNode | null;
    KW_TEMPORARY(): antlr.TerminalNode | null;
    KW_TEXT(): antlr.TerminalNode | null;
    KW_TIES(): antlr.TerminalNode | null;
    KW_TRANSACTION(): antlr.TerminalNode | null;
    KW_TRANSFORM(): antlr.TerminalNode | null;
    KW_TRIGGER(): antlr.TerminalNode | null;
    KW_TRUNCATE(): antlr.TerminalNode | null;
    KW_TRUSTED(): antlr.TerminalNode | null;
    KW_TYPE(): antlr.TerminalNode | null;
    KW_TYPES(): antlr.TerminalNode | null;
    KW_UESCAPE(): antlr.TerminalNode | null;
    KW_UNBOUNDED(): antlr.TerminalNode | null;
    KW_UNCOMMITTED(): antlr.TerminalNode | null;
    KW_UNENCRYPTED(): antlr.TerminalNode | null;
    KW_UNKNOWN(): antlr.TerminalNode | null;
    KW_UNLISTEN(): antlr.TerminalNode | null;
    KW_UNLOGGED(): antlr.TerminalNode | null;
    KW_UNTIL(): antlr.TerminalNode | null;
    KW_UPDATE(): antlr.TerminalNode | null;
    KW_VACUUM(): antlr.TerminalNode | null;
    KW_VALID(): antlr.TerminalNode | null;
    KW_VALIDATE(): antlr.TerminalNode | null;
    KW_VALIDATOR(): antlr.TerminalNode | null;
    KW_VALUE(): antlr.TerminalNode | null;
    KW_VARYING(): antlr.TerminalNode | null;
    KW_VERSION(): antlr.TerminalNode | null;
    KW_VIEW(): antlr.TerminalNode | null;
    KW_VIEWS(): antlr.TerminalNode | null;
    KW_VOLATILE(): antlr.TerminalNode | null;
    KW_WHITESPACE(): antlr.TerminalNode | null;
    KW_WITHIN(): antlr.TerminalNode | null;
    KW_WITHOUT(): antlr.TerminalNode | null;
    KW_WORK(): antlr.TerminalNode | null;
    KW_WRAPPER(): antlr.TerminalNode | null;
    KW_WRITE(): antlr.TerminalNode | null;
    KW_XML(): antlr.TerminalNode | null;
    KW_YEAR(): antlr.TerminalNode | null;
    KW_YES(): antlr.TerminalNode | null;
    KW_ZONE(): antlr.TerminalNode | null;
    KW_ALIAS(): antlr.TerminalNode | null;
    KW_ASSERT(): antlr.TerminalNode | null;
    KW_CONSTANT(): antlr.TerminalNode | null;
    KW_DEBUG(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    KW_DIAGNOSTICS(): antlr.TerminalNode | null;
    KW_DUMP(): antlr.TerminalNode | null;
    KW_ELSIF(): antlr.TerminalNode | null;
    KW_ERROR(): antlr.TerminalNode | null;
    KW_EXCEPTION(): antlr.TerminalNode | null;
    KW_EXIT(): antlr.TerminalNode | null;
    KW_GET(): antlr.TerminalNode | null;
    KW_INFO(): antlr.TerminalNode | null;
    KW_IS(): antlr.TerminalNode | null;
    KW_LOG(): antlr.TerminalNode | null;
    KW_NOTICE(): antlr.TerminalNode | null;
    KW_OPEN(): antlr.TerminalNode | null;
    KW_PUBLIC(): antlr.TerminalNode | null;
    KW_PERFORM(): antlr.TerminalNode | null;
    KW_PRINT_STRICT_PARAMS(): antlr.TerminalNode | null;
    KW_QUERY(): antlr.TerminalNode | null;
    KW_RAISE(): antlr.TerminalNode | null;
    KW_RETURN(): antlr.TerminalNode | null;
    KW_REVERSE(): antlr.TerminalNode | null;
    KW_ROWTYPE(): antlr.TerminalNode | null;
    KW_SLICE(): antlr.TerminalNode | null;
    KW_SQLSTATE(): antlr.TerminalNode | null;
    KW_STACKED(): antlr.TerminalNode | null;
    KW_USE_COLUMN(): antlr.TerminalNode | null;
    KW_USE_VARIABLE(): antlr.TerminalNode | null;
    KW_VARIABLE_CONFLICT(): antlr.TerminalNode | null;
    KW_WARNING(): antlr.TerminalNode | null;
    KW_OUTER(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Col_name_keywordContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_BETWEEN(): antlr.TerminalNode | null;
    KW_BIGINT(): antlr.TerminalNode | null;
    bit(): BitContext | null;
    KW_BOOLEAN(): antlr.TerminalNode | null;
    KW_CHAR(): antlr.TerminalNode | null;
    character(): CharacterContext | null;
    KW_COALESCE(): antlr.TerminalNode | null;
    KW_DEC(): antlr.TerminalNode | null;
    KW_DECIMAL(): antlr.TerminalNode | null;
    KW_EXISTS(): antlr.TerminalNode | null;
    KW_EXTRACT(): antlr.TerminalNode | null;
    KW_FLOAT(): antlr.TerminalNode | null;
    KW_GREATEST(): antlr.TerminalNode | null;
    KW_GROUPING(): antlr.TerminalNode | null;
    KW_INOUT(): antlr.TerminalNode | null;
    KW_INT(): antlr.TerminalNode | null;
    KW_INTEGER(): antlr.TerminalNode | null;
    KW_INTERVAL(): antlr.TerminalNode | null;
    KW_LEAST(): antlr.TerminalNode | null;
    KW_NATIONAL(): antlr.TerminalNode | null;
    KW_NCHAR(): antlr.TerminalNode | null;
    KW_NONE(): antlr.TerminalNode | null;
    KW_NORMALIZE(): antlr.TerminalNode | null;
    KW_NULLIF(): antlr.TerminalNode | null;
    numeric(): NumericContext | null;
    KW_OUT(): antlr.TerminalNode | null;
    KW_OVERLAY(): antlr.TerminalNode | null;
    KW_POSITION(): antlr.TerminalNode | null;
    KW_PRECISION(): antlr.TerminalNode | null;
    KW_REAL(): antlr.TerminalNode | null;
    KW_ROW(): antlr.TerminalNode | null;
    KW_SETOF(): antlr.TerminalNode | null;
    KW_SMALLINT(): antlr.TerminalNode | null;
    KW_SUBSTRING(): antlr.TerminalNode | null;
    KW_TIME(): antlr.TerminalNode | null;
    KW_TIMESTAMP(): antlr.TerminalNode | null;
    KW_TREAT(): antlr.TerminalNode | null;
    KW_TRIM(): antlr.TerminalNode | null;
    KW_VALUES(): antlr.TerminalNode | null;
    KW_VARCHAR(): antlr.TerminalNode | null;
    KW_XMLATTRIBUTES(): antlr.TerminalNode | null;
    KW_XMLCONCAT(): antlr.TerminalNode | null;
    KW_XMLELEMENT(): antlr.TerminalNode | null;
    KW_XMLEXISTS(): antlr.TerminalNode | null;
    KW_XMLFOREST(): antlr.TerminalNode | null;
    KW_XMLNAMESPACES(): antlr.TerminalNode | null;
    KW_XMLPARSE(): antlr.TerminalNode | null;
    KW_XMLPI(): antlr.TerminalNode | null;
    KW_XMLROOT(): antlr.TerminalNode | null;
    KW_XMLSERIALIZE(): antlr.TerminalNode | null;
    KW_XMLTABLE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Type_func_name_keywordContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_AUTHORIZATION(): antlr.TerminalNode | null;
    KW_BINARY(): antlr.TerminalNode | null;
    KW_COLLATION(): antlr.TerminalNode | null;
    KW_CONCURRENTLY(): antlr.TerminalNode | null;
    KW_CROSS(): antlr.TerminalNode | null;
    KW_CURRENT_SCHEMA(): antlr.TerminalNode | null;
    KW_FREEZE(): antlr.TerminalNode | null;
    KW_FULL(): antlr.TerminalNode | null;
    KW_ILIKE(): antlr.TerminalNode | null;
    KW_INNER(): antlr.TerminalNode | null;
    KW_IS(): antlr.TerminalNode | null;
    KW_ISNULL(): antlr.TerminalNode | null;
    KW_JOIN(): antlr.TerminalNode | null;
    KW_LEFT(): antlr.TerminalNode | null;
    KW_LIKE(): antlr.TerminalNode | null;
    KW_NATURAL(): antlr.TerminalNode | null;
    KW_NOTNULL(): antlr.TerminalNode | null;
    KW_OUTER(): antlr.TerminalNode | null;
    KW_OVERLAPS(): antlr.TerminalNode | null;
    KW_RIGHT(): antlr.TerminalNode | null;
    KW_SIMILAR(): antlr.TerminalNode | null;
    KW_TABLESAMPLE(): antlr.TerminalNode | null;
    KW_VERBOSE(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Reserved_keywordContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ALL(): antlr.TerminalNode | null;
    KW_ANALYSE(): antlr.TerminalNode | null;
    KW_ANALYZE(): antlr.TerminalNode | null;
    KW_AND(): antlr.TerminalNode | null;
    KW_ANY(): antlr.TerminalNode | null;
    KW_ARRAY(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    KW_ASC(): antlr.TerminalNode | null;
    KW_ASYMMETRIC(): antlr.TerminalNode | null;
    KW_BOTH(): antlr.TerminalNode | null;
    KW_CASE(): antlr.TerminalNode | null;
    KW_CAST(): antlr.TerminalNode | null;
    KW_CHECK(): antlr.TerminalNode | null;
    KW_COLLATE(): antlr.TerminalNode | null;
    KW_COLUMN(): antlr.TerminalNode | null;
    KW_CONSTRAINT(): antlr.TerminalNode | null;
    KW_CREATE(): antlr.TerminalNode | null;
    KW_CURRENT_CATALOG(): antlr.TerminalNode | null;
    KW_CURRENT_DATE(): antlr.TerminalNode | null;
    KW_CURRENT_ROLE(): antlr.TerminalNode | null;
    KW_CURRENT_TIME(): antlr.TerminalNode | null;
    KW_CURRENT_TIMESTAMP(): antlr.TerminalNode | null;
    KW_CURRENT_USER(): antlr.TerminalNode | null;
    KW_DEFERRABLE(): antlr.TerminalNode | null;
    KW_DESC(): antlr.TerminalNode | null;
    KW_DISTINCT(): antlr.TerminalNode | null;
    KW_DO(): antlr.TerminalNode | null;
    KW_ELSE(): antlr.TerminalNode | null;
    KW_END(): antlr.TerminalNode | null;
    KW_EXCEPT(): antlr.TerminalNode | null;
    KW_FALSE(): antlr.TerminalNode | null;
    KW_FETCH(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    KW_FOREIGN(): antlr.TerminalNode | null;
    KW_FROM(): antlr.TerminalNode | null;
    KW_GRANT(): antlr.TerminalNode | null;
    KW_GROUP(): antlr.TerminalNode | null;
    KW_HAVING(): antlr.TerminalNode | null;
    KW_IN(): antlr.TerminalNode | null;
    KW_INITIALLY(): antlr.TerminalNode | null;
    KW_INTERSECT(): antlr.TerminalNode | null;
    KW_LATERAL(): antlr.TerminalNode | null;
    KW_LEADING(): antlr.TerminalNode | null;
    KW_LIMIT(): antlr.TerminalNode | null;
    KW_LOCALTIME(): antlr.TerminalNode | null;
    KW_LOCALTIMESTAMP(): antlr.TerminalNode | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_NULL(): antlr.TerminalNode | null;
    KW_OFFSET(): antlr.TerminalNode | null;
    KW_ON(): antlr.TerminalNode | null;
    KW_ONLY(): antlr.TerminalNode | null;
    KW_OR(): antlr.TerminalNode | null;
    KW_ORDER(): antlr.TerminalNode | null;
    KW_PLACING(): antlr.TerminalNode | null;
    KW_PRIMARY(): antlr.TerminalNode | null;
    KW_REFERENCES(): antlr.TerminalNode | null;
    KW_RETURNING(): antlr.TerminalNode | null;
    KW_SELECT(): antlr.TerminalNode | null;
    KW_SESSION_USER(): antlr.TerminalNode | null;
    KW_SOME(): antlr.TerminalNode | null;
    KW_SYMMETRIC(): antlr.TerminalNode | null;
    KW_TABLE(): antlr.TerminalNode | null;
    KW_THEN(): antlr.TerminalNode | null;
    KW_TO(): antlr.TerminalNode | null;
    KW_TRAILING(): antlr.TerminalNode | null;
    KW_TRUE(): antlr.TerminalNode | null;
    KW_UNION(): antlr.TerminalNode | null;
    KW_UNIQUE(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode | null;
    KW_USING(): antlr.TerminalNode | null;
    KW_VARIADIC(): antlr.TerminalNode | null;
    KW_WHEN(): antlr.TerminalNode | null;
    KW_WHERE(): antlr.TerminalNode | null;
    KW_WINDOW(): antlr.TerminalNode | null;
    KW_WITH(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Pl_blockContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_BEGIN(): antlr.TerminalNode;
    KW_END(): antlr.TerminalNode;
    proc_stmt(): Proc_stmtContext[];
    proc_stmt(i: number): Proc_stmtContext | null;
    exception_sect(): Exception_sectContext | null;
    any_identifier(): Any_identifierContext | null;
    label_decl(): Label_declContext[];
    label_decl(i: number): Label_declContext | null;
    KW_DECLARE(): antlr.TerminalNode[];
    KW_DECLARE(i: number): antlr.TerminalNode | null;
    decl_statement(): Decl_statementContext[];
    decl_statement(i: number): Decl_statementContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Label_declContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    LESS_LESS(): antlr.TerminalNode;
    any_identifier(): Any_identifierContext;
    GREATER_GREATER(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Decl_statementContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    any_identifier(): Any_identifierContext;
    SEMI(): antlr.TerminalNode;
    KW_ALIAS(): antlr.TerminalNode | null;
    KW_FOR(): antlr.TerminalNode | null;
    typename(): TypenameContext | null;
    KW_CURSOR(): antlr.TerminalNode | null;
    selectstmt(): SelectstmtContext | null;
    KW_IS(): antlr.TerminalNode | null;
    PARAM(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    KW_CONSTANT(): antlr.TerminalNode | null;
    opt_collate_clause(): Opt_collate_clauseContext | null;
    KW_NOT(): antlr.TerminalNode | null;
    KW_NULL(): antlr.TerminalNode | null;
    sql_expression(): Sql_expressionContext | null;
    KW_SCROLL(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    decl_cursor_arg(): Decl_cursor_argContext[];
    decl_cursor_arg(i: number): Decl_cursor_argContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    assign_operator(): Assign_operatorContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Decl_cursor_argContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    any_identifier(): Any_identifierContext;
    typename(): TypenameContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Assign_operatorContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    EQUAL(): antlr.TerminalNode | null;
    COLON_EQUALS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Proc_stmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    pl_block(): Pl_blockContext | null;
    SEMI(): antlr.TerminalNode | null;
    stmt_return(): Stmt_returnContext | null;
    stmt_raise(): Stmt_raiseContext | null;
    stmt_assign(): Stmt_assignContext | null;
    stmt_if(): Stmt_ifContext | null;
    stmt_case(): Stmt_caseContext | null;
    stmt_loop_while_for(): Stmt_loop_while_forContext | null;
    stmt_foreach_a(): Stmt_foreach_aContext | null;
    stmt_exit(): Stmt_exitContext | null;
    stmt_assert(): Stmt_assertContext | null;
    stmt_execsql(): Stmt_execsqlContext | null;
    stmt_dynexecute(): Stmt_dynexecuteContext | null;
    stmt_perform(): Stmt_performContext | null;
    stmt_call(): Stmt_callContext | null;
    stmt_getdiag(): Stmt_getdiagContext | null;
    stmt_open(): Stmt_openContext | null;
    stmt_fetch(): Stmt_fetchContext | null;
    stmt_move(): Stmt_moveContext | null;
    stmt_close(): Stmt_closeContext | null;
    stmt_null(): Stmt_nullContext | null;
    stmt_commit_or_rollback(): Stmt_commit_or_rollbackContext | null;
    stmt_set(): Stmt_setContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_performContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_PERFORM(): antlr.TerminalNode;
    sql_expression(): Sql_expressionContext;
    SEMI(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_callContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CALL(): antlr.TerminalNode | null;
    any_identifier(): Any_identifierContext;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    SEMI(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    KW_DO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_assignContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    assign_var(): Assign_varContext;
    assign_operator(): Assign_operatorContext;
    sql_expression(): Sql_expressionContext;
    SEMI(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_getdiagContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_GET(): antlr.TerminalNode;
    KW_DIAGNOSTICS(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode;
    getdiag_list_item(): Getdiag_list_itemContext[];
    getdiag_list_item(i: number): Getdiag_list_itemContext | null;
    KW_CURRENT(): antlr.TerminalNode | null;
    KW_STACKED(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Getdiag_list_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    assign_var(): Assign_varContext;
    assign_operator(): Assign_operatorContext;
    colid(): ColidContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Assign_varContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    any_name(): Any_nameContext | null;
    PARAM(): antlr.TerminalNode | null;
    OPEN_BRACKET(): antlr.TerminalNode[];
    OPEN_BRACKET(i: number): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    CLOSE_BRACKET(): antlr.TerminalNode[];
    CLOSE_BRACKET(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_ifContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_IF(): antlr.TerminalNode[];
    KW_IF(i: number): antlr.TerminalNode | null;
    sql_expression(): Sql_expressionContext;
    KW_THEN(): antlr.TerminalNode[];
    KW_THEN(i: number): antlr.TerminalNode | null;
    KW_END(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode;
    proc_stmt(): Proc_stmtContext[];
    proc_stmt(i: number): Proc_stmtContext | null;
    stmt_else(): Stmt_elseContext | null;
    KW_ELSIF(): antlr.TerminalNode[];
    KW_ELSIF(i: number): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_elseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ELSE(): antlr.TerminalNode;
    proc_stmt(): Proc_stmtContext[];
    proc_stmt(i: number): Proc_stmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_caseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CASE(): antlr.TerminalNode[];
    KW_CASE(i: number): antlr.TerminalNode | null;
    KW_END(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode;
    sql_expression(): Sql_expressionContext | null;
    KW_WHEN(): antlr.TerminalNode[];
    KW_WHEN(i: number): antlr.TerminalNode | null;
    expr_list(): Expr_listContext[];
    expr_list(i: number): Expr_listContext | null;
    KW_THEN(): antlr.TerminalNode[];
    KW_THEN(i: number): antlr.TerminalNode | null;
    stmt_else(): Stmt_elseContext | null;
    proc_stmt(): Proc_stmtContext[];
    proc_stmt(i: number): Proc_stmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_loop_while_forContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    loop_body(): Loop_bodyContext;
    label_decl(): Label_declContext | null;
    KW_WHILE(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    KW_FOR(): antlr.TerminalNode | null;
    for_control(): For_controlContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class For_controlContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    any_name_list(): Any_name_listContext;
    KW_IN(): antlr.TerminalNode;
    colid(): ColidContext | null;
    selectstmt(): SelectstmtContext | null;
    explainstmt(): ExplainstmtContext | null;
    KW_EXECUTE(): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    DOT_DOT(): antlr.TerminalNode | null;
    execute_param_clause(): Execute_param_clauseContext | null;
    KW_USING(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    KW_REVERSE(): antlr.TerminalNode | null;
    KW_BY(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_foreach_aContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FOREACH(): antlr.TerminalNode;
    any_name_list(): Any_name_listContext;
    KW_IN(): antlr.TerminalNode;
    KW_ARRAY(): antlr.TerminalNode;
    expression(): ExpressionContext;
    loop_body(): Loop_bodyContext;
    label_decl(): Label_declContext | null;
    KW_SLICE(): antlr.TerminalNode | null;
    Integral(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_exitContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    SEMI(): antlr.TerminalNode;
    KW_EXIT(): antlr.TerminalNode | null;
    KW_CONTINUE(): antlr.TerminalNode | null;
    any_identifier(): Any_identifierContext | null;
    KW_WHEN(): antlr.TerminalNode | null;
    sql_expression(): Sql_expressionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_returnContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_RETURN(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode;
    KW_NEXT(): antlr.TerminalNode | null;
    sql_expression(): Sql_expressionContext | null;
    KW_QUERY(): antlr.TerminalNode | null;
    KW_EXECUTE(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    KW_USING(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    selectstmt(): SelectstmtContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_raiseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_RAISE(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode | null;
    identifier(): IdentifierContext | null;
    KW_USING(): antlr.TerminalNode | null;
    KW_DEBUG(): antlr.TerminalNode | null;
    KW_LOG(): antlr.TerminalNode | null;
    KW_INFO(): antlr.TerminalNode | null;
    KW_NOTICE(): antlr.TerminalNode | null;
    KW_WARNING(): antlr.TerminalNode | null;
    KW_EXCEPTION(): antlr.TerminalNode | null;
    KW_SQLSTATE(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    opt_raise_using_elem(): Opt_raise_using_elemContext[];
    opt_raise_using_elem(i: number): Opt_raise_using_elemContext | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    expression(): ExpressionContext[];
    expression(i: number): ExpressionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_raise_using_elemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    identifier(): IdentifierContext;
    EQUAL(): antlr.TerminalNode;
    expression(): ExpressionContext;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_assertContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_ASSERT(): antlr.TerminalNode;
    sql_expression(): Sql_expressionContext[];
    sql_expression(i: number): Sql_expressionContext | null;
    SEMI(): antlr.TerminalNode;
    COMMA(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Loop_bodyContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_LOOP(): antlr.TerminalNode[];
    KW_LOOP(i: number): antlr.TerminalNode | null;
    KW_END(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode;
    proc_stmt(): Proc_stmtContext[];
    proc_stmt(i: number): Proc_stmtContext | null;
    any_identifier(): Any_identifierContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_execsqlContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    stmt(): StmtContext;
    SEMI(): antlr.TerminalNode;
    opt_execute_into(): Opt_execute_intoContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_dynexecuteContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_EXECUTE(): antlr.TerminalNode;
    expression(): ExpressionContext;
    SEMI(): antlr.TerminalNode;
    opt_execute_into(): Opt_execute_intoContext | null;
    KW_USING(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_execute_intoContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_INTO(): antlr.TerminalNode;
    expr_list(): Expr_listContext;
    KW_STRICT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_openContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_OPEN(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode;
    cursor_variable(): Cursor_variableContext | null;
    KW_FOR(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    selectstmt(): SelectstmtContext | null;
    KW_EXECUTE(): antlr.TerminalNode | null;
    sql_expression(): Sql_expressionContext | null;
    KW_SCROLL(): antlr.TerminalNode | null;
    OPEN_PAREN(): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    KW_USING(): antlr.TerminalNode | null;
    expr_list(): Expr_listContext | null;
    opt_open_bound_list_item(): Opt_open_bound_list_itemContext[];
    opt_open_bound_list_item(i: number): Opt_open_bound_list_itemContext | null;
    KW_NO(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_open_bound_list_itemContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    expression(): ExpressionContext;
    colid(): ColidContext | null;
    COLON_EQUALS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_fetchContext extends antlr.ParserRuleContext {
    _direction?: Opt_fetch_directionContext;
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_FETCH(): antlr.TerminalNode;
    cursor_variable(): Cursor_variableContext;
    KW_INTO(): antlr.TerminalNode;
    expr_list(): Expr_listContext;
    SEMI(): antlr.TerminalNode;
    from_in(): From_inContext | null;
    opt_fetch_direction(): Opt_fetch_directionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Opt_fetch_directionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_NEXT(): antlr.TerminalNode | null;
    KW_PRIOR(): antlr.TerminalNode | null;
    KW_FIRST(): antlr.TerminalNode | null;
    KW_LAST(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    KW_ABSOLUTE(): antlr.TerminalNode | null;
    KW_RELATIVE(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    KW_FORWARD(): antlr.TerminalNode | null;
    KW_BACKWARD(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_moveContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_MOVE(): antlr.TerminalNode;
    cursor_variable(): Cursor_variableContext;
    SEMI(): antlr.TerminalNode;
    opt_fetch_direction(): Opt_fetch_directionContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class MergestmtContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_MERGE(): antlr.TerminalNode;
    KW_INTO(): antlr.TerminalNode;
    table_name(): Table_nameContext;
    KW_USING(): antlr.TerminalNode;
    data_source(): Data_sourceContext;
    KW_ON(): antlr.TerminalNode;
    expression(): ExpressionContext;
    with_clause(): With_clauseContext | null;
    KW_ONLY(): antlr.TerminalNode | null;
    STAR(): antlr.TerminalNode | null;
    colid(): ColidContext | null;
    merge_when_clause(): Merge_when_clauseContext[];
    merge_when_clause(i: number): Merge_when_clauseContext | null;
    KW_AS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Data_sourceContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    table_name(): Table_nameContext | null;
    colid(): ColidContext | null;
    select_no_parens(): Select_no_parensContext | null;
    values_clause(): Values_clauseContext | null;
    KW_ONLY(): antlr.TerminalNode | null;
    STAR(): antlr.TerminalNode | null;
    KW_AS(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Merge_when_clauseContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_WHEN(): antlr.TerminalNode;
    KW_MATCHED(): antlr.TerminalNode;
    KW_THEN(): antlr.TerminalNode;
    merge_update(): Merge_updateContext | null;
    KW_DELETE(): antlr.TerminalNode | null;
    KW_DO(): antlr.TerminalNode | null;
    KW_NOTHING(): antlr.TerminalNode | null;
    KW_AND(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    KW_NOT(): antlr.TerminalNode | null;
    merge_insert(): Merge_insertContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Merge_insertContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_INSERT(): antlr.TerminalNode;
    default_values_or_values(): Default_values_or_valuesContext;
    opt_column_list(): Opt_column_listContext | null;
    KW_OVERRIDING(): antlr.TerminalNode | null;
    KW_VALUE(): antlr.TerminalNode | null;
    KW_SYSTEM(): antlr.TerminalNode | null;
    KW_USER(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Merge_updateContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_UPDATE(): antlr.TerminalNode;
    KW_SET(): antlr.TerminalNode;
    column_name(): Column_nameContext[];
    column_name(i: number): Column_nameContext | null;
    EQUAL(): antlr.TerminalNode[];
    EQUAL(i: number): antlr.TerminalNode | null;
    exprofdefault(): ExprofdefaultContext[];
    exprofdefault(i: number): ExprofdefaultContext | null;
    opt_column_list(): Opt_column_listContext[];
    opt_column_list(i: number): Opt_column_listContext | null;
    OPEN_PAREN(): antlr.TerminalNode[];
    OPEN_PAREN(i: number): antlr.TerminalNode | null;
    CLOSE_PAREN(): antlr.TerminalNode[];
    CLOSE_PAREN(i: number): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Default_values_or_valuesContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_VALUES(): antlr.TerminalNode;
    OPEN_PAREN(): antlr.TerminalNode | null;
    exprofdefault(): ExprofdefaultContext[];
    exprofdefault(i: number): ExprofdefaultContext | null;
    CLOSE_PAREN(): antlr.TerminalNode | null;
    COMMA(): antlr.TerminalNode[];
    COMMA(i: number): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class ExprofdefaultContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    sortby(): SortbyContext | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_closeContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_CLOSE(): antlr.TerminalNode;
    cursor_variable(): Cursor_variableContext;
    SEMI(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_nullContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_NULL(): antlr.TerminalNode;
    SEMI(): antlr.TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_commit_or_rollbackContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    SEMI(): antlr.TerminalNode;
    KW_COMMIT(): antlr.TerminalNode | null;
    KW_ROLLBACK(): antlr.TerminalNode | null;
    KW_AND(): antlr.TerminalNode | null;
    KW_CHAIN(): antlr.TerminalNode | null;
    KW_NO(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Stmt_setContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_SET(): antlr.TerminalNode | null;
    any_name(): Any_nameContext | null;
    KW_TO(): antlr.TerminalNode | null;
    KW_DEFAULT(): antlr.TerminalNode | null;
    SEMI(): antlr.TerminalNode;
    KW_RESET(): antlr.TerminalNode | null;
    KW_ALL(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Cursor_variableContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext | null;
    PARAM(): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Exception_sectContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    KW_EXCEPTION(): antlr.TerminalNode;
    KW_WHEN(): antlr.TerminalNode[];
    KW_WHEN(i: number): antlr.TerminalNode | null;
    KW_THEN(): antlr.TerminalNode[];
    KW_THEN(i: number): antlr.TerminalNode | null;
    proc_condition(): Proc_conditionContext[];
    proc_condition(i: number): Proc_conditionContext | null;
    proc_stmt(): Proc_stmtContext[];
    proc_stmt(i: number): Proc_stmtContext | null;
    KW_OR(): antlr.TerminalNode[];
    KW_OR(i: number): antlr.TerminalNode | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Proc_conditionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    any_identifier(): Any_identifierContext | null;
    KW_SQLSTATE(): antlr.TerminalNode | null;
    sconst(): SconstContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Any_identifierContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    colid(): ColidContext | null;
    unreserved_keyword(): Unreserved_keywordContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
export declare class Sql_expressionContext extends antlr.ParserRuleContext {
    constructor(parent: antlr.ParserRuleContext | null, invokingState: number);
    target_list(): Target_listContext | null;
    into_clause(): Into_clauseContext | null;
    from_clause(): From_clauseContext | null;
    where_clause(): Where_clauseContext | null;
    group_clause(): Group_clauseContext | null;
    KW_HAVING(): antlr.TerminalNode | null;
    expression(): ExpressionContext | null;
    window_clause(): Window_clauseContext | null;
    get ruleIndex(): number;
    enterRule(listener: PostgreSqlParserListener): void;
    exitRule(listener: PostgreSqlParserListener): void;
    accept<Result>(visitor: PostgreSqlParserVisitor<Result>): Result | null;
}
